2015-03-29  Dani Moncayo  <dmoncayo@gmail.com>

	* files.texi (Diff Mode): Doc fix.

2015-03-18  Eli Zaretskii  <eliz@gnu.org>

	* misc.texi (Term Mode):
	* programs.texi (Basic Indent, Custom C Indent):
	* mini.texi (Minibuffer History):
	* text.texi (Org Mode):
	* display.texi (View Mode): Use @kbd where @key was mistakenly
	used.  (Bug#20135)

2015-03-18  Eli Zaretskii  <eliz@gnu.org>

	* basic.texi (Moving Point): Improve indexing for HOME and END.

	* cmdargs.texi (General Variables): Improve indexing for
	environment variables.

	* msdog.texi (Windows HOME):
	* msdog-xtra.texi (MS-DOS File Names): Remove markup from HOME in
	the index entries.  (Bug#20105)

2015-02-26  Eli Zaretskii  <eliz@gnu.org>

	* msdog.texi (Windows Files): Document characters invalid in
	Windows file names.  (Bug#19463)

	* custom.texi (Customization Groups): Update the looks of the
	Customize Group buffer.

	* programs.texi (Hungry Delete): Fix a typo: "C-d" instead of
	"C-c C-d" in hungry-delete mode.

2015-02-26  Eli Zaretskii  <eliz@gnu.org>

	* mule.texi (Language Environments): Work around refill bug in
	makeinfo 4.x.  (Bug#19697)

2015-01-28  Eli Zaretskii  <eliz@gnu.org>

	* cmdargs.texi (Action Arguments): Clarify into which buffer
	'--insert' inserts.  (Bug#19694)

	* programs.texi (Custom C Indent): Fix a typo.  (Bug#19647)

2015-01-27  Ivan Shmakov  <ivan@siamics.net>

	* files.texi (File Archives): Document "I" for tar-new-entry.
	(Bug#19274)

2014-12-31  Paul Eggert  <eggert@cs.ucla.edu>

	Less 'make' chatter for Emacs doc
	* Makefile.in (AM_DEFAULT_VERBOSITY, AM_V_GEN, am__v_GEN_)
	(am__v_GEN_0, am__v_GEN_1): New macros, from ../../src/Makefile.in.
	(ENVADD, $(buildinfodir)/emacs.info, emacs.html):
	Use them.

2014-12-27  Eli Zaretskii  <eliz@gnu.org>

	* buffers.texi (Kill Buffer): Improve indexing.

2014-12-24  Stephen Leake  <stephen_leake@stephe-leake.org>

	* trouble.texi: Move user-level information from CONTRIBUTE here.

2014-12-14  Alan Mackenzie  <acm@muc.de>

	* display.texi (Scrolling): fast-but-imprecise-scrolling.
	Describe new variable.

2014-12-14  Cameron Desautels  <camdez@gmail.com>

	* custom.texi (Saving Customizations): Mention
	`custom-prompt-customize-unsaved-options'.

2014-12-08  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* misc.texi (Network Security): Mention the new protocol-level
	`high' NSM checks.

2014-12-08  Eric S. Raymond  <esr@snark.thyrsus.com>

	* maintaining.texi: Suopport fo Arch has been moved to obosolete,
	remove references that imply otherwise.

2014-11-29  Paul Eggert  <eggert@cs.ucla.edu>

	Lessen focus on ChangeLog files, as opposed to change log entries.
	* maintaining.texi (Change Log): Mention that ChangeLog files may
	be copied to or from a version control system.
	* trouble.texi (Sending Patches): Point to the commit messages.

2014-11-29  Eli Zaretskii  <eliz@gnu.org>

	* maintaining.texi (Switching Branches): Mention "C-x v r".
	Correct commands for switching branches in various VCSs.

2014-11-27  Tassilo Horn  <tsdh@gnu.org>

	* misc.texi (DocView Slicing): Describe how to slice with the
	mouse.  Fix command mentioned by slice by BoundingBox paragraph.
	(Bug#18040)

2014-11-25  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* misc.texi (Network Security): Use "untrustworthy" instead of
	"unsafe".

2014-11-24  Eli Zaretskii  <eliz@gnu.org>

	* misc.texi (Network Security): Improve wording and indexing of
	last change.

2014-11-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* misc.texi (Gnus Summary Buffer): Move the Network Security
	Manager stuff here from the lispref manual.

2014-11-21  Eli Zaretskii  <eliz@gnu.org>

	* maintaining.texi (Version Control Systems): Move "@end itemize"
	past the last @item.

2014-11-21  H. Dieter Wilhelm  <dieter@duenenhof-wilhelm.de>

	* maintaining.texi (Version Control Systems): Fix a typo.

2014-11-20  Eric S. Raymond  <esr@snark.thyrsus.com>

	* maintaining.texi: Document SRC support.

2014-11-10  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (top_srcdir, version): New, set by configure.
	(doc-emacsver): New rule.
	(bootstrap-clean, maintainer-clean): Delete emacsver.texi.
	(emacsver.texi.in): Rename from emacsver.texi.

2014-11-09  Juri Linkov  <juri@jurta.org>

	* search.texi (Other Repeating Search): Add documentation for
	multi-isearch-files and multi-isearch-files-regexp.  (Bug#13592)

2014-11-09  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (version): Remove variable.
	(clean): No longer delete dist tarfile.
	(dist): Remove rule; replace with code in admin.el.

2014-11-03  Glenn Morris  <rgm@gnu.org>

	* programs.texi (Misc for Programs): Fix typo.

2014-10-30  Eli Zaretskii  <eliz@gnu.org>

	* frames.texi (Scroll Bars): Improve indexing of faces.

	* killing.texi (Secondary Selection): Improve indexing of faces.

	* search.texi (Basic Isearch, Query Replace): Improve indexing of faces.

	* display.texi (Standard Faces, Text Display)
	(Useless Whitespace): Improve indexing of faces.

	* frames.texi (Frame Commands): Document and index
	'frame-resize-pixelwise'.

	* windows.texi (Split Window): Document and index
	'window-resize-pixelwise'.

2014-10-22  Tassilo Horn  <tsdh@gnu.org>

	* misc.texi (Document View): Adapt to latest doc-view changes wrt
	viewing the document's plain text contents.

2014-10-20  Glenn Morris  <rgm@gnu.org>

	* Merge in all changes up to 24.4 release.

2014-10-13  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (dist): Update for new output variables.

2014-10-12  Paul Eggert  <eggert@cs.ucla.edu>

	* macos.texi (Mac OS / GNUstep, Mac / GNUstep Basics)
	(Mac / GNUstep Customization): Mac OS X 10.6 or later now required.

2014-10-09  Glenn Morris  <rgm@gnu.org>

	* package.texi (Package Menu): The package list was changed to not
	say "unsigned" any more.

2014-10-05  Glenn Morris  <rgm@gnu.org>

	* misc.texi (Sorting):
	* search.texi (Query Replace): Markup fixes.

2014-10-04  Martin Rudalics  <rudalics@gmx.at>

	* frames.texi (Scroll Bars): Describe use of horizontal scroll bars.

2014-10-04  Glenn Morris  <rgm@gnu.org>

	* cmdargs.texi (Misc X):
	* display.texi (Optional Mode Line):
	* misc.texi (emacsclient Options):
	* vc1-xtra.texi (VC Delete/Rename): Small fixes re @var usage.

	* killing.texi (Rectangles): Copyedits re rectangle-mark-mode.
	(CUA Bindings): Mention rectangle-mark-mode.

2014-10-03  Martin Rudalics  <rudalics@gmx.at>

	* frames.texi (Frame Commands):
	* cmdargs.texi (Window Size X): Mention the use of
	`frame-resize-pixelwise' to make frames truly fullscreen or maximized.

2014-10-02  Glenn Morris  <rgm@gnu.org>

	* package.texi (Package Installation): Mention etc/package-keyring.gpg.

2014-09-29  Eli Zaretskii  <eliz@gnu.org>

	* emacsver.texi (EMACSVER): Bump to 20.0.50.

2014-09-15  Daniel Colascione  <dancol@dancol.org>

	* regs.texi (Text Registers): Update end-user documentation
	to reflect `insert-register' interface change.

2014-08-07  Reuben Thomas  <rrt@sc3d.org>

	* programs.texi (Program Modes): Don't advertise VMS DCL support
	any more.

2014-08-07  Reuben Thomas  <rrt@sc3d.org>

	Refer to MS-DOS using the same name everywhere.

	* Makefile.in (EMACSSOURCES): ``MS-DOG'', ``MSDOG'' and ``msdog''
	become ``MS-DOS''; ``msdog'' in filenames becomes ``msdos''.
	* emacs-xtra.texi: ditto.
	* emacs.texi: ditto.
	* makefile.w32-in: ditto.
	* msdos-xtra.texi: ditto, and rename file.
	* msdos.texi: ditto, and rename file.

2014-07-21  Glenn Morris  <rgm@gnu.org>

	* emacs.texi (Intro): Workaround makeinfo 4 @acronym bug.  (Bug#18040)

2014-07-09  Juri Linkov  <juri@jurta.org>

	* search.texi (Regexp Search): Update lax space matching that is
	not active in regexp search by default now.  (Bug#17901)

2014-07-03  Glenn Morris  <rgm@gnu.org>

	* help.texi (Misc Help):
	* trouble.texi (Checklist): "Online" help doesn't mean what it
	used to any more.

2014-06-23  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (%.texi): Disable implicit rules.
	(mkinfodir): Remove.
	(.dvi.ps): Replace with pattern rule.
	(${buildinfodir}): New rule.
	($(buildinfodir)/emacs.info): Use order-only prereq for output dir.
	Use $<.
	(emacs.dvi, emacs.pdf, emacs.html, emacs-xtra.dvi, emacs-xtra.pdf):
	Use $<.
	(%.ps): New rule.

2014-06-15  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (bootstrap-clean): New.

2014-06-10  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (INFO_EXT): Remove and replace by ".info" throughout.
	(INFO_OPTS): Set directly rather than with configure.

2014-06-08  Glenn Morris  <rgm@gnu.org>

	* entering.texi (Entering Emacs): Small fix re initial-buffer-choice.
	* misc.texi (emacsclient Options): Copyedit.

	* buffers.texi (Uniquify): Copyedits.
	* files.texi (Visiting): Update for uniquify changes.

	* dired.texi (Marks vs Flags):
	* rmail.texi (Rmail Scrolling): Markup fixes re SPC.

	* help.texi (Help, Misc Help): Copyedits.

	* screen.texi (Menu Bar): Copyedits.
	* msdog.texi (Windows Keyboard): F10 menus are now a general feature.

	* frames.texi (Frame Commands): Copyedits re M-F10, F11.
	* cmdargs.texi (Window Size X): Copyedits.

	* ack.texi (Acknowledgments):
	* emacs.texi (Acknowledgments): Updates.

2014-06-08  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments):
	* emacs.texi (Acknowledgments): Updates.

	* programs.texi (Prettifying Symbols): Remove node.
	(Misc for Programs): Mention more briefly here.
	* emacs.texi (Top): Update menu.

	* package.texi (Package Menu, Package Installation):
	Mention signed packages.
	(Package Installation): Mention package-pinned-packages.

2014-06-02  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): Remove some obsolete items.
	* misc.texi [iftex]: Update chapter summary.
	(Emulation): Remove section.

	* macos.texi (Mac / GNUstep Customization): Mention ns custom group.
	(Customization options specific to Mac OS / GNUstep): Remove section.

	* abbrevs.texi (Expanding Abbrevs): Update re abbrev-expand-function.

2014-05-26  Eli Zaretskii  <eliz@gnu.org>

	* frames.texi (Fonts): Clarify which frames are affected by
	setting font from the menu and in default-frame-alist.
	(Bug#17532)

2014-05-14  Eli Zaretskii  <eliz@gnu.org>

	* mule.texi (Language Environments): Remove unused @anchor.  (Bug#17479)

2014-05-04  Eli Zaretskii  <eliz@gnu.org>

	* trouble.texi (Lossage, DEL Does Not Delete, Stuck Recursive)
	(Screen Garbled, Text Garbled, After a Crash, Emergency Escape)
	(Bug Criteria, Understanding Bug Reporting, Checklist, Service):
	Improve indexing.

2014-05-04  Leo Liu  <sdl.web@gmail.com>

	* cal-xtra.texi (Non-Gregorian Diary): Document new features for
	Chinese calendar and diary.

2014-04-30  Eli Zaretskii  <eliz@gnu.org>

	* trouble.texi (Quitting, DEL Does Not Delete, Emergency Escape)
	(Bug Criteria): Fix usage of @kbd and @key.  (Bug#17362)

	* text.texi (Words, Pages, Foldout, HTML Mode): Fix usage of @kbd
	and @key.

	* search.texi (Special Isearch, Regexp Search): Fix usage of @kbd
	and @key.

	* screen.texi (Echo Area, Menu Bar): Fix usage of @kbd and @key.

	* rmail.texi (Rmail Scrolling): Fix usage of @kbd and @key.

	* programs.texi (Hungry Delete, Other C Commands): Fix usage of
	@kbd and @key.

	* picture-xtra.texi (Insert in Picture): Fix usage of @kbd and
	@key.

	* mule.texi (Unibyte Mode, Bidirectional Editing): Fix usage of
	@kbd and @key.

	* msdog.texi (Windows Keyboard, Windows Processes): Fix usage of
	@kbd and @key.

	* msdog-xtra.texi (MS-DOS Keyboard, MS-DOS Printing)
	(MS-DOS Processes): Fix usage of @kbd and @key.

	* misc.texi (Shell Ring, Printing Package): Fix usage of @kbd and
	@key.

	* mini.texi (Completion Commands, Minibuffer History): Fix usage
	of @kbd and @key.

	* kmacro.texi (Keyboard Macro Step-Edit): Fix usage of @kbd and
	@key.

	* killing.texi (Deletion, Rectangles, CUA Bindings): Fix usage of
	@kbd and @key.

	* indent.texi (Indentation Commands): Fix usage of @kbd and @key.

	* help.texi (Help Mode, Misc Help): Fix usage of @kbd and @key.

	* glossary.texi (Glossary): Fix usage of @kbd and @key.

	* frames.texi (Speedbar): Fix usage of @kbd and @key.

	* files.texi (Misc File Ops, File Name Cache, File Conveniences)
	(Filesets): Fix usage of @kbd and @key.

	* display.texi (View Mode): Fix usage of @kbd and @key.

	* dired.texi (Image-Dired): Fix usage of @kbd and @key.

	* custom.texi (Modifier Keys, Function Keys, Named ASCII Chars)
	(Init Syntax): Fix usage of @kbd and @key.

	* commands.texi (User Input): Fix usage of @kbd and @key.

	* calendar.texi (Counting Days, General Calendar): Fix usage of
	@kbd and @key.

	* building.texi (Threads Buffer): Fix usage of @kbd and @key.

	* buffers.texi (Select Buffer, Icomplete): Fix usage of @kbd and
	@key.

	* basic.texi (Inserting Text, Erasing, Arguments): Fix usage of
	@kbd and @key.

	* anti.texi (Antinews): Fix usage of @kbd and @key.

	* sending.texi (Mail Signature): Document signature variables used
	by Message mode.  (Bug#17308)

2014-04-22  Eli Zaretskii  <eliz@gnu.org>

	* buffers.texi (Uniquify): Clarify the default uniquification.

	* indent.texi (Tab Stops): Improve wording.

	* cmdargs.texi (General Variables): Improve docs of
	EMACSLOADPATH.  Index all the environment variables.
	(Misc Variables): Index all the environment variables.

2014-04-17  Paul Eggert  <eggert@cs.ucla.edu>

	* Makefile.in (infoclean): Be consistent about reporting failures.
	Do not fail merely because the info directory does not exist,
	but do fail if it exists and can't be cleaned.

2014-04-16  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Cursor Display): Explain better how to customize
	'blink-cursor-blinks'.

2014-04-07  Glenn Morris  <rgm@gnu.org>

	* trouble.texi (Checklist): Dribble files may contain passwords.

	* files.texi (Backup Names):
	* arevert-xtra.texi (Supporting additional buffers):
	Update for default values of some -function vars no longer being nil.
	(Supporting additional buffers):
	Update for buffer-stale-function also applying to file-buffers.

2014-03-28  Glenn Morris  <rgm@gnu.org>

	* custom.texi (Terminal Init): Mention term-file-aliases.

2014-03-26  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): Remove reference to obsolete file.

2014-03-22  Glenn Morris  <rgm@gnu.org>

	* help.texi (Help Files): Update C-h g description.

2014-03-16  Dmitry Gutov  <dgutov@yandex.ru>

	* programs.texi (Matching): Update the missed spot.  (Bug#17008)

2014-03-15  Dmitry Gutov  <dgutov@yandex.ru>

	* programs.texi (Matching): Update WRT to the new
	`blink-matching-paren' behavior.

2014-03-13  Paul Eggert  <eggert@cs.ucla.edu>

	* mule.texi (International, Language Environments):
	Update the list of language environments to what Emacs currently
	supports.  Add the full list to the index.  Suggest C-h L for
	details rather than trying to give very brief details here.

2014-03-12  Glenn Morris  <rgm@gnu.org>

	* cmdargs.texi (General Variables): Don't mention INCPATH,
	from the obsolete complete.el.

2014-03-12  Paul Eggert  <eggert@cs.ucla.edu>

	* mule.texi (International Chars): Adjust C-u C-x = description.
	Change it to match Emacs's current behavior.  Also, change the
	example to use ê instead of À, as the isolated grave accent in the
	latter's decomposition listing was confusingly transliterated to
	left single quote in the PDF version of the manual.

2014-03-12  Glenn Morris  <rgm@gnu.org>

	* misc.texi (Saving Emacs Sessions): Be briefer about desktop's
	handling of frames.

	* indent.texi (Indent Convenience): Mention electric-indent-local-mode.

2014-03-02  Xue Fuqiao  <xfq@gnu.org>

	* mark.texi (Mark):
	* killing.texi (Rectangles): Document `rectangle-mark-mode'.

2014-03-01  Glenn Morris  <rgm@gnu.org>

	* search.texi (Query Replace): Mention search-invisible.
	* text.texi (Outline Visibility): Mention search-invisible
	also affects query-replace.

2014-02-28  Xue Fuqiao  <xfq@gnu.org>

	* emacs.texi (Top):
	* programs.texi (Programs, Prettifying Symbols):
	Document `prettify-symbols-mode' and `global-prettify-symbols-mode'.

	* misc.texi (Saving Emacs Sessions):
	Document some new desktop user options.

2014-02-27  Xue Fuqiao  <xfq@gnu.org>

	* programs.texi (Basic Indent, Other C Commands):
	Fix the description of RET and `C-j'.

	* indent.texi (Indentation Commands): Move the description of
	`C-j' from here...
	* basic.texi (Inserting Text): ... to here.

2014-02-25  Glenn Morris  <rgm@gnu.org>

	* custom.texi (Terminal Init):
	Replace term-setup-hook with tty-setup-hook.

2014-02-23  Glenn Morris  <rgm@gnu.org>

	* rmail.texi (Rmail Inbox): Mention rmail-mbox-format.

2014-02-20  Glenn Morris  <rgm@gnu.org>

	* search.texi (Special Isearch): Mention invisible text.
	* text.texi (Outline Visibility): Mention `M-s i' in isearch.

2014-02-18  Glenn Morris  <rgm@gnu.org>

	* trouble.texi (Contributing) [WWW_GNU_ORG]: Link to
	gnu.org version of etc/CONTRIBUTE in html output.

	* misc.texi (Saving Emacs Sessions): Mention desktop-auto-save-timeout.

2014-02-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* programs.texi (Matching): Fix typo.

	* killing.texi (CUA Bindings): Document the new relationship between
	cua-mode and delete-selection mode.
	(CUA Bindings): Mention that rectangle mode can be used on its own.

2014-02-14  Glenn Morris  <rgm@gnu.org>

	* regs.texi (Configuration Registers): Update C-x r f binding.

2014-02-12  Glenn Morris  <rgm@gnu.org>

	* mini.texi (Completion Options): No longer mention icomplete,
	which has its own section now.
	* modes.texi (Minor Modes): Update Icomplete xref.

	* help.texi (Package Keywords): Mention describe-package buttons.

	* package.texi (Package Menu): Mention package-menu-filter.

2014-02-11  Lars Ingebrigtsen  <larsi@gnus.org>

	* text.texi (Editing Format Info): Use @samp for menus (bug#13736).

2014-02-09  Lars Ingebrigtsen  <larsi@gnus.org>

	* dired.texi (Hiding Subdirectories): Mention the node for
	deleting subdirectories (bug#11743).

2014-02-09  Glenn Morris  <rgm@gnu.org>

	* programs.texi (MixedCase Words): Rename node from "Glasses".
	Move Subword mode here from "Other C Commands" node.
	(Misc for Programs): Mention Superword mode.
	* emacs.texi: Update menu.

2014-02-08  Lars Ingebrigtsen  <larsi@gnus.org>

	* regs.texi (File Registers): Clarify metasyntactical variables
	(bug#13565).

	* search.texi (Search Case): Rearrange text slightly to make it
	obvious that `M-c' also toggles sensitivity if `case-fold-search'
	is nil (bug#14726).

	* frames.texi (Mouse Commands): Clarify `mouse-yank-at-click'
	(bug#16376).

2014-02-07  Glenn Morris  <rgm@gnu.org>

	* display.texi (Highlight Interactively):
	Mention hi-lock-auto-select-face.

	* anti.texi (Antinews): Fix typo.

	* ack.texi (Acknowledgments): No longer mention obsolete files.

2014-02-02  Glenn Morris  <rgm@gnu.org>

	* regs.texi (Registers): Mention previewing.

2014-01-29  Glenn Morris  <rgm@gnu.org>

	* killing.texi (Deletion): Mention cycle-spacing.

2014-01-28  Glenn Morris  <rgm@gnu.org>

	* text.texi (Fill Commands): Mention fill-single-char-nobreak-p.

	* indent.texi (Tab Stops): Updates for new tab-stop behavior.

2014-01-27  Glenn Morris  <rgm@gnu.org>

	* dired.texi (Misc Dired Features): Copyedits for hide-details.

	* buffers.texi (List Buffers): Tiny edit.

	* calendar.texi (Time Intervals): Update for files in ~/.emacs.d/.

2014-01-26  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments):
	* programs.texi (Program Modes):
	Update for delphi.el -> opascal.el renaming.

	* misc.texi (Sorting): Add findex for reverse-region.

	* killing.texi (Deletion): Mention delete-duplicate-lines.

2014-01-24  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): No longer mention obsolete xesam.el,
	terminal.el.

	* files.texi (Interlocking): Copyedit.

2014-01-23  Glenn Morris  <rgm@gnu.org>

	* building.texi (Lisp Eval): Update prefix argument behavior
	of eval-expression, eval-last-sexp.

2014-01-17  Bastien Guerry  <bzg@gnu.org>

	* building.texi (Commands of GUD): Fix keybinding for `gud-break'.

2014-01-15  Glenn Morris  <rgm@gnu.org>

	* files.texi (File Conveniences):
	* misc.texi (EWW): Copyedits.

2014-01-10  Glenn Morris  <rgm@gnu.org>

	* emacs.texi (Distrib): Add donate URL.  Add anchor.

2014-01-10  Rüdiger Sonderfeld  <ruediger@c-plusplus.de>

	* dired.texi (Misc Dired Features): Document `dired-hide-details-mode',
	`dired-hide-details-hide-symlink-targets', and
	`dired-hide-details-hide-information-lines'.

2014-01-09  Rüdiger Sonderfeld  <ruediger@c-plusplus.de>

	* emacs.texi: Add EWW.
	* misc.texi (EWW): Document EWW.

2014-01-09  Glenn Morris  <rgm@gnu.org>

	* trouble.texi (Service): Refer to online service directory
	rather than etc/SERVICE.

2014-01-09  Rüdiger Sonderfeld  <ruediger@c-plusplus.de>

	* building.texi (Lisp Libraries): Document `load-prefer-newer'.

	* files.texi (File Conveniences): Document `image-next-frame',
	`image-previous-frame', `image-goto-frame',
	`image-increase-speed', `image-decrease-speed',
	`image-reverse-speed', and `image-reset-speed'.

2014-01-07  Bastien Guerry  <bzg@gnu.org>

	* buffers.texi (Buffers): Fix display of @math content by using
	nested braces.  (Bug#16389)

2014-01-07  Chong Yidong  <cyd@gnu.org>

	* search.texi (Special Isearch): Document C-x 8 RET in isearch.
	(Word Search): Document incremental word search changes.
	(Isearch Yank): Document M-s C-e with a prefix argument.

2014-01-07  Glenn Morris  <rgm@gnu.org>

	* cal-xtra.texi (Calendar Customizing):
	Mention calendar-day-header-array.

2013-12-28  Glenn Morris  <rgm@gnu.org>

	* trouble.texi (Understanding Bug Reporting): Brevity.

2013-12-27  Jarek Czekalski  <jarekczek@poczta.onet.pl>

	* mini.texi (Completion Options): Add a link to Shell Options.
	* misc.texi (Shell Mode): Move documentation of
	shell-completion-fignore from Shell Mode to Shell Options.

2013-12-26  João Távora  <joaotavora@gmail.com>

	* emacs.texi (Matching): Describe new features of Electric Pair mode.

2013-12-25  Chong Yidong  <cyd@gnu.org>

	* glossary.texi (Glossary): Define MULE in modern terms.

2013-12-25  Xue Fuqiao  <xfq.free@gmail.com>

	* files.texi (Diff Mode): Add an index.

2013-12-24  Xue Fuqiao  <xfq.free@gmail.com>

	* trouble.texi (Understanding Bug Reporting): Minor update.
	(Checklist): Fix a cross-reference.

2013-12-23  Xue Fuqiao  <xfq.free@gmail.com>

	* regs.texi (Bookmarks): Document `bookmark-default-file'.

	* misc.texi (Shell Mode): Add a cross-reference.

	* building.texi (Lisp Eval): Add an index.

2013-12-22  Glenn Morris  <rgm@gnu.org>

	* entering.texi (Entering Emacs): Typo fix.

	* calendar.texi (General Calendar):
	* rmail.texi (Rmail Scrolling): Use itemx where appropriate.

2013-12-22  Eli Zaretskii  <eliz@gnu.org>

	* regs.texi (Keyboard Macro Registers): Fix last change.

2013-12-22  Xue Fuqiao  <xfq.free@gmail.com>

	* search.texi (Special Isearch, Query Replace): Document negative
	argument of replacement commands.
	(Symbol Search): Document `isearch-forward-symbol-at-point'.

	* files.texi (File Conveniences): Document `image-next-file' and
	`image-previous-file'.

	* display.texi (Optional Mode Line): Fix an index.

	* regs.texi (File Registers): Document `kmacro-to-register'.

	* indent.texi (Tab Stops): Mention recent changes about `tab-stop-list'.

	* frames.texi (Scroll Bars):
	Document `scroll-bar-adjust-thumb-portion'.

2013-12-21  Chong Yidong  <cyd@gnu.org>

	* indent.texi (Indentation Commands): Document C-x TAB changes.

2013-12-20  Tassilo Horn  <tsdh@gnu.org>

	* calendar.texi, display.texi, help.texi, rmail.texi:
	Document `S-SPC' as alternative to scrolling down with `DEL'.

	* frames.texi: Document `toggle-frame-maximized' and
	`toggle-frame-fullscreen' with their respective keys.

	* buffers.texi: Document buffer name uniquification changes.

	* indent.texi: Document that `electric-indent-mode' is enabled by
	default.

	* display.texi (Cursor Display): Document `blink-cursor-blinks'.

	* buffers.texi: Update list-buffers "screenshot" to show Messages
	as major-mode.

	* entering.texi: Document `initial-buffer-choice' changes.

	* misc.texi (emacsclient Options):
	Document `initial-buffer-choice' changes.

	* help.texi: Document that `?' now also shows subcommands of
	prefix keys.

2013-12-17  Chong Yidong  <cyd@gnu.org>

	* killing.texi (Appending Kills): Note that append-next-kill can
	prepend the kill.

2013-12-12  Eli Zaretskii  <eliz@gnu.org>

	* mule.texi (File Name Coding): Document file-name encoding
	peculiarities on MS-Windows.

2013-12-12  Glenn Morris  <rgm@gnu.org>

	* emacs.texi: Sync direntry with info/dir version.

2013-12-08  Juanma Barranquero  <lekktu@gmail.com>

	* msdog.texi (Windows Keyboard): Fix typo.

2013-11-30  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (distclean): Remove Makefile.

2013-11-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* buffers.texi (Icomplete): Rename from Iswitchb and
	rewrite accordingly.

2013-11-23  Glenn Morris  <rgm@gnu.org>

	* cmdargs.texi (General Variables):
	Empty elements in EMACSLOADPATH now mean the default load-path.

2013-11-21  Glenn Morris  <rgm@gnu.org>

	* cmdargs.texi (Action Arguments): Use path-separator with -L.

2013-11-04  Glenn Morris  <rgm@gnu.org>

	* cmdargs.texi (Action Arguments): Mention that `-L :...' appends.

2013-11-02  Glenn Morris  <rgm@gnu.org>

	* cmdargs.texi (Action Arguments): Clarify `-L' a bit.

2013-10-23  Glenn Morris  <rgm@gnu.org>

	* files.texi, glossary.texi, killing.texi, search.texi, sending.texi:
	Nuke @refill.

	* Makefile.in (install-dvi, install-html, install-pdf)
	(install-ps, uninstall-dvi, uninstall-html, uninstall-ps)
	(uninstall-pdf): Quote entities that might contain whitespace.

2013-10-20  Xue Fuqiao  <xfq.free@gmail.com>

	* custom.texi (Init Syntax, Terminal Init, Terminal Init):
	Remove @refill.

2013-10-13  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): Comment out old alpha stuff.

2013-10-13  Xue Fuqiao  <xfq.free@gmail.com>

	* calendar.texi (Special Diary Entries): Remove @refill.

2013-10-13  Glenn Morris  <rgm@gnu.org>

	* display.texi (Text Scale): Update text-scale-adjust details.

	* ack.texi (Acknowledgments):
	* emacs.texi (Acknowledgments): Use accented form of some names.

2013-10-08  Eli Zaretskii  <eliz@gnu.org>

	* ack.texi (Acknowledgments): Fix spelling of Hrvoje Nikšić's
	name.  (Bug#15557)

	Support menus on text-mode terminals.
	* screen.texi (Menu Bar): Adapt to TTY menus.

	* frames.texi (Frames): Mention menu support on text terminals.

	* files.texi (Visiting): Mention the "File" menu-bar menu.

	* display.texi (Standard Faces): Mention TTY faces for menus.

2013-10-06  Xue Fuqiao  <xfq.free@gmail.com>

	* cal-xtra.texi (Calendar Customizing, Diary Display): Remove @refill.

2013-09-29  Xue Fuqiao  <xfq.free@gmail.com>

	* fortran-xtra.texi (Fortran Abbrev): Remove @refill.

2013-09-26  Xue Fuqiao  <xfq.free@gmail.com>

	* dired.texi (Flagging Many Files): Use @emph instead of @strong.

	* emacs.texi (Intro): Minor cleanup.

2013-09-22  Xue Fuqiao  <xfq.free@gmail.com>

	* fixit.texi (Transpose, Fixing Case): Remove @refill.

2013-09-21  Xue Fuqiao  <xfq.free@gmail.com>

	* maintaining.texi (VC Directory Commands): Add keybinding for
	vc-log-incoming in vc-dir.
	(Log Buffer): Use @emph instead of @strong.

2013-09-12  Xue Fuqiao  <xfq.free@gmail.com>

	* text.texi (Enriched Justification): Explain values of default-justification.

2013-09-04  Xue Fuqiao  <xfq.free@gmail.com>

	* maintaining.texi (VC Ignore): Mention `vc-ignore' with prefix argument.

2013-08-31  Ulrich Müller  <ulm@gentoo.org>

	* xresources.texi (Motif Resources):
	Rename from LessTif Resources.  Update xrefs.  (Bug#15145)
	* emacs.texi: Update menu.

2013-08-28  Paul Eggert  <eggert@cs.ucla.edu>

	* Makefile.in (SHELL): Now @SHELL@, not /bin/sh,
	for portability to hosts where /bin/sh has problems.

2013-08-17  Xue Fuqiao  <xfq.free@gmail.com>

	* text.texi (Enriched Justification): Minor fixes.

2013-08-14  Xue Fuqiao  <xfq.free@gmail.com>

	* files.texi (Filesets): Add an index.

2013-08-12  Glenn Morris  <rgm@gnu.org>

	* macos.texi (GNUstep Support):
	* trouble.texi (Checklist, Contributing, Service):
	Avoid mailto: in html output.

	* Makefile.in (prefix, datarootdir, datadir, PACKAGE_TARNAME)
	(docdir, dvidir, htmldir, pdfdir, psdir, GZIP_PROG, INSTALL)
	(INSTALL_DATA): New, set by configure.
	(HTML_OPTS, DVI_TARGETS, HTML_TARGETS, PDF_TARGETS, PS_TARGETS):
	New variables.
	(.SUFFIXES): Add .ps and .dvi.
	(.dvi.ps): New suffix rule.
	(dvi, html, pdf, ps): Use *_TARGETS variables.
	(emacs.ps, emacs-xtra.ps): Remove explicit rules.
	(emacs.html): Use HTML_OPTS.
	(clean): Use DVI_TARGETS, HTML_TARGETS, PDF_TARGETS, PS_TARGETS.
	(.PHONY): install-dvi, install-html, install-pdf, install-ps,
	install-doc, uninstall-dvi, uninstall-html, uninstall-pdf,
	uninstall-ps, and uninstall-doc.
	(install-dvi, install-html, install-pdf, install-ps, install-doc)
	(uninstall-dvi, uninstall-html, uninstall-ps, uninstall-pdf)
	(uninstall-doc): New rules.

2013-07-31  Eli Zaretskii  <eliz@gnu.org>

	* emacs.texi (Top): Remove menu item for the removed "Disabling
	Multibyte" node.

2013-07-31  Xue Fuqiao  <xfq.free@gmail.com>

	* rmail.texi (Rmail Coding): Move here from mule.texi.

	* custom.texi (Specifying File Variables): Fix cross-references.

	* mule.texi (Unibyte Mode): Fix cross-references.
	(Disabling Multibyte): Remove.

	* macos.texi (Mac / GNUstep Basics): Mention `ns-alternate-modifier'.

	* cal-xtra.texi (Advanced Calendar/Diary Usage): Update menu.
	(Mayan Calendar): Move here from calendar.texi.
	* emacs.texi (Top): Update menu.

2013-07-30  Xue Fuqiao  <xfq.free@gmail.com>

	* emacs.texi (Top): Add menu entry.

	* maintaining.texi (VC Ignore): New node.  Document vc-ignore.
	(VC Directory Commands): Add vc-dir-ignore.

2013-07-28  Xue Fuqiao  <xfq.free@gmail.com>

	* glossary.texi (Glossary): Add some entries.

2013-07-27  Xue Fuqiao  <xfq.free@gmail.com>

	* maintaining.texi (VC Directory Commands): Mention `D' and `L' in
	vc-dir.  (Bug#14948)

2013-07-26  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Fringes): Document the variable fringe-mode.
	(Bug#14946)

2013-07-03  Glenn Morris  <rgm@gnu.org>

	* maintaining.texi (EDE): Fix cross-reference.

	* programs.texi (Program Modes): Fix emacs-xtra reference.

	* help.texi (Misc Help): Index describe-syntax.

2013-06-29  Eli Zaretskii  <eliz@gnu.org>

	* basic.texi (Moving Point): Document visual-order-cursor-movement
	and its effect on right-char and left-char.

2013-06-28  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): Small update.

2013-06-19  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (dist): Edit more configure variables.
	Try to check that we do not miss any in future.

2013-06-12  Xue Fuqiao  <xfq.free@gmail.com>

	* vc1-xtra.texi (Revision Tags): Add a cross reference.
	(CVS Options): Fix the default value of `vc-cvs-stay-local'.

2013-06-11  Glenn Morris  <rgm@gnu.org>

	* maintaining.texi (VC Directory Commands): Copyedit.
	(Branches): Put back milder version of pre 2013-06-07 text.

2013-06-07  Xue Fuqiao  <xfq.free@gmail.com>

	* maintaining.texi (Branches): Remove text copied from other sources.

2013-06-05  Alan Mackenzie  <acm@muc.de>

	* search.texi (Isearch Scroll): Rename to "Not Exiting Isearch".
	(Not Exiting Isearch): Document new user option
	`isearch-allow-prefix'.  (Bug#9706)

2013-06-03  Juri Linkov  <juri@jurta.org>

	* display.texi (Highlight Interactively): Add global keybindings
	with the key prefix `M-s h'.  Document old command `highlight-phrase'.
	Document new command `highlight-symbol-at-point'.

2013-06-02  Xue Fuqiao  <xfq.free@gmail.com>

	* maintaining.texi (Branches): Add motivations for branching.
	(VC Mode Line): Fix typo.
	(VC Directory Commands): Mention `vc-dir-hide-up-to-date' with
	prefix argument.

2013-06-02  Michael Albinus  <michael.albinus@gmx.de>

	* cmdargs.texi (General Variables): Use "unix:path=/dev/null" as
	dummy value for $DBUS_SESSION_BUS_ADDRESS.  It also suppresses
	autolaunching of the D-Bus session bus.

2013-06-01  Glenn Morris  <rgm@gnu.org>

	* programs.texi (Semantic): Fix typo.

2013-05-30  Xue Fuqiao  <xfq.free@gmail.com>

	* maintaining.texi (Types of Log File): Supplement some
	information of change log files.

2013-05-15  Juri Linkov  <juri@jurta.org>

	* search.texi (Repeat Isearch): Mention key `RET' to finish
	editing the string.  (Bug#13348)

2013-05-14  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): Don't mention obsolete sup-mouse.el.

2013-05-09  Glenn Morris  <rgm@gnu.org>

	* sending.texi (Mail Sending): Fix typo.

	* windows.texi (Change Window): Fix typo.

	* custom.texi (Changing a Variable): Fix typo.

	* trouble.texi (Contributing): Remove obsolete info re pretesters.

2013-05-05  Paul Eggert  <eggert@cs.ucla.edu>

	`write-region-inhibit-fsync' defaults to noninteractive (Bug#14273).
	* cmdargs.texi (Initial Options):
	* files.texi (Customize Save): Document this.

2013-05-04  Glenn Morris  <rgm@gnu.org>

	* calendar.texi (Importing Diary): Mention diary-from-outlook-function.

2013-03-17  Paul Eggert  <eggert@cs.ucla.edu>

	doc: convert some TeX accents to UTF-8
	* ack.texi (Acknowledgments):
	* emacs.texi (Acknowledgments):
	Convert some TeX accents (e.g., '@l{}') to UTF-8 (e.g., 'ł').
	Apparently the TeX accents cause problems when generating gnu.org
	web pages, e.g., @l{} is rendered as '/l' on
	<http://www.gnu.org/software/emacs/manual/html_node/
	emacs/Acknowledgments.html>.

2013-03-16  Glenn Morris  <rgm@gnu.org>

	* emacs.texi (Top): Add some stuff specific to www.gnu.org.

2013-03-04  Paul Eggert  <eggert@cs.ucla.edu>

	Prefer UTF-8 for documentation.
	With GNU Texinfo 5.0, this generates nicer-looking info files,
	since they can use curly quotes.  With older Texinfo it doesn't matter.
	* ack.texi, cal-xtra.texi, calendar.texi, emacs-xtra.texi, emacs.texi:
	Switch from Latin-1 to UTF-8.

2013-02-28  Bastien Guerry  <bzg@gnu.org>

	* xresources.texi (GTK resources): Fix broken link.

2013-02-25  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (Interlocking): Don't refer to symlinks as the
	exclusive means of locking files.

2013-02-22  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments):
	* emacs.texi (Acknowledgments): Small updates.

2013-02-21  Glenn Morris  <rgm@gnu.org>

	* files.texi (File Conveniences): Not just GIFs can be animated.

2013-02-13  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): Don't mention yow any more.

2013-02-13  Paul Eggert  <eggert@cs.ucla.edu>

	* cmdargs.texi (General Variables):
	Fix TMPDIR documentation to match the code's behavior.

2013-02-10  Glenn Morris  <rgm@gnu.org>

	* trouble.texi (Checklist): Update bug keybinding.

2013-02-09  Eli Zaretskii  <eliz@gnu.org>

	* msdog.texi (Text and Binary): Delete the description of
	file-name-buffer-file-type-alist.

2013-01-19  Paul Eggert  <eggert@cs.ucla.edu>

	* trouble.texi (Crashing): Suggest -p for newer addr2line.  (Bug#13445)
	Without it, I don't see function names.  Older addr2line
	implementations will die out sooner or later, so tailor the
	first suggestion to recent addr2line, with a followup about
	older ones.

2013-01-19  Glenn Morris  <rgm@gnu.org>

	* custom.texi (Directory Variables): Fix paren typo.

	* trouble.texi (Crashing): Not all addr2line have -p.  (Bug#13445)

	* custom.texi (Custom Themes): Fix typo.

2013-01-07  Bastien Guerry  <bzg@gnu.org>

	* help.texi (Apropos): Document `apropos-user-option' and update
	the doc for `apropos-variable'.

2013-01-05  Glenn Morris  <rgm@gnu.org>

	* text.texi (HTML Mode): Remove deleted nxml C-RET binding.

2012-12-21  Glenn Morris  <rgm@gnu.org>

	* emacs-xtra.texi (copying): The FSF does not sell copies of this.
	Simply include doclicense.

2012-12-21  Chong Yidong  <cyd@gnu.org>

	* frames.texi (Mouse Commands): Fix description of the effect of
	mouse dragging (Bug#13049).

2012-12-15  Juri Linkov  <juri@jurta.org>

	* misc.texi (Recursive Edit): Add a link to "Query Replace".
	(Bug#13181)

2012-12-10  Dani Moncayo  <dmoncayo@gmail.com>

	* killing.texi (Deletion): Doc fix (Bug#12748).

2012-12-06  Paul Eggert  <eggert@cs.ucla.edu>

	* doclicense.texi, gpl.texi: Update to latest version from FSF.
	These are just minor editorial changes.

2012-12-06  Juanma Barranquero  <lekktu@gmail.com>

	* vc1-xtra.texi (General VC Options): Remove obsolete reference
	to `vc-path'.

2012-12-03  Chong Yidong  <cyd@gnu.org>

	* custom.texi (Init Rebinding): kbd is now a function (Bug#13052).

2012-12-02  Kevin Ryde  <user42@zip.com.au>

	* maintaining.texi (Tag Syntax): Mention (defvar foo) handling.

2012-12-01  Kevin Ryde  <user42@zip.com.au>

	* maintaining.texi (Tag Syntax): Mention Perl's "use constant".

2012-11-24  Paul Eggert  <eggert@cs.ucla.edu>

	* doclicense.texi, gpl.texi: Update to latest version from FSF.
	These are just minor editorial changes.

2012-11-21  Dani Moncayo  <dmoncayo@gmail.com>

	* display.texi (Auto Scrolling): Fix some inaccuracies, plus
	clarifications (Bug#12865).
	(Horizontal Scrolling): Clarifications.

2012-11-18  Dani Moncayo  <dmoncayo@gmail.com>

	* mark.texi (Disabled Transient Mark): Doc fixes (Bug#12746).

2012-11-16  Eli Zaretskii  <eliz@gnu.org>

	* trouble.texi (Crashing): Add information about MS-Windows and
	the emacs_backtrace.txt file.  (Bug#12908)

2012-11-13  Chong Yidong  <cyd@gnu.org>

	* building.texi (Multithreaded Debugging): gdb-stopped-hooks is
	actually named gdb-stopped-functions.

2012-11-13  Glenn Morris  <rgm@gnu.org>

	* misc.texi (Single Shell): Mention async-shell-command-buffer.

2012-11-10  Glenn Morris  <rgm@gnu.org>

	* misc.texi (Terminal emulator): Rename `term-face' to `term'.

	* emacs.texi (Acknowledgments): Add profiler author.
	* ack.texi (Acknowledgments): Add some recent contributions.

2012-11-10  Chong Yidong  <cyd@gnu.org>

	* files.texi (Diff Mode): Doc fixes for
	diff-delete-trailing-whitespace (Bug#12831).

	* trouble.texi (Crashing): Copyedits.

2012-11-10  Glenn Morris  <rgm@gnu.org>

	* files.texi (Diff Mode): Trailing whitespace updates.

2012-11-10  Chong Yidong  <cyd@gnu.org>

	* misc.texi (Terminal emulator): Document Term mode faces.

	* mini.texi (Basic Minibuffer): New node.
	Document minibuffer-electric-default-mode.

	* display.texi (Visual Line Mode): Fix index entry.

	* buffers.texi (Several Buffers): List Buffer Menu command anmes,
	and index the keybindings.  Document tabulated-list-sort.
	(Kill Buffer): Capitalize Buffer Menu.

	* trouble.texi (Memory Full): Capitalize Buffer Menu.

2012-11-10  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Auto Scrolling): Clarify that scroll-step is
	ignored when scroll-conservatively is set to a non-zero value.
	(Bug#12801)

2012-11-10  Chong Yidong  <cyd@gnu.org>

	* dired.texi (Dired Updating): Doc fix (Bug#11744).

2012-10-30  Michael Albinus  <michael.albinus@gmx.de>

	* trouble.texi (Known Problems): Mention command `debbugs-gnu-usertags'.

2012-10-29  Chong Yidong  <cyd@gnu.org>

	* dired.texi (Shell Commands in Dired): Document changes to the
	dired-do-async-shell-command.

2012-10-28  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): Mention gv.el.

2012-10-27  Bastien Guerry  <bzg@gnu.org>

	* screen.texi (Menu Bar): Fix typo.

2012-10-27  Chong Yidong  <cyd@gnu.org>

	* frames.texi (Mouse Avoidance): Mention new variable
	mouse-avoidance-banish-position.

	* programs.texi (Which Function): Which Function mode now works in
	all major modes by default.

	* mule.texi (Recognize Coding): Remove an unreferenced vindex.

	* files.texi (Misc File Ops): Symbolic links on Windows only work
	on Vista and later.

	* building.texi (Compilation): Document compilation-always-kill.

	* search.texi (Symbol Search): New node.

	* package.texi (Package Menu): Document the "new" status.

	* windows.texi (Window Choice): Don't refer to the obsolete
	special-display feature.

2012-10-24  Chong Yidong  <cyd@gnu.org>

	* mule.texi (Text Coding): set-buffer-file-coding-system can now
	be invoked from the mode line.

	* dired.texi (Dired Deletion, Marks vs Flags): Document Emacs 24.3
	changes to the mark and unmark commands.
	(Comparison in Dired): Document chages to dired-diff.  Remove M-=,
	which is no longer bound to dired-backup-diff.

2012-10-23  Bastien Guerry  <bzg@gnu.org>

	* text.texi (Org Authoring): Use a comma after @ref to avoid the
	insertion of a period in the Info output.

2012-10-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* custom.texi (Hooks): Clarify that -hooks is deprecated.

2012-10-23  Chong Yidong  <cyd@gnu.org>

	* kmacro.texi (Edit Keyboard Macro): Fix typo.

2012-10-18  Dani Moncayo  <dmoncayo@gmail.com>

	* mini.texi (Completion Options): Fix off-by-one error.  (Bug#12644)

2012-10-17  Glenn Morris  <rgm@gnu.org>

	* mini.texi (Repetition): Further copyedit.

2012-10-17  Dani Moncayo  <dmoncayo@gmail.com>

	* mini.texi (Repetition): Copyedit.

2012-10-16  Juri Linkov  <juri@jurta.org>

	* search.texi (Query Replace): Document multi-buffer replacement
	keys.  (Bug#12655)

	* maintaining.texi (Tags Search): Change link "Replace" to
	"Query Replace".

2012-10-13  Chong Yidong  <cyd@gnu.org>

	* files.texi (File Conveniences): ImageMagick enabled by default.

2012-10-10  Dani Moncayo  <dmoncayo@gmail.com>

	* basic.texi (Arguments): Fix typos.

2012-10-08  Glenn Morris  <rgm@gnu.org>

	* cal-xtra.texi (Calendar Customizing): Mention calendar-month-header.

	* calendar.texi (Writing Calendar Files): Mention cal-html-holidays.

2012-10-06  Glenn Morris  <rgm@gnu.org>

	* calendar.texi (Writing Calendar Files): Tweak week descriptions.
	Mention cal-tex-cursor-week2-summary.

2012-10-06  Chong Yidong  <cyd@gnu.org>

	* mini.texi (Passwords): Fix typo.

2012-10-02  Glenn Morris  <rgm@gnu.org>

	* maintaining.texi (VC Directory Commands):
	Remove duplicate `q' entry.  (Bug#12553)

2012-09-30  Chong Yidong  <cyd@gnu.org>

	* killing.texi (Rectangles): Document copy-rectangle-as-kill.

	* search.texi (Special Isearch): Document the lax space search
	feature and M-s SPC.
	(Regexp Search): Move main search-whitespace-regexp description to
	Special Isearch.
	(Replace): Document replace-lax-whitespace.

	* basic.texi (Position Info): Document C-u M-=.
	(Moving Point): Document move-to-column.

	* display.texi (Useless Whitespace): Add delete-trailing-lines.

	* misc.texi (emacsclient Options): Document the effect of
	initial-buffer-choice on client frames.  Document server-auth-dir.
	Do not document server-host, which is bad security practice.

	* building.texi (Lisp Libraries): Docstring lookups can trigger
	autoloading.  Document help-enable-auto-load.

	* mini.texi (Yes or No Prompts): New node.

	* ack.texi (Acknowledgments): Remove obsolete packages.

2012-09-27  Glenn Morris  <rgm@gnu.org>

	* cal-xtra.texi (Advanced Calendar/Diary Usage):
	Rename the section to be more general.
	* emacs.texi: Update menu.

2012-09-23  Chong Yidong  <cyd@gnu.org>

	* buffers.texi (Misc Buffer): Replace toggle-read-only with
	read-only-mode.

	* files.texi (Visiting): Likewise.

2012-09-22  Paul Eggert  <eggert@cs.ucla.edu>

	* trouble.texi (Crashing): Document ulimit -c.

2012-09-21  Paul Eggert  <eggert@cs.ucla.edu>

	* trouble.texi (Crashing): Document addr2line.

2012-09-19  Tassilo Horn  <tsdh@gnu.org>

	* misc.texi (DocView Slicing): Document new slice from
	BoundingBox feature.

2012-09-19  Chong Yidong  <cyd@gnu.org>

	* killing.texi (Yanking): Minor clarification (Bug#12469).

2012-09-17  Chong Yidong  <cyd@gnu.org>

	* building.texi (GDB User Interface Layout): Remove reference to
	removed variable gdb-use-separate-io-buffer (Bug#12454).

2012-09-08  Jambunathan K  <kjambunathan@gmail.com>

	* regs.texi (Text Registers): `C-x r +' can now be used instead of
	M-x append-to-register.  New option `register-separator'.
	(Number Registers): Mention that `C-x r +' is polymorphic.

2012-09-07  Chong Yidong  <cyd@gnu.org>

	* windows.texi (Window Choice): Don't mention obsolete
	display-buffer-reuse-frames.

2012-09-04  Paul Eggert  <eggert@cs.ucla.edu>

	Give more-useful info on a fatal error (Bug#12328).
	* trouble.texi (Crashing): New section, documenting this.

2012-08-24  Michael Albinus  <michael.albinus@gmx.de>

	* cmdargs.texi (General Variables):
	Setting $DBUS_SESSION_BUS_ADDRESS to a dummy value suppresses
	connections to the D-Bus session bus.  (Bug#12112)

2012-08-14  Eli Zaretskii  <eliz@gnu.org>

	* building.texi (Debugger Operation): Correct and improve
	documentation of the GUD Tooltip mode.

2012-07-31  Chong Yidong  <cyd@gnu.org>

	* emacs.texi: Fix ISBN (Bug#12080).

2012-08-05  Chong Yidong  <cyd@gnu.org>

	* display.texi (Faces): Document frame-background-mode (Bug#7774).

	* custom.texi (Face Customization): Move discussion of face
	inheritance here, from Faces section.

2012-07-28  Eli Zaretskii  <eliz@gnu.org>

	* frames.texi (Mouse Commands): Fix the description of mouse-2.
	(Bug#11958)

2012-07-19  Chong Yidong  <cyd@gnu.org>

	* emacs.texi: Update ISBN.

2012-07-17  Chong Yidong  <cyd@gnu.org>

	* basic.texi (Inserting Text): Replace ucs-insert with
	insert-char.  Provide more details of input.

	* mule.texi (International Chars, Input Methods): Likewise.

2012-07-13  Chong Yidong  <cyd@gnu.org>

	* custom.texi (Examining): Update C-h v message.

	* buffers.texi (Misc Buffer): Document view-read-only.

2012-07-07  Chong Yidong  <cyd@gnu.org>

	* custom.texi (Init File): Index site-lisp (Bug#11435).

2012-07-06  Chong Yidong  <cyd@gnu.org>

	* emacs.texi: Re-order top-level menu to correspond to logical
	order, to avoid makeinfo warnings.

	* ack.texi (Acknowledgments): Note new python.el.

2012-06-29  Chong Yidong  <cyd@gnu.org>

	* maintaining.texi (Basic VC Editing, VC Pull, Merging):
	* basic.texi (Erasing, Basic Undo): Fix markup.

2012-06-29  Glenn Morris  <rgm@gnu.org>

	* fixit.texi (Undo): Grammar fixes.  (Bug#11779)

2012-06-29  Michael Witten  <mfwitten@gmail.com>  (tiny change)

	* fixit.texi (Undo): Fix typo.  (Bug#11775)

2012-06-27  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): Tiny update.

2012-06-21  Glenn Morris  <rgm@gnu.org>

	* Makefile.in: Rename infodir to buildinfodir throughout.  (Bug#11737)

2012-06-17  Chong Yidong  <cyd@gnu.org>

	* emacs.texi: Remove urlcolor setting.  Update ISBN and edition number.

	* anti.texi:
	* building.texi:
	* cmdargs.texi:
	* custom.texi:
	* display.texi:
	* files.texi:
	* frames.texi:
	* glossary.texi:
	* misc.texi:
	* mule.texi:
	* programs.texi:
	* sending.texi:
	* text.texi: Copyedits to avoid underfull/overfull in 7x9 manual.

2012-06-06  Michael Albinus  <michael.albinus@gmx.de>

	* custom.texi (Directory Variables): Mention enable-remote-dir-locals.

2012-05-28  Glenn Morris  <rgm@gnu.org>

	* ack.texi, building.texi, calendar.texi, custom.texi:
	* maintaining.texi, text.texi: Use @LaTeX rather than La@TeX.

2012-05-27  Glenn Morris  <rgm@gnu.org>

	* emacs.texi: Simplify following removal of node pointers.

	* ack.texi, anti.texi, basic.texi, buffers.texi, building.texi:
	* cmdargs.texi, commands.texi, display.texi, emacs.texi:
	* entering.texi, files.texi, fixit.texi, frames.texi, glossary.texi:
	* gnu.texi, help.texi, indent.texi, killing.texi, kmacro.texi:
	* m-x.texi, macos.texi, maintaining.texi, mark.texi, mini.texi:
	* misc.texi, modes.texi, msdog.texi, mule.texi, programs.texi:
	* regs.texi, screen.texi, search.texi, text.texi, trouble.texi:
	* windows.texi, xresources.texi: Nuke hand-written node pointers.

2012-05-22  Glenn Morris  <rgm@gnu.org>

	* emacs.texi (Acknowledgments): Add another contributor.

2012-05-12  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (MKDIR_P): New, set by configure.
	(mkinfodir): Use $MKDIR_P.

2012-05-10  Glenn Morris  <rgm@gnu.org>

	* mule.texi (Disabling Multibyte): Replace the obsolete "unibyte: t"
	with "coding: raw-text".

	* files.texi (Interlocking): Mention create-lockfiles option.

2012-05-09  Chong Yidong  <cyd@gnu.org>

	* frames.texi (Mouse References, Mouse Commands): Fix index
	entries (Bug#11362).

2012-05-05  Glenn Morris  <rgm@gnu.org>

	* custom.texi (Customization Groups, Custom Themes, Examining):
	Improve page breaks.

	* rmail.texi (Rmail Display): Use example rather than smallexample.

	* calendar.texi: Convert inforefs to refs.

	* dired.texi (Dired Enter): Improve page break.

	* abbrevs.texi (Abbrev Concepts): Copyedits.

	* maintaining.texi (Registering, Tag Syntax):
	Tweak line and page breaks.

	* programs.texi (Programs, Electric C): Copyedits.
	(Program Modes): Add xref to Fortran.
	(Left Margin Paren): Remove what was (oddly enough) the only use
	of defvar in the entire Emacs manual.
	(Hungry Delete): Remove footnote about ancient Emacs version.
	(Other C Commands): Use example rather than smallexample.

	* text.texi (Pages, Filling, Foldout, Org Mode, HTML Mode)
	(Nroff Mode, Enriched Indentation, Table Rows and Columns):
	Tweak line and page breaks.

	* modes.texi (Major Modes, Minor Modes): Reword to improve page-breaks.
	(Major Modes): Use example rather than smallexample.

	* mule.texi (Output Coding): Reword to improve page-breaks.

	* frames.texi (Fonts): Tweak line and page breaks.
	Use example rather than smallexample.  Change cross-reference.
	(Text-Only Mouse): Fix xref.

	* buffers.texi (Buffers, Kill Buffer, Several Buffers)
	(Indirect Buffers): Tweak line- and page-breaks.

	* fixit.texi (Fixit, Undo): Reword to improve page-breaks.

2012-05-04  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (INFO_EXT, INFO_OPTS): New, set by configure.
	(info, infoclean): Use $INFO_EXT.
	($(infodir)/emacs$(INFO_EXT)): Use $INFO_EXT and $INFO_OPT.
	* makefile.w32-in (INFO_EXT, INFO_OPTS): New.
	(INFO_TARGETS): Use $INFO_EXT.
	($(infodir)/emacs$(INFO_EXT)): Use $INFO_EXT and $INFO_OPT, and -o.

2012-05-02  Glenn Morris  <rgm@gnu.org>

	* emacs.texi (@copying): Only print EDITION in the TeX version.

	* search.texi (Regexp Search): Just say "Emacs".

	* display.texi (Auto Scrolling):
	Reword to avoid repetition and improve page break.

	* xresources.texi (Resources):
	* mule.texi (Language Environments):
	* misc.texi (Amusements):
	* maintaining.texi (VC Change Log):
	* frames.texi (Fonts):
	* custom.texi (Specifying File Variables, Minibuffer Maps):
	* cmdargs.texi (Initial Options):
	* building.texi (Flymake):
	Reword to remove/reduce some overly long/short lines.

2012-04-27  Glenn Morris  <rgm@gnu.org>

	* emacs.texi: Some fixes for detailed menu.

	* emacs.texi: Add "et al." to authors.

	* ack.texi, basic.texi, buffers.texi, building.texi:
	* calendar.texi, cmdargs.texi, commands.texi, custom.texi:
	* dired.texi, display.texi, emerge-xtra.texi, files.texi:
	* fortran-xtra.texi, help.texi, kmacro.texi, mini.texi, misc.texi:
	* msdog-xtra.texi, picture-xtra.texi, programs.texi, rmail.texi:
	* search.texi, trouble.texi, windows.texi:
	Use Texinfo recommended convention for quotes+punctuation.

2012-04-27  Eli Zaretskii  <eliz@gnu.org>

	* mule.texi (Bidirectional Editing): Improve indexing.
	Minor wording tweaks.

2012-04-15  Chong Yidong  <cyd@gnu.org>

	* misc.texi (emacsclient Options): More clarifications.

2012-04-15  Glenn Morris  <rgm@gnu.org>

	* msdog.texi (Windows Printing): It doesn't set printer-name.

	* mule.texi (Language Environments): Move font info to "Fontsets".
	(Fontsets): Move intlfonts etc here from "Language Environments".
	Copyedits.
	(Defining Fontsets, Modifying Fontsets, Undisplayable Characters)
	(Unibyte Mode, Charsets, Bidirectional Editing): Copyedits.

2012-04-15  Chong Yidong  <cyd@gnu.org>

	* glossary.texi (Glossary): Standardize on "text terminal"
	terminology.  All callers changed.

	* misc.texi (emacsclient Options): Document "client frame" concept
	and its effect on C-x C-c more carefully.

2012-04-15  Glenn Morris  <rgm@gnu.org>

	* frames.texi (Scroll Bars):
	* glossary.texi (Glossary): Use consistent case for "X Window System".

	* mule.texi (Select Input Method, Coding Systems):
	State command names in kbd tables.
	(Recognize Coding): Add cross-ref.
	(Output Coding): Don't mention message mode in particular.
	(Text Coding, Communication Coding, File Name Coding, Terminal Coding):
	Copyedits.

2012-04-14  Glenn Morris  <rgm@gnu.org>

	* mule.texi (Select Input Method, Coding Systems, Recognize Coding):
	Copyedits.
	(Coding Systems): Mac OS X apparently uses newlines for EOL.
	(Recognize Coding): Remove old auto-coding-regexp-alist example.
	auto-coding-functions does not override coding: tags.
	Remove rmail-decode-mime-charset; it no longer has any effect.

2012-04-14  Chong Yidong  <cyd@gnu.org>

	* custom.texi (Creating Custom Themes): Add reference to Custom
	Themes node in Lisp manual.

2012-04-14  Glenn Morris  <rgm@gnu.org>

	* mule.texi (International): Copyedits.
	(International Chars): Update C-x = example output.
	(Disabling Multibyte): Rename from "Enabling Multibyte".
	Clarify what "unibyte: t" does, and mode-line description.
	(Unibyte Mode): Update for "Disabling Multibyte" node name change.
	Use Texinfo recommended convention for quotes+punctuation.
	(Language Environments): Copyedits.
	(Input Methods): Copyedits.  Use "^" for the postfix example,
	because it is less confusing inside Info's `quotes'.

	* custom.texi (Specifying File Variables): Fix "unibyte" description.
	Update for "Disabling Multibyte" node name change.
	* emacs.texi: Update for "Disabling Multibyte" node name change.

	* abbrevs.texi, arevert-xtra.texi, buffers.texi, building.texi:
	* cmdargs.texi, custom.texi, entering.texi, files.texi, frames.texi:
	* glossary.texi, help.texi, macos.texi, maintaining.texi, mini.texi:
	* misc.texi, package.texi, programs.texi, screen.texi, search.texi:
	* sending.texi, text.texi, trouble.texi:
	Use @file for buffers, per the Texinfo manual.

	* entering.texi (Entering Emacs):
	Do not mention initial-buffer-choice = t.

	* misc.texi (Gnus Startup): Use @env for environment variables.

	* Makefile.in: Replace non-portable use of $< in ordinary rules.

2012-04-12  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): Don't mention obsolete mailpost.el.

2012-04-07  Glenn Morris  <rgm@gnu.org>

	* emacsver.texi (EMACSVER): Bump version to 24.1.50.

2012-04-05  Glenn Morris  <rgm@gnu.org>

	* glossary.texi (Glossary): Use anchors for internal cross-references.

2012-04-04  Glenn Morris  <rgm@gnu.org>

	* glossary.texi (Glossary): Copyedits.
	Use Texinfo-recommended convention for quotes and punctuation.
	Comment out a few specialized (Rmail) items.
	New items: Bidirectional Text, Client, Directory Local Variable,
	File Local Variable, Package, Server, Theme, Trash Can.

2012-04-03  Chong Yidong  <cyd@gnu.org>

	* sending.texi (Mail Misc): Fix an index entry.

2012-04-02  Eli Zaretskii  <eliz@gnu.org>

	* msdog.texi (Windows Startup): Add description of emacsclient
	operation under -c and -t on MS-Windows.

	* misc.texi (emacsclient Options): Add cross-reference to "Windows
	Startup".  (Bug#11091)

2012-04-02  Dani Moncayo  <dmoncayo@gmail.com>

	* custom.texi (Changing a Variable): Fix example.

2012-04-01  Eli Zaretskii  <eliz@gnu.org>

	* misc.texi (emacsclient Options): More clarifications about -t
	and -c on MS-Windows.  (Bug#11091)

2012-03-31  Eli Zaretskii  <eliz@gnu.org>

	* misc.texi (emacsclient Options): Document peculiarities of new
	frame creation on MS-Windows under -c or -t options.  (Bug#11091)

2012-03-30  Chong Yidong  <cyd@gnu.org>

	* files.texi (File Conveniences): Clarify Imagemagick discussion.

2012-03-22  Glenn Morris  <rgm@gnu.org>

	* dired.texi (Operating on Files): Fix dired-recursive-copies default.

2012-03-17  Chong Yidong  <cyd@gnu.org>

	* package.texi (Package Installation): Document use of
	package-initialize in init file.

2012-03-16  Glenn Morris  <rgm@gnu.org>

	* help.texi (Language Help):
	* mule.texi (International Chars):
	etc/HELLO is for character demonstration.

2012-03-15  Dani Moncayo  <dmoncayo@gmail.com>

	* dired.texi (Shell Commands in Dired): Fix typo.

2012-03-04  Chong Yidong  <cyd@gnu.org>

	* killing.texi (Clipboard): Document clipboard manager.

2012-02-29  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): Use @Tex{} in more places.

	* emacs.texi, help.texi, text.texi: Use "" quotes in menus.

	* dired.texi, emacs.texi: Use @code{} in menus when appropriate.

2012-02-28  Glenn Morris  <rgm@gnu.org>

	* custom.texi, display.texi, emacs.texi, files.texi:
	* msdog-xtra.texi, msdog.texi, vc-xtra.texi:
	Standardize possessive apostrophe usage.

2012-02-25  Jan Djärv  <jan.h.d@swipnet.se>

	* macos.texi (Mac / GNUstep Customization): Remove text about
	ns-find-file and ns-drag-file (Bug#5855, Bug#10050).

2012-02-25  Dani Moncayo  <dmoncayo@gmail.com>

	* buffers.texi (Select Buffer): Mention that saving in a new file
	name can switch to a different major mode.

2012-02-23  Glenn Morris  <rgm@gnu.org>

	* mini.texi (Minibuffer File, Completion Options, Repetition):
	Copyedits.
	(Completion Example): Other M-x au* commands may be defined.
	(Completion Styles): Mention emacs21 and completion-category-overrides.

	* msdog.texi (Text and Binary, ls in Lisp, Windows HOME)
	(Windows Keyboard, Windows Mouse, Windows Processes)
	(Windows Printing, Windows Misc): Copyedits.
	(ls in Lisp): Update switches list.

	* msdog-xtra.texi (MS-DOS Display): Update list-colors-display xref.
	Update dos-mode* function names.
	(MS-DOS Printing, MS-DOS and MULE): Copyedits.
	(MS-DOS Processes): Add xref to main ls-lisp section.

	* ack.texi (Acknowledgments): Mention smie.

2012-02-22  Glenn Morris  <rgm@gnu.org>

	* macos.texi: Copyedits.  Fix @key/@kbd usage.
	(Mac / GNUstep Basics): Don't mention the panels, since the next
	section covers them.
	(Mac / GNUstep Customization): Merge some panel info from previous.

2012-02-21  Glenn Morris  <rgm@gnu.org>

	* emerge-xtra.texi (Emerge, Submodes of Emerge, Combining in Emerge):
	Small fixes.

	* emacs-xtra.texi: Picture mode is no longer a chapter.

	* picture-xtra.texi (Basic Picture): C-a does get remapped.

	* ack.texi (Acknowledgments): Small changes, including resorting,
	and removal of things no longer distributed.

2012-02-20  Glenn Morris  <rgm@gnu.org>

	* emacs.texi (Top, Preface): Small rephrasings.
	(menu, detailmenu): Update entries, and reformat some descriptions.
	* building.texi, display.texi, emacs-xtra.texi, files.texi:
	* frames.texi, kmacro.texi, msdog.texi, programs.texi, text.texi:
	Reformat some menu descriptions.

	* ack.texi (Acknowledgments): More updates.

	* emacs.texi (Acknowledgments): Add several names from ack.texi,
	and from Author: headers.
	(Distrib): Small updates.

2012-02-18  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): Add xref to Org manual.

	* rmail.texi: Copyedits.  Use 'mail composition buffer' in place
	of '*mail*', since Message does not call it that.
	(Rmail Reply): Rename rmail-dont-reply-to-names.
	\\`info- no longer handled specially.
	Update for rmail-enable-mime-composing.
	Don't mention 'm' for replies.
	Don't mention rmail-mail-new-frame and canceling, since it does
	not work for Message at the moment.

	* cal-xtra.texi: Copyedits.

	* emacs-xtra.texi: Set encoding to ISO-8859-1.

2012-02-17  Glenn Morris  <rgm@gnu.org>

	* maintaining.texi (Old Revisions): Fix cross-refs to Ediff manual.

	* ack.texi (Acknowledgments): Mention Gnulib.

	* ack.texi, calendar.texi, cal-xtra.texi: Use "Bahá'í".

	* calendar.texi: Misc small changes, including updating the dates
	of examples.

2012-02-16  Glenn Morris  <rgm@gnu.org>

	* calendar.texi: Misc small changes.

	* vc1-xtra.texi (VC Delete/Rename, CVS Options):
	* cal-xtra.texi (Diary Display): Fix TeX cross-refs to other manuals.

	* dired-xtra.texi (Subdir Switches): Small fixes.

	* fortran-xtra.texi: Tiny changes and some adjustments to line breaks.

2012-02-15  Glenn Morris  <rgm@gnu.org>

	* sending.texi (Mail Sending): smtpmail-auth-credentials was removed.

2012-02-12  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments):
	* emacs.texi (Acknowledgments): Updates for new files in 24.1.

2012-02-10  Glenn Morris  <rgm@gnu.org>

	* mini.texi (Minibuffer Edit): Mention minibuffer-inactive-mode.

	* programs.texi (Misc for Programs): Mention electric-layout-mode.

2012-02-09  Glenn Morris  <rgm@gnu.org>

	* buffers.texi (Misc Buffer): M-x info does not seem to require a
	buffer switch after M-x rename-uniquely.

	* trouble.texi (Checklist): Mention C-c m in report-emacs-bug.

2012-02-09  Jay Belanger  <jay.p.belanger@gmail.com>

	* text.texi (Org Mode): Fix typo.

2012-02-08  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): Update emacs-lock info.

	* rmail.texi (Rmail Display): Mention rmail-epa-decrypt.

	* text.texi (LaTeX Editing): Mention latex-electric-env-pair-mode.

2012-02-07  Glenn Morris  <rgm@gnu.org>

	* files.texi (File Conveniences): Mention ImageMagick images.

2012-02-05  Glenn Morris  <rgm@gnu.org>

	* trouble.texi (Checklist): Mention debug-on-event.

	* maintaining.texi (Maintaining): Add cross-ref to ERT.

2012-02-04  Glenn Morris  <rgm@gnu.org>

	* macos.texi (Customization options specific to Mac OS / GNUstep):
	New subsection.

	* display.texi (Colors): Mention list-colors-sort.

	* files.texi (File Conveniences): Mention image animation.

2012-01-31  Chong Yidong  <cyd@gnu.org>

	* windows.texi (Split Window): C-mouse-2 doesn't work on GTK+
	scroll bars (Bug#10666).

2012-01-28  Chong Yidong  <cyd@gnu.org>

	* files.texi (Filesets): Fix typos.

	* display.texi (Faces): Add xref to Colors node.

2012-01-27  Dani Moncayo  <dmoncayo@gmail.com>

	* buffers.texi (Select Buffer): Clarify explanation of switching
	to new buffers.  Fix description of next-buffer and
	previous-buffer (Bug#10334).
	(Misc Buffer): Add xref to View Mode.

	* text.texi (Fill Commands): Fix description of
	sentence-end-double-space.

2012-01-23  Chong Yidong  <cyd@gnu.org>

	* anti.texi (Antinews): Add Emacs 23 antinews.

2012-01-16  Volker Sobek  <reklov@live.com>  (tiny change)

	* programs.texi (Comment Commands): Typo (bug#10514).

2012-01-15  Chong Yidong  <cyd@gnu.org>

	* xresources.texi (X Resources): Describe GTK+ case first.
	(Resources): Don't use borderWidth as an example, since it doesn't
	work with GTK+.
	(Table of Resources): Clarify role of several resources, including
	the Emacs 24 behavior of cursorBlink etc.
	(Face Resources): Node deleted.  Recommend using Customize
	instead.  Add paragraph to `Table of Resources' node summarizing
	how to use X resources for changing faces.
	(Lucid Resources): Rewrite, omitting description of font names,
	referring to the Fonts node instead.
	(LessTif Resources): Copyedits.
	(GTK resources): Rewrite, describing the difference between gtk2
	and gtk3.
	(GTK Resource Basics): New node.
	(GTK Widget Names, GTK Names in Emacs): Rewrite.
	(GTK styles): Just refer to Fonts node for GTK font format.

	* display.texi (Faces): Document the cursor face.

2012-01-14  Chong Yidong  <cyd@gnu.org>

	* cmdargs.texi (Action Arguments): No need to mention EMACSLOADPATH.
	(General Variables): Add xref to Lisp Libraries.
	(Initial Options): Copyedits.
	(Resume Arguments): Node deleted; emacs.bash/csh are obsolete.
	(Environment): Clarify what getenv does.
	(General Variables): Clarify EMACSPATH etc.  Emacs does not assume
	light backgrounds on xterms.
	(Misc Variables): TEMP and TMP are not Windows-specific.
	(Display X): Copyedits.
	(Colors X): -bd does nothing for GTK.
	(Icons X): Gnome 3 doesn't use taskbars.

	* misc.texi (Shell): Document exec-path here.

	* rmail.texi (Movemail): Add xref for exec-path.

2012-01-13  Glenn Morris  <rgm@gnu.org>

	* dired.texi (Dired and Find): Clarify find-ls-options.

2012-01-09  Chong Yidong  <cyd@gnu.org>

	* custom.texi (Custom Themes): Switch custom-safe-themes to use
	SHA-256.

2012-01-07  Chong Yidong  <cyd@gnu.org>

	* display.texi (Useless Whitespace): Add Whitespace mode.

	* custom.texi (Hooks): Discuss how to disable minor modes.

	* files.texi (Diff Mode): Discuss diff-auto-refine-mode
	(Bug#10309).  Discuss use of Whitespace mode (Bug#10300).

	* trouble.texi (Lossage): Refer to Bugs node for problems.
	(DEL Does Not Delete): Don't use "usual erasure key" teminology.
	(Screen Garbled): Don't refer to terminal "manufacturers".
	(Total Frustration): Node deleted.  Eliza is documented in
	Amusements now.
	(Known Problems): More info about using the bug tracker.
	Mention debbugs package.
	(Bug Criteria): Copyedits.
	(Understanding Bug Reporting): Mention emacs -Q.

2012-01-06  Chong Yidong  <cyd@gnu.org>

	* custom.texi (Specifying File Variables): The mode: keyword
	doesn't have to be first anymore.  Add example of specifying minor
	modes.
	(Directory Variables): Simplify example.  Mention application to
	non-file buffers.
	(Disabling): Use "initialization file" terminology.
	(Init Examples): Fix hook example.

2012-01-06  Eli Zaretskii  <eliz@gnu.org>

	* cmdargs.texi (MS-Windows Registry): Shorten the index entry.
	(Bug#10422)
	Move the stuff about resources to xresources.texi.

	* xresources.texi (Resources): Move information about setting X
	resources in the Registry from cmdargs.texi.  Make the index entry
	be similar to the one in cmdargs.texi.

2012-01-05  Chong Yidong  <cyd@gnu.org>

	* custom.texi (Customization Groups): Update example.
	(Browsing Custom): Document the new search field.
	(Changing a Variable): Update example for Emacs 24 changes.
	Document Custom-set and Custom-save commands.
	(Face Customization): Document Emacs 24 changes.  De-document
	modify-face.
	(Specific Customization): Mention customize-variable.
	(Custom Themes): Add customize-themes, custom-theme-load-path,
	custom-theme-directory, and describe-theme.
	(Creating Custom Themes): New node.
	(Examining): Mention M-:.

	* package.texi (Packages): Fix typo.

2012-01-03  Chong Yidong  <cyd@gnu.org>

	* misc.texi (Single Shell): Don't document Lisp usage of
	shell-command.  Tidy up discussion of synchronicity.  Add index
	entries for async-shell-command.
	(Interactive Shell): Note that M-x shell uses shell-file-name.
	Note change in behavior in Emacs 24.
	(Shell Mode): Shell mode now uses completion-at-point.
	(Shell Prompts): Emphasize that comint-use-prompt-regexp isn't the
	default method for recognizing prompts nowadays.
	(Shell Ring): Add xref to Minibuffer History.
	(Directory Tracking): Explain Dirtrack mode in more detail.
	(Term Mode): Fix index entries.
	(Paging in Term): Merge into Term Mode.
	(Serial Terminal, Emacs Server, emacsclient Options): Copyedits.
	(Printing): Fix xref.  State default of lpr-switches.
	(PostScript): Remove obsolete sentence.  Omit description of
	non-interactive behaviors.
	(Hyperlinking): Improve description.
	(Browse-URL): Using compose-mail for mailto URLs is the default.
	Document browse-url-mailto-function.
	(Goto Address mode): Add index entries.  Add xref to Browse-URL.
	(FFAP): FFAP is not a minor mode.
	(Amusements): M-x lm was renamed to M-x landmark.
	Document nato-region.

2012-01-01  Chong Yidong  <cyd@gnu.org>

	* misc.texi (Gnus, Buffers of Gnus): Copyedits.
	(Gnus Startup): Note that the system might not be set up for news.
	Describe group levels more clearly.
	(Gnus Group Buffer, Gnus Summary Buffer): New nodes, split from
	Summary of Gnus.
	(Document View): Copyedits.  Move zoom commads to DocView
	Navigation node.
	(DocView Navigation, DocView Searching, DocView Slicing)
	(DocView Conversion): Nodes renamed from Navigation, etc.

	* sending.texi (Mail Sending): Add message-kill-buffer-on-exit.

2011-12-31  Eli Zaretskii  <eliz@gnu.org>

	* basic.texi (Moving Point): Fix the description of C-n and C-p.
	(Bug#10380)

2011-12-30  Chong Yidong  <cyd@gnu.org>

	* sending.texi (Sending Mail): Document initial mail buffer name,
	and changed multiple mail buffer behavior.
	(Mail Format): Put the example at the top of the section.
	(Mail Headers): Move discussion of "From" to the top.
	(Mail Sending): Document sendmail-query-once.
	(Citing Mail): Make it less Rmail-specific.

2011-12-29  Chong Yidong  <cyd@gnu.org>

	* text.texi (Org Mode): Copyedits.  Refer to Outline Format for
	example.  Add index entries.
	(Org Organizer, Org Authoring): Nodes renamed.  Copyedits.

2011-12-26  Chong Yidong  <cyd@gnu.org>

	* dired.texi (Dired Enter, Misc Dired Features):
	Document dired-use-ls-dired changes.  Mention quit-window.
	(Dired Navigation): Add index entries.
	(Dired Visiting): Fix View Mode xref.
	(Marks vs Flags): Prefer C-/ binding for undo.
	(Subdirectories in Dired): Add xrefs.
	(Misc Dired Features): Document some Emacs 24 changes.  Add index
	entries.

	* abbrevs.texi (Abbrev Concepts): No need to mention abbrev-mode
	variable, since it is explained in Minor Modes node.
	(Defining Abbrevs): Copyedits.
	(Expanding Abbrevs): State default of abbrev-all-caps.  Prefer the
	C-/ binding for undo.
	(Dabbrev Customization): Add xrefs for case-fold-search and
	case-replace.

	* dired-xtra.texi (Subdir Switches): Add xref.

	* maintaining.texi (VC Directory Commands): Mention quit-window.

2011-12-25  Chong Yidong  <cyd@gnu.org>

	* maintaining.texi (Tags): Mention Semantic.
	(Create Tags Table, Etags Regexps): Copyedits.
	(Find Tag): Mention minibuffer completion.
	(List Tags): Mention completion-at-point.  Completion is actually
	available in M-x list-tags.

	* vc1-xtra.texi (VC Delete/Rename): Rename from Renaming and VC.
	Document vc-delete-file.

	* files.texi (Misc File Ops): Mention vc-delete-file.

	* programs.texi (Symbol Completion): Mention completion-at-point
	explicitly.

2011-12-22  Chong Yidong  <cyd@gnu.org>

	* maintaining.texi (Change Log Commands): Don't specially mention
	vc-update-change-log which is CVS-only.

	* vc1-xtra.texi (Version Headers): Note that these are for
	Subversion, CVS, etc. only.
	(General VC Options): De-document vc-keep-workfiles.
	Fix RCS-isms.

2011-12-22  Eli Zaretskii  <eliz@gnu.org>

	* building.texi (Debugger Operation): Fix a typo: "@end iftext"
	should be @end iftex".

2011-12-21  Chong Yidong  <cyd@gnu.org>

	* maintaining.texi (Advanced C-x v v): Use fileset terminology.
	(VC With A Merging VCS, VC Change Log): Add xref to VC Pull node.
	(VC Pull): Mention vc-log-incoming.
	(Log Buffer): Add CVS/RCS only disclaimer.

	* vc1-xtra.texi (Remote Repositories): Update introduction.
	(Local Version Control): Node deleted (obsolete with DVCSes).
	(Remote Repositories, Version Backups): Node deleted.
	Move documentation of vc-cvs-stay-local to CVS Options.
	(CVS Options): Reduce verbosity of description of obscure CVS
	locking feature.
	(Making Revision Tags, Revision Tag Caveats): Merge into Revision
	Tags node.
	(Revision Tags): Move under Miscellaneous VC subsection.
	(Change Logs and VC): Note that this is wrong for DVCSs.
	De-document log entry manipulating features.
	(Renaming and VC): Describe how it works on modern VCSes.

	* files.texi (Misc File Ops): Mention vc-rename-file.

	* programs.texi (Custom C Indent): Add index entries.

2011-12-20  Alan Mackenzie  <acm@muc.de>

	* programs.texi (Motion in C): Update the description of C-M-a and
	C-M-e, they now DTRT in enclosing scopes.
	(Custom C Indent): Add @dfn{guessing} of the indentation style.

2011-12-20  Chong Yidong  <cyd@gnu.org>

	* maintaining.texi (VCS Concepts): Add "working tree" terminology.
	(Old Revisions): Use it.
	(VCS Repositories): Add "distributed" terminology.
	(Log Buffer): Remove duplicate description
	about changesets.  Fix "current VC fileset" ambiguity.
	(Multi-User Branching): Node deleted.
	(Branches, Switching Branches): Discuss decentralized version
	control systems.
	(VC Pull): New node.
	(Merging): Document merging on decentralized systems.
	(Creating Branches): Note that this is specific to CVS and related
	systems.

2011-12-19  Chong Yidong  <cyd@gnu.org>

	* maintaining.texi (VCS Merging, VCS Changesets): Index entries.
	(VC Mode Line): Add index entry for "version control status".
	(VC Undo): Use vc-revert instead of its vc-revert-buffer alias.
	Document vc-revert-show-diff.  De-document vc-rollback.
	(VC Directory Mode): Rewrite introduction.  Move prefix arg
	documentation here from VC Directory Buffer node.
	(VC Directory Buffer): Use a decentralized VCS example.
	(VC Directory Commands): Use a table.  Remove material duplicated
	in previous nodes on multi-file VC filsets.

2011-12-17  Chong Yidong  <cyd@gnu.org>

	* maintaining.texi (VCS Concepts): Make "revision" terminology
	less CVS-specific.
	(VC With A Merging VCS, VC With A Locking VCS): Add xref to
	Registering node.
	(Secondary VC Commands): Delete.  Promote subnodes.
	(Log Buffer): Add command name for C-c C-c.  Fix the name of the
	log buffer.  Add index entries.
	(VCS Changesets, Types of Log File, VC With A Merging VCS):
	Use "commit" terminology.
	(Old Revisions): Move it to just before VC Change Log.  "Tag" here
	doesn't refer to tags tables.  Note other possible forms of the
	revision ID.  C-x v = does not save.
	(Registering): Note similarity to C-x v v action.  Fix description
	of how backends are chosen.  De-document vc-default-init-revision.
	(VC Change Log): Document C-x v l in VC-Dir buffer.  Document RET
	in root log buffers.

2011-12-16  Chong Yidong  <cyd@gnu.org>

	* maintaining.texi (Version Control Systems): Drop Meta-CVS.
	(Basic VC Editing): Remove redundant descriptions.
	(VC With A Merging VCS): Make description more general instead of
	CVS-specific.
	(VC With A Locking VCS): Use VC fileset terminology.

2011-12-12  Chong Yidong  <cyd@gnu.org>

	* building.texi (Executing Lisp): Fix xref for C-M-x.
	(Lisp Libraries): Add xref to node explaining `load' in Lisp
	manual.  Note that load-path is not customizable.
	(Lisp Eval): Note that listed commands are available globally.
	Explain the meaning of "defun" in the C-M-x context.
	(Lisp Interaction): Copyedits.
	(External Lisp): Fix name of inferior Lisp buffer.
	Mention Scheme.
	(Compilation): Define "inferior process".

2011-12-10  Eli Zaretskii  <eliz@gnu.org>

	* msdog.texi (Windows Fonts): Document how to force GDI font
	backend on MS-Windows.

2011-12-10  Chong Yidong  <cyd@gnu.org>

	* building.texi (Compilation): Say what the -k flag to make does.
	Move subprocess discussion to Compilation Shell.
	(Compilation Mode): Add xref for grep, occur, and mouse
	references.  Define "locus".
	(Grep Searching): Use @command.
	(Debuggers, Commands of GUD, GDB Graphical Interface):
	Clarify intro.
	(Starting GUD): Clarify how arguments are specified.
	(Debugger Operation): Index entry for "GUD interaction buffer",
	and move basic description here from Commands of GUD node.
	(GDB User Interface Layout): Copyedits.
	(Source Buffers): Remove gdb-find-source-frame, which is not in
	gdb-mi.el.
	(Other GDB Buffers): Remove gdb-use-separate-io-buffer and
	toggle-gdb-all-registers, which are not in gdb-mi.el.
	Don't re-document GUD interaction buffers.

	* programs.texi (Symbol Completion): M-TAB can now use Semantic.
	(Semantic): Add cindex entries for Semantic.

2011-12-06  Chong Yidong  <cyd@gnu.org>

	* programs.texi (Man Page): Clarify how to use Man-switches.
	Don't bother documenting Man-fontify-manpage-flag.
	(Lisp Doc): Add xref to Name Help node.
	(Hideshow): Add cindex.  Mention role of ellipses, and default
	value of hs-isearch-open.  Don't bother documenting
	hs-special-modes-alist.
	(Symbol Completion): Add kindex for C-M-i.  Don't recommend
	changing the window manager binding of M-TAB.

2011-12-05  Chong Yidong  <cyd@gnu.org>

	* programs.texi (Comment Commands): Fix description of for M-; on
	blank lines.  Move documentation of comment-region here.
	(Multi-Line Comments): Clarify the role of comment-multi-line.
	Refer to Comment Commands for comment-region doc.
	(Options for Comments): Refer to Multi-Line Comments for
	comment-multi-line doc, instead of duplicating it.  Fix default
	values of comment-padding and comment-start-skip.

2011-12-04  Chong Yidong  <cyd@gnu.org>

	* programs.texi (Program Modes): Mention modes that are not
	included with Emacs.  Fix references to other manuals for tex.
	Add index entry for backward-delete-char-untabify.
	Mention prog-mode-hook.
	(Which Function): Use "global minor mode" terminology.
	(Basic Indent, Multi-line Indent): Refer to previous descriptions
	in Indentation chapter to avoid duplication.
	(Expressions): Copyedit.
	(Matching): Document Electric Pair mode.

	* ack.texi (Acknowledgments):
	* rmail.texi (Movemail, Other Mailbox Formats):
	* frames.texi (Frames): Don't capitalize "Unix".

2011-12-04  Chong Yidong  <cyd@gnu.org>

	* text.texi (Nroff Mode): Mention what nroff is.
	(Text Based Tables, Table Recognition): Don't say "Table mode"
	since it's not a major or minor mode.
	(Text Based Tables): Reduce the size of the example.
	(Table Definition): Clarify definitions.
	(Table Creation): Add key table.
	(Cell Commands): Use kbd for commands.
	(Table Rows and Columns): Combine nodes Row Commands and Column
	Commands.
	(Fixed Width Mode): Node deleted; contents moved to parent.
	(Table Conversion): Shorten example.
	(Measuring Tables): Merge into Table Misc.

2011-12-03  Chong Yidong  <cyd@gnu.org>

	* text.texi (TeX Mode): Mention AUCTeX package.
	(TeX Editing): Add xref to documentation for Occur.
	(LaTeX Editing): Add xref to Completion node.
	(TeX Print): Fix description of tex-directory.
	(Enriched Text): Rename from Formatted Text.  Make this node and
	its subnodes less verbose, since text/enriched files are
	practically unused.
	(Enriched Mode): Rename from Requesting Formatted Text.
	(Format Colors): Node deleted.
	(Enriched Faces): Rename from Format Faces.  Describe commands
	for applying colors too.
	(Forcing Enriched Mode): Node deleted; merged into Enriched Mode.

	* frames.texi (Menu Mouse Clicks): Tweak description of C-Mouse-2.

	* display.texi (Colors): New node.

	* cmdargs.texi (Colors X):
	* xresources.texi (GTK styles):
	* custom.texi (Face Customization): Reference it.

	* glossary.texi (Glossary): Remove "formatted text" and "WYSIWYG".
	Link to Fill Commands for Justification entry.

2011-12-03  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Auto Scrolling): More accurate description of what
	scroll-*-aggressively does, including the effect of non-zero
	margin.  Fix "i.e." markup.

2011-12-02  Chong Yidong  <cyd@gnu.org>

	* text.texi (Pages): Mention how formfeed chars are displayed.
	(Auto Fill): Note convention for calling auto-fill-mode from Lisp.
	Describe adaptive filling more precisely.
	(Fill Commands): Note that filling removes excess whitespace.
	(Text Mode): Note auto-mode-alist entries for Text mode.  TAB is
	now bound to indent-for-tab-command in Text mode.
	(Outline Mode): Copyedits.
	(Outline Visibility): Note that Reveal mode is a buffer-local
	minor mode.

	* modes.texi (Major Modes): Move note about checking major-mode in
	a hook function here, from Text mode.

2011-11-28  Chong Yidong  <cyd@gnu.org>

	* text.texi (Words): Add xref to Position Info.
	(Paragraphs): Add xref to Regexps.

	* indent.texi (Indentation): Rewrite introduction.  Move table to
	Indentation Commands node.
	(Indentation Commands): Add index entries to table.  Copyedits.
	(Tab Stops, Just Spaces): Copyedits.
	(Indent Convenience): New node.  Document electric-indent-mode.

	* programs.texi (Basic Indent):
	* windows.texi (Pop Up Window): Fix kindex entry.

2011-11-28  Chong Yidong  <cyd@gnu.org>

	* modes.texi (Major Modes): Move major-mode variable doc here from
	Choosing Modes.  Document describe-mode.  Document prog-mode-hook
	and text-mode-hook.  Add example of using hooks.
	(Minor Modes): Document behavior of mode command calls from Lisp.
	Note that setting the mode variable using Customize will DTRT.
	(Choosing Modes): Add example of setting a minor mode using a
	local variable.

2011-11-27  Chong Yidong  <cyd@gnu.org>

	* frames.texi (Creating Frames): Move frame parameter example to
	Frame Parameters node.
	(Frame Commands): C-x 5 o does not warp the mouse by default.
	(Fonts): Add more GTK-style properties; also, they should be
	capitalized.
	(Special Buffer Frames): Node deleted; special-display is on the
	way out.
	(Frame Parameters): Example moved here from Creating Frames.
	Clarify that default-frame-alist affects the initial frame too.
	Delete auto-raise-mode and auto-lower-mode.
	(Wheeled Mice): Node deleted.  Content moved to Mouse Commands.
	(Dialog Boxes): Delete x-gtk-use-old-file-dialog.

	* windows.texi (Window Choice): Add xref to Lisp manual for
	special-display-*.

2011-11-26  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Text Display): Update the description,
	cross-references, and indexing related to display of control
	characters and raw bytes.

2011-11-25  Chong Yidong  <cyd@gnu.org>

	* frames.texi (Frames): Rewrite introduction.
	(Mouse Commands): Default for mouse-drag-copy-region is now t.
	Mouse-3 does not copy to kill ring by default.  DEL does not
	behave specially for mouse commands any more.
	(Mouse References): Document mouse-1-click-follows-link more
	thoroughly.
	(Menu Mouse Clicks): Move footnote to the main text and add xref
	to Init Rebinding node.
	(Mode Line Mouse): Mouse-3 on the mode-line does not bury buffer.

	* files.texi (Visiting): `C-x 5 f' works on ttys too.

2011-11-24  Juanma Barranquero  <lekktu@gmail.com>

	* display.texi (Font Lock): Fix typo.

2011-11-24  Glenn Morris  <rgm@gnu.org>

	* rmail.texi (Rmail Output):
	Mention rmail-automatic-folder-directives.  (Bug#9657)

2011-11-21  Chong Yidong  <cyd@gnu.org>

	* mark.texi (Global Mark Ring): Fix description of global mark
	ring (Bug#10032).

2011-11-20  Juanma Barranquero  <lekktu@gmail.com>

	* msdog.texi (Windows Fonts): Fix typo.

2011-11-17  Glenn Morris  <rgm@gnu.org>

	* regs.texi (Bookmarks): Small fixes related to saving.  (Bug#10058)

2011-11-16  Juanma Barranquero  <lekktu@gmail.com>

	* killing.texi (Rectangles):
	* misc.texi (Document View):
	* modes.texi (Choosing Modes):
	* msdog.texi (Windows Fonts):
	* regs.texi (Rectangle Registers):
	* search.texi (Isearch Yank): Fix typos.

2011-11-06  Chong Yidong  <cyd@gnu.org>

	* windows.texi (Basic Window): Add xref to Cursor Display.
	(Split Window): Document negative arg for splitting commands.
	(Other Window): Document mouse-1 in text area of window.
	(Change Window): Don't mention window attributes, since they
	aren't defined.  C-x 1 can't be used with minibuffer windows.
	Windows are no longer auto-deleted.
	(Window Choice): Add xref to Choosing Window in Lisp manual.
	(Window Convenience): Note that windmove disables shift-selection.
	Move M-x compare-windows here from Other Window node.

	* custom.texi (Mouse Buttons):
	* search.texi (Isearch Scroll):
	* windows.texi (Split Window): Use new names split-window-below
	and split-window-right.

2011-10-26  Juanma Barranquero  <lekktu@gmail.com>

	* emacs.texi (Top): Fix typo.

2011-10-25  Glenn Morris  <rgm@gnu.org>

	* abbrevs.texi (Saving Abbrevs):
	quietly-read-abbrev-file is not a command.  (Bug#9866)

2011-10-24  Chong Yidong  <cyd@gnu.org>

	* display.texi (Scrolling): Document scroll-up-line and
	scroll-down-line.  Document scroll-command property.
	(Recentering): New node, split off from Scrolling.

2011-10-23  Chong Yidong  <cyd@gnu.org>

	* frames.texi (Scroll Bars): GTK uses right scroll bars now.
	(Tool Bars): Copyedits.

	* buffers.texi (Misc Buffer): Don't mention vc-toggle-read-only.

2011-10-22  Chong Yidong  <cyd@gnu.org>

	* windows.texi (Displaying Buffers): Fix broken lispref link.

2011-10-22  Chong Yidong  <cyd@gnu.org>

	* mini.texi (Minibuffer Exit): Rename from Strict Completion.
	Move confirm-nonexistent-file-or-buffer discussion here.

	* files.texi (File Names, Visiting): Move detailed discussion of
	minibuffer confirmation to Minibuffer Exit.

	* buffers.texi (Buffers): Tweak mention of mail buffer name.
	(Select Buffer): Move confirmation discussion to Minibuffer Exit.

2011-10-21  Chong Yidong  <cyd@gnu.org>

	* files.texi (File Names, Visiting, Interlocking): Copyedits.
	(Backup Copying): backup-by-copying-when-mismatch is now t.
	(Customize Save): Fix description of require-final-newline.
	(Reverting): Note that revert-buffer can't be undone.  Mention VC.
	(Auto Save Control): Clarify.
	(File Archives): Add 7z.
	(Remote Files): ange-ftp-make-backup-files defaults to nil.

	* arevert-xtra.texi (Autorevert): Copyedits.

2011-10-20  Chong Yidong  <cyd@gnu.org>

	* custom.texi (Hooks, Init Examples):
	* display.texi (Font Lock):
	* fixit.texi (Spelling):
	* rmail.texi (Rmail Display): Minor mode function with no arg now
	enables it.

	* fixit.texi (Spelling): Fix description of inline completion.

2011-10-19  Chong Yidong  <cyd@gnu.org>

	* search.texi (Repeat Isearch, Error in Isearch): Add kindex
	entries.
	(Isearch Yank): Document isearch-yank-pop.
	(Isearch Scroll): Refer to C-l instead of unbound `recenter'.
	(Other Repeating Search): Document Occur Edit mode.

2011-10-18  Chong Yidong  <cyd@gnu.org>

	* display.texi (Fringes): Move overflow-newline-into-fringe here,
	from Line Truncation node.
	(Standard Faces): Note that only the background of the cursor face
	has an effect.
	(Cursor Display): Fix descriptions of cursor face
	and bar cursor blinking.
	(Text Display): Document nobreak-char-display more clearly.
	(Line Truncation): Add xref to Split Window node.
	(Display Custom): Don't bother documenting baud-rate or
	no-redraw-on-reenter.

	* search.texi (Slow Isearch): Node removed.

2011-10-18  Glenn Morris  <rgm@gnu.org>

	* maintaining.texi (Registering): Remove vc-initial-comment.  (Bug#9745)

2011-10-18  Chong Yidong  <cyd@gnu.org>

	* display.texi (Faces): Simplify discussion.  Move documentation
	of list-faces-display here, from Standard Faces node.
	Note special role of `default' background.
	(Standard Faces): Note special role of `default' background.
	Note that region face may be taken fom GTK.  Add xref to Text Display.
	(Text Scale): Rename from "Temporary Face Changes".
	Callers changed.  Don't bother documenting variable-pitch-mode.
	(Font Lock): Copyedits.  Remove font-lock-maximum-size.
	(Useless Whitespace): Simplify description of
	delete-trailing-whitespace.  Note active region case.
	(Text Display): Fix description of escape-glyph face assignment.
	Remove unibye mode discussion.  Update some parts for Unicode.
	Move glyphless chars documentation to Lisp manual.

	* frames.texi (Tooltips): Document x-gtk-use-system-tooltips.

2011-10-15  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Scrolling): Tweak explanation of scroll direction.
	(View Mode): Add index entries.

	* killing.texi (Deletion): Document negative prefix arg to M-SPC.

	* regs.texi (Text Registers): C-x r i does not activate the mark.
	(Bookmarks): Document new default bookmark location.

2011-10-13  Chong Yidong  <cyd@stupidchicken.com>

	* killing.texi (Deletion): Add xref to Using Region.
	Document delete-forward-char.
	(Yanking): Move yank-excluded-properties to Lisp manual.  Move C-y
	description here.  Recommend C-u C-SPC for jumping to mark.
	(Kill Ring): Move kill ring variable documentation here.
	(Primary Selection): Copyedits.
	(Rectangles): Document new command rectangle-number-lines.
	(CUA Bindings): Note that this disables the mark-even-if-inactive
	behavior for C-x and C-c.

	* mark.texi (Mark): Mention "active region" terminology.
	(Using Region): Document delete-active-region.

2011-10-12  Chong Yidong  <cyd@stupidchicken.com>

	* mark.texi (Mark): Clarify description of disabled Transient Mark
	mode (Bug#9689).
	(Setting Mark): Document prefix arg for C-x C-x.  Document primary
	selection changes.  Mention that commands like C-y set the mark.
	(Marking Objects): Add xref to Words node.  Note that mark-word
	and mark-sexp also have the "extend region" behavior.
	(Using Region): Mention M-$ in the table.
	Document mark-even-if-inactive here instead of in Mark Ring.
	(Mark Ring): Move mark-even-if-inactive to Using Region.
	Take note of the "Mark Set" behavior.
	(Disabled Transient Mark): Rename from "Persistent Mark"
	(Bug#9688).  Callers changed.

	* programs.texi (Expressions):
	* text.texi (Words): Defer to Marking Objects for mark-word doc.

2011-10-09  Chong Yidong  <cyd@stupidchicken.com>

	* help.texi (Help, Help Summary): Eliminate the unnecessary "help
	option" terminology.
	(Key Help): Add command names.  Define "documentation string".
	(Name Help): Remove an over-long joke.
	(Apropos): Document prefix args.  Remove duplicated descriptions.
	(Help Mode): Add C-c C-b to table.  Update TAB binding.
	(Package Keywords): Rename from "Library by Keyword".
	Describe new package menu interface.
	(Help Files, Help Echo): Tweak description.

	* mini.texi (Completion Options): Add completion-cycle-threshold.
	(Minibuffer History): Document numeric args to history commands.

2011-10-08  Eli Zaretskii  <eliz@gnu.org>

	* mule.texi (Bidirectional Editing): Correct some inaccuracies.

2011-10-08  Chong Yidong  <cyd@stupidchicken.com>

	* basic.texi (Position Info): Omit page commands.
	Document count-words-region and count-words.

	* text.texi (Pages): Move what-page documentation here.

2011-10-08  Chong Yidong  <cyd@stupidchicken.com>

	* mini.texi (Minibuffer File): Minor copyedits.  Use xref to
	Remote Files node instead of linking directly to the Tramp manual.
	(Minibuffer Edit): Add xref to Blank Lines.
	(Completion): Add xref to Symbol Completion.  Remove redundant
	example, which is repeated in the next node.
	(Completion Commands): Minor clarifications.
	(Completion Styles): New node, split from Completion Commands.
	Document substring and initials styles.
	(Strict Completion): Remove information duplicated in other nodes.
	(Completion Options): Consolidate case difference discussion here.

	* help.texi (Help Mode): Fix kindex entries.

	* files.texi (File Names): Add index entries.

2011-10-07  Chong Yidong  <cyd@stupidchicken.com>

	* basic.texi (Inserting Text): Add xref to Completion.
	Add ucs-insert example, and document prefix argument.
	(Moving Point): Fix introduction; C-f/C-b are no longer equivalent
	to left/right.  Tweak left-char and right-char descriptions.
	M-left and M-right are now bound to left-word/right-word.
	(Erasing): Document delete-forward-char.

	* screen.texi (Screen, Menu Bar): Copyedits.
	(Point): Remove duplicate paragraph on cursors, also in Screen.
	(Mode Line): Trailing dashes no longer shown on X displays.

	* frames.texi (Non-Window Terminals): Index just "text-only
	terminal", which is used throughout the manual now.

	* entering.texi (Entering Emacs): Define "startup screen".
	Document window-splitting behavior with command-line inputs.
	(Exiting): Remove obsolete paragraph about shells without suspend
	functionality.

	* commands.texi (User Input): Define "input event" more clearly.
	(Keys): Add xref to Echo Area.
	(Commands): Clarify relation between commands and functions.

2011-10-06  Chong Yidong  <cyd@stupidchicken.com>

	* misc.texi (emacsclient Options): Document how emacsclient runs
	the Emacs daemon (Bug#9674).

2011-10-01  Chong Yidong  <cyd@stupidchicken.com>

	* basic.texi (Moving Point):
	* custom.texi (Mouse Buttons):
	* rmail.texi (Rmail Scrolling):
	* search.texi (Isearch Scroll):
	* display.texi (Scrolling): Replace scroll-up/down with
	scroll-up/down-command.  Fix scroll-preserve-screen-position
	description.  Document scroll-error-top-bottom.

2011-09-30  Glenn Morris  <rgm@gnu.org>

	* commands.texi (Keys): Whitespace fix.  (Bug#9635)

2011-09-24  Chong Yidong  <cyd@stupidchicken.com>

	* windows.texi (Pop Up Window): Defer discussion of window
	splitting to the Window Choice node.  Add index entries.
	(Force Same Window): Node deleted.
	(Displaying Buffers, Window Choice): New nodes.

	* buffers.texi (Select Buffer): Clarify description of
	buffer-switching commands.  Add xref to Window Display node.
	Don't repeat confirm-nonexistent-file-or-buffer description from
	Visiting node.  Remove even-window-heights.

	* frames.texi (Special Buffer Frames): Add xref to Window Choice.

2011-09-18  Chong Yidong  <cyd@stupidchicken.com>

	* cmdargs.texi (Icons X): Fix description of Emacs icon.

	* xresources.texi (Table of Resources): Fix documentation of
	bitmapIcon.

2011-09-15  Chong Yidong  <cyd@stupidchicken.com>

	* package.texi (Package Menu): Add package-menu-mark-upgrades.

2011-09-12  Eric Hanchrow  <eric.hanchrow@gmail.com>

	* frames.texi (Frame Commands): Note that delete-other-frames only
	deletes frames on current terminal.

2011-09-10  Eli Zaretskii  <eliz@gnu.org>

	* sending.texi (Mail Misc): Document mail-add-attachment.

2011-09-04  Eli Zaretskii  <eliz@gnu.org>

	* basic.texi (Inserting Text): Add index entries.  (Bug#9433)

2011-08-29  Chong Yidong  <cyd@stupidchicken.com>

	* modes.texi (Choosing Modes): auto-mode-case-fold is now t.

2011-08-28  Chong Yidong  <cyd@stupidchicken.com>

	* files.texi (File Archives):
	* cal-xtra.texi (Diary Display):
	* help.texi (Help Mode): Add xref to View Mode.

2011-08-28  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (View Mode): New node.  Move view-file here from
	Misc File Ops.  Move view-buffer here from Misc Buffer.

	* buffers.texi (Misc Buffer): Move view-buffer to View Mode.

	* files.texi (Misc File Ops): Document new
	delete-by-moving-to-trash behavior.  Remove view-file.

	* dired.texi (Dired Deletion): Shorten description of Trash.

	* misc.texi (emacsclient Options): Document server-port.

2011-08-27  Eli Zaretskii  <eliz@gnu.org>

	* frames.texi (Frame Commands): Advise setting focus-follows-mouse
	even on MS-Windows.  Fix a typo.

2011-08-26  Chong Yidong  <cyd@stupidchicken.com>

	* package.texi: New file, documenting the package manager.

	* emacs.texi: Include it.

	* help.texi (Help Summary): Add describe-package.

2011-08-25  Chong Yidong  <cyd@stupidchicken.com>

	* misc.texi (Printing): Convert subnodes into subsections.

	* text.texi (Two-Column): Move into Text chapter.

	* picture-xtra.texi (Picture Mode): Group with Editing Binary
	Files section.  Convert from chapter into section.

	* display.texi (Narrowing): Move into display chapter.

	* sending.texi (Sending Mail):
	* rmail.texi (Rmail):
	* misc.texi (Gnus, Document View):
	* dired.texi (Dired):
	* emacs.texi: Group the mail, rmail, and gnus chapters together.

2011-08-07  Juri Linkov  <juri@jurta.org>

	* dired.texi (Operating on Files): Rewrite according to the fact
	that `dired-do-chmod' doesn't use the `chmod' program anymore.

2011-07-30  Michael Albinus  <michael.albinus@gmx.de>

	* mini.texi (Minibuffer File): Insert a reference to Tramp for
	remote file name completion.  (Bug#9197)

2011-07-28  Eli Zaretskii  <eliz@gnu.org>

	* mule.texi (Bidirectional Editing): Document the fact that
	bidi-display-reordering is t by default.

2011-07-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* help.texi (Misc Help): Mention `describe-prefix-bindings'
	explicitly (bug#8904).

2011-07-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* trouble.texi (Checklist): Use an `M-x' example instead of an
	Emacs Lisp form to switch on the dribble file (bug#8056).

2011-07-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* custom.texi (Hooks): Mention buffer-local hooks (bug#6218).

2011-07-13  Glenn Morris  <rgm@gnu.org>

	* dired.texi (Dired Enter): Mention --dired.  (Bug#9039)

2011-07-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mark.texi (Mark Ring): Clarify how many locations are saved
	(bug#5770).
	(Global Mark Ring): Ditto.

2011-07-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* text.texi (Table Recognition): Use "at point" instead of "under
	point" (bug#4345).

	* display.texi (Cursor Display): Mention `cursor-type'.

	* screen.texi (Point): Clarify that it's only if you use a block
	cursor that it appears to be on a character (bug#4345).

2011-07-12  Chong Yidong  <cyd@stupidchicken.com>

	* misc.texi (Amusements): Move dissociated press here, from its
	own section.

	* emacs.texi (Top): Update node listing.

2011-07-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* emacs.texi (Top): Change "inferiors" to "subnodes" for greater
	clarity (bug#3523).

2011-07-12  Chong Yidong  <cyd@stupidchicken.com>

	* cmdargs.texi (Initial Options): Document --no-site-lisp.
	(Misc X): Document --parent-id.

	* frames.texi (Frame Commands): Note that focus-follows-mouse now
	defaults to nil.

	* misc.texi (emacsclient Options): Document --parent-id.

	* msdog.texi (Windows HOME): Document _emacs as obsolete.

2011-07-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* emacs.texi: Use "..." instead of ``...'' in the menus
	(bug#3503).

2011-07-11  Chong Yidong  <cyd@stupidchicken.com>

	* killing.texi (Primary Selection): Document `only' setting for
	select-active-regions.

	* mark.texi (Setting Mark): Reference Shift Selection node.

	* frames.texi (Mouse Commands): Document mouse-yank-primary.

2011-07-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mark.texi (Setting Mark): Clarify what's meant by "Shifted
	motion keys" (bug#3503).

	* emacs.texi: Change all the register node names from "RegPos"
	(etc.) to "Positional Registers" (etc.) (bug#3314).

2011-07-11  Chong Yidong  <cyd@stupidchicken.com>

	* killing.texi (Killing, Deletion and Killing, Killing by Lines)
	(Other Kill Commands, Kill Options): Copyedits.
	(Deletion and Killing, Kill Ring): Kill/yank now use clipboard.
	(Yanking): Move yank-excluded properties discussion here.
	(Cut and Paste): Move from frames.texi.  Update subnodes to
	describe x-select-enable-clipboard case.

	* frames.texi: Move Cut and Paste node and subnodes into
	killing.texi, except Mouse Commands and Word and Line Mouse.

2011-07-10  Andy Moreton  <andrewjmoreton@gmail.com>  (tiny change)

	* makefile.w32-in (EMACSSOURCES): Replace major.texi with modes.texi.

2011-07-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* screen.texi (Mode Line): Clarify that coding systems are
	characters, not letters (bug#1749).

	* cmdargs.texi (Environment): Mention removing variables
	(bug#1615).  Text suggested by Kevin Rodgers.

2011-07-10  Chong Yidong  <cyd@stupidchicken.com>

	* misc.texi (Amusements): Don't mention Yow; it's crippled.

	* modes.texi: Rename from major.texi.
	(Modes): New node.  Make Major Modes and Minor Modes subsections
	of this.  All callers changed.

	* custom.texi (Minor Modes): Move to modes.texi.

2011-07-10  Chong Yidong  <cyd@stupidchicken.com>

	* custom.texi (Syntax): Node deleted.

	* help.texi (Help Summary):
	* major.texi (Major Modes):
	* programs.texi (Parentheses):
	* search.texi (Regexp Backslash, Regexp Backslash)
	(Regexp Backslash):
	* text.texi (Words): Callers changed.

	* text.texi (Refill, Longlines): Delete nodes.

	* ack.texi (Acknowledgments): Longlines removed from manual.

	* emacs.texi (Top): Update node listing.

2011-07-09  Glenn Morris  <rgm@gnu.org>

	* fortran-xtra.texi (Fortran): Update handled extensions.

2011-07-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* display.texi (Scrolling): `C-v' (etc) are now bound to
	`scroll-*-command' (bug#8349).

2011-07-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dired.texi (Subdirectories in Dired): Clarify that `C-u k'
	doesn't actually delete any files (bug#7125).

	* picture-xtra.texi (Rectangles in Picture): Clarify the prefix
	argument for `C-c C-k' (bug#7391).

	* frames.texi (Fonts): Mention "C-u C-x =" to find out what font
	you're currently using (bug#8489).

2011-07-01  Eli Zaretskii  <eliz@gnu.org>

	* mule.texi (Coding Systems): Move index entries from the previous
	change into their proper places.

2011-07-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* help.texi (Help Files): Document view-external-packages (bug#8902).

	* mule.texi (Coding Systems): Put a few more of the coding systems
	into the index (bug#8900).

2011-06-26  Glenn Morris  <rgm@gnu.org>

	* fortran-xtra.texi (Fortran): F90 mode is also for F2008.

2011-06-25  Andreas Rottmann  <a.rottmann@gmx.at>

	* misc.texi (emacsclient Options): Mention --frame-parameters.

2011-06-09  Glenn Morris  <rgm@gnu.org>

	* custom.texi (Specifying File Variables):
	Recommend explicit arguments for minor modes.

2011-06-02  Paul Eggert  <eggert@cs.ucla.edu>

	Document wide integers better.
	* buffers.texi (Buffers):
	* files.texi (Visiting): Document maxima for 64-bit machines,
	and mention virtual memory limits.

2011-05-28  Chong Yidong  <cyd@stupidchicken.com>

	* custom.texi (Hooks): Reorganize.  Mention Prog mode.

	* fixit.texi (Spelling): Mention using prog-mode-hook for flypsell
	prog mode (Bug#8240).

2011-05-27  Glenn Morris  <rgm@gnu.org>

	* custom.texi (Specifying File Variables):
	Major modes no longer need come first.

2011-05-22  Chong Yidong  <cyd@stupidchicken.com>

	* mule.texi (Specify Coding, Text Coding, Communication Coding)
	(File Name Coding, Terminal Coding): Add command names (Bug#8312).

2011-05-18  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): Remove fakemail.c.

2011-05-17  Chong Yidong  <cyd@stupidchicken.com>

	Fixes for fitting text into 7x9 printed manual.
	* building.texi (Flymake, Breakpoints Buffer):
	* calendar.texi (Appointments):
	* cmdargs.texi (General Variables, Display X):
	* custom.texi (Saving Customizations, Face Customization)
	(Directory Variables, Minibuffer Maps, Init Rebinding):
	* display.texi (Font Lock, Font Lock, Useless Whitespace):
	* fixit.texi (Spelling):
	* frames.texi (Creating Frames, Fonts):
	* help.texi (Help Files):
	* mini.texi (Minibuffer File):
	* misc.texi (emacsclient Options, Emulation):
	* msdog.texi (Windows Startup, Windows HOME, Windows Fonts):
	* mule.texi (International Chars, Language Environments)
	(Select Input Method, Modifying Fontsets, Charsets):
	* programs.texi (Custom C Indent):
	* rmail.texi (Rmail Labels):
	* text.texi (Table Conversion):
	* trouble.texi (Known Problems, Known Problems):
	* windows.texi (Change Window):
	* xresources.texi (GTK resources): Reflow text and re-indent code
	examples to avoid TeX overflows and underflows on 7x9 paper.

	* emacs.texi: Fix the (commented out) smallbook command.

	* macos.texi (Mac / GNUstep Events):
	* xresources.texi (Lucid Resources): Remove extraneous examples.

2011-05-10  Glenn Morris  <rgm@gnu.org>

	* custom.texi (Specifying File Variables):
	Deprecate using mode: for minor modes.

2011-05-07  Glenn Morris  <rgm@gnu.org>

	* cal-xtra.texi (Sexp Diary Entries): Mention diary-hebrew-birthday.

2011-05-06  Glenn Morris  <rgm@gnu.org>

	* calendar.texi (Appointments): Mention appt-warning-time-regexp.

	* cal-xtra.texi (Fancy Diary Display): Mention diary comments.

2011-05-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* misc.texi (Emacs Server): Document `server-eval-at'.

2011-04-24  Chong Yidong  <cyd@stupidchicken.com>

	* maintaining.texi (List Tags): Document next-file.
	Suggested by Uday S Reddy.

2011-04-23  Juanma Barranquero  <lekktu@gmail.com>

	* mini.texi (Minibuffer Edit):
	* screen.texi (Mode Line): Fix typo.

2011-04-20  Christoph Scholtes  <cschol2112@googlemail.com>

	* maintaining.texi (Old Revisions): Mention new function vc-ediff.

2011-03-26  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Auto Scrolling): Fix scroll-up/scroll-down confusion.

2011-03-30  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Auto Scrolling): Document the limit of 100 lines
	for never-recentering scrolling with `scroll-conservatively'.
	(Bug#6671)

2011-03-12  Eli Zaretskii  <eliz@gnu.org>

	* msdog.texi (Windows HOME): Fix the wording to clarify how Emacs sets
	HOME on Windows and where it looks for init files.  (Bug#8221)

2011-03-10  Eli Zaretskii  <eliz@gnu.org>

	* search.texi (Regexp Example):
	* mule.texi (International Chars):
	* building.texi (External Lisp): Don't use characters outside
	ISO-8859-1.

2011-03-09  Eli Zaretskii  <eliz@gnu.org>

	* ack.texi (Acknowledgments): Convert to ISO-8859-1 encoding.
	Use Texinfo @-commands for non Latin-1 characters.

	* makefile.w32-in (MAKEINFO_OPTS): Add --enable-encoding.

	* custom.texi (Init File): Add index entries for ".emacs".
	(Bug#8210)

2011-03-08  Jan Djärv  <jan.h.d@swipnet.se>

	* xresources.texi (GTK resources): ~/.emacs.d/gtkrc does not work
	for Gtk+ 3.

2011-03-08  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (MAKEINFO_OPTS): Add --enable-encoding.
	* emacs.texi (Acknowledgments):
	* ack.texi (Acknowledgments): Names to UTF-8.
	* emacs.texi: Set documentencoding.

	* display.texi (Optional Mode Line): Don't mention exactly where
	display-time appears.  (Bug#8193)

2011-03-07  Chong Yidong  <cyd@stupidchicken.com>

	* Version 23.3 released.

2011-03-06  Chong Yidong  <cyd@stupidchicken.com>

	* search.texi (Isearch Yank): C-y now bound to isearch-yank-kill.

2011-03-03  Drake Wilson  <drake@begriffli.ch>  (tiny change)

	* misc.texi (emacsclient Options): Add q/quiet.

2011-03-02  Glenn Morris  <rgm@gnu.org>

	* mule.texi (Communication Coding) <x-select-request-type>:
	Remove duplicate (essentially) paragraph.  (Bug#8148)

2011-03-01  Christoph Scholtes  <cschol2112@googlemail.com>

	* maintaining.texi (Format of ChangeLog): Add reference to
	add-log-full-name.
	(Change Log Commands): Add documentation for combining multiple
	symbols in one change.

2011-03-01  Glenn Morris  <rgm@gnu.org>

	* custom.texi (Directory Variables):
	Give an example of excluding subdirectories.

2011-02-28  Eli Zaretskii  <eliz@gnu.org>

	* search.texi (Regexp Search): Move index entries about regexps to the
	"Regexps" node.  Add index entries for regexp search.  (Bug#8096)

2011-02-19  Glenn Morris  <rgm@gnu.org>

	* dired.texi (Dired): Dired-X version number was dropped.

2011-02-14  Jan Djärv  <jan.h.d@swipnet.se>

	* xresources.texi (X Resources): Remove *faceName and replace it with
	*font for Lucid.

2011-02-05  Chong Yidong  <cyd@stupidchicken.com>

	* rmail.texi (Rmail Display): Document Rmail MIME support more
	accurately.

	* maintaining.texi (VC Change Log): Document vc-log-incoming and
	vc-log-outgoing.
	(Merging): Document vc-find-conflicted-file.

2011-02-05  Glenn Morris  <rgm@gnu.org>

	* custom.texi (Variables): Fix typo.

2011-01-31  Chong Yidong  <cyd@stupidchicken.com>

	* search.texi (Regexps): Copyedits.  Mention character classes
	(Bug#7809).

	* files.texi (File Aliases): Restore explanatory text from Eli
	Zaretskii, accidentally removed in 2011-01-08 commit.

2011-01-29  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (MAKEINFO): Remove options, leave only program name.
	(MAKEINFO_OPTS): New variable.
	(ENVADD, $(infodir)/emacs): Use $(MAKEINFO_OPTS).
	(emacs.html): New target.
	(clean): Remove emacs.html.

2011-01-23  Werner Lemberg  <wl@gnu.org>

	* Makefile.in (MAKEINFO): Now controlled by `configure'.
	(MAKEINFO_OPTS): New variable.  Use it where appropriate.
	(ENVADD): Update.

2011-01-18  Glenn Morris  <rgm@gnu.org>

	* ack.texi, emacs.texi (Acknowledgments): Update for ERT addition.

	* ack.texi (Acknowledgments): Remove mention of replaced prolog.el.

2011-01-15  Chong Yidong  <cyd@stupidchicken.com>

	* building.texi (Compilation): Improve instructions for running two
	compilations (Bug#7573).

	* files.texi (Backup Names): Document the new location of the
	last-resort backup file.

	* files.texi (File Aliases): Move directory-abbrev-alist doc from Lisp
	manual.  Explain why directory-abbrev-alist elements should be anchored
	(Bug#7777).

2011-01-15  Eli Zaretskii  <eliz@gnu.org>

	* msdog.texi (Windows Startup): Correct inaccurate description of
	differences between emacsclient.exe and emacsclientw.exe.

2011-01-02  Chong Yidong  <cyd@stupidchicken.com>

	* rmail.texi (Rmail Display): Edit for grammar and conciseness.

2011-01-02  Kenichi Handa  <handa@m17n.org>

	* rmail.texi (Rmail Display): Describe new features of Rmail in Info.

2011-01-02  Eli Zaretskii  <eliz@gnu.org>

	* frames.texi (Cut and Paste): Modify the section's name and text:
	don't mix "cut/paste" with "kill/yank".
	(Cut/Paste Other App): Describe the per-session emulation of PRIMARY.
	(Bug#7702)

	* trouble.texi (Checklist): Mention debug-on-quit.  (Bug#7667)

2011-01-02  Glenn Morris  <rgm@gnu.org>

	* maintaining.texi: Move inclusion of emerge after EDE, so that it
	matches its position in the menu.  (Bug#7674)

2011-01-02  Glenn Morris  <rgm@gnu.org>

	* trouble.texi (Checklist): Mention not replying via news either.

2010-12-30  Tassilo Horn  <tassilo@member.fsf.org>

	* misc.texi (Document View): Update DocView section with newly
	supported document formats.

2010-12-21  Chong Yidong  <cyd@stupidchicken.com>

	* killing.texi: Resection the Info version to conform to the
	printed manual, to avoid making sections on Accumulating Text, CUA
	and Rectangles into full chapters.

2010-12-13  Eli Zaretskii  <eliz@gnu.org>

	* custom.texi (Init Syntax): Add index entries for "character syntax".
	(Bug#7576)

2010-12-13  Karel Klíč  <kklic@redhat.com>

	* text.texi (HTML Mode): Small fixes.  (Bug#7607)

2010-12-13  Glenn Morris  <rgm@gnu.org>

	* trouble.texi (Checklist): Fix typo in newsgroup name.

2010-12-13  Chong Yidong  <cyd@stupidchicken.com>

	* search.texi (Word Search): Note that the lazy highlight always
	matches to whole words (Bug#7470).

2010-12-13  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Optional Mode Line): Make the description of
	load-average more accurate.

	* msdog.texi (Windows HOME): Mention that HOME can also be set in the
	registry, with a cross-reference.
	(Windows Startup): New node.  Move the stuff about the current
	directory from "Windows HOME".

2010-11-27  Bob Rogers  <rogers-emacs@rgrjr.dyndns.org>

	* maintaining.texi (VC With A Locking VCS, VC Directory Commands):
	* vc1-xtra.texi (Customizing VC, General VC Options): Small fixes.

2010-11-27  Chong Yidong  <cyd@stupidchicken.com>

	* maintaining.texi (Version Control Systems): Fix repeated sentence.
	Suggested by Štěpán Němec.

2010-11-27  Chong Yidong  <cyd@stupidchicken.com>

	* maintaining.texi (Version Control): Say "commit", not "check in".
	(Version Control Systems): Simplify descriptions.
	(VCS Merging, VCS Changesets, VCS Repositories): New nodes, split from
	VCS Concepts.
	(VC Mode Line): Update example.
	(Old Revisions): Document revert-buffer for vc-diff.
	(Log Buffer): Promote to a subsection.  Document header lines.

	* macos.texi (Mac / GNUstep Basics):
	Document ns-right-alternate-modifier.

	* emacs.texi (Top): Update node listing.

2010-11-13  Eli Zaretskii  <eliz@gnu.org>

	* rmail.texi (Rmail Coding): Characters with no fonts are not
	necessarily displayed as empty boxes.

	* mule.texi (Language Environments, Fontsets): Characters with no
	fonts are not necessarily displayed as empty boxes.

	* display.texi (Text Display): Document display of glyphless
	characters.

2010-11-13  Glenn Morris  <rgm@gnu.org>

	* basic.texi (Position Info): Add M-x count-words-region.

2010-11-11  Glenn Morris  <rgm@gnu.org>

	* msdog.texi (ls in Lisp): Update for ls-lisp changes.

2010-11-09  Eli Zaretskii  <eliz@gnu.org>

	* msdog.texi (Windows HOME): Add information regarding startup
	directory when invoking Emacs from a desktop shortcut.  (bug#7300)

2010-10-11  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (MAKEINFO): Add explicit -I$srcdir.

	* Makefile.in (.texi.dvi): Remove unnecessary suffix rule.
	(DVIPS): New variable.
	(.PHONY): Add html, ps.
	(html, emacs.html, ps, emacs.ps, emacs-xtra.ps): New targets.
	(clean): Delete html, ps files.

2010-10-09  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (EMACSSOURCES): Add emacsver.texi.

2010-10-09  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (VPATH): Remove.
	(infodir): Make it absolute.
	(mkinfodir, $(infodir)/emacs, infoclean): No need to cd $srcdir.

	* Makefile.in (dist): Anchor regexps.

	* Makefile.in (EMACSSOURCES): Put emacs.texi first.
	($(infodir)/emacs, emacs.dvi, emacs.pdf, emacs-xtra.dvi)
	(emacs-xtra.pdf): Use $<.

	* Makefile.in (infoclean): Remove harmless, long-standing error.

	* Makefile.in ($(infodir)): Delete rule.
	(mkinfodir): New.
	($(infodir)/emacs): Use $mkinfodir instead of infodir.

	* Makefile.in (distclean): Do not delete emacsver.texi.
	(dist): Remove reference to emacsver.texi.in.
	* emacsver.texi: New file, replacing emacsver.texi.in.

2010-10-09  Glenn Morris  <rgm@gnu.org>

	* emacsver.texi.in: New file.
	* emacs.texi: Set EMACSVER by including emacsver.texi.
	* Makefile.in (distclean): Delete emacsver.texi.
	(dist): Copy emacsver.texi.
	(EMACSSOURCES): Add emacsver.texi.

	* ack.texi (Acknowledgments): No more b2m.c.

	* Makefile.in (.PHONY): Declare info, dvi, pdf, dist.
	(emacs): Remove rule.
	(dist): No need to deal with the emacs rule any more.

2010-10-07  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (version): New, set by configure.
	(clean): Delete dist tar file.
	(dist): Use version in tar name.

2010-10-06  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (EMACS_XTRA): Add the main source file.
	(emacs-xtra.dvi, emacs-xtra.pdf): Remove explicit emacs-xtra.texi.
	(mostlyclean): No core files, reorder other files.
	(clean): Delete specific dvi and pdf files.
	(infoclean, dist): New rules.
	(maintainer-clean): Use infoclean.
	($(infodir)): Add parallel build workaround.

2010-10-04  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (SHELL): Set it.
	(INFO_TARGETS, DVI_TARGETS): Remove variables.
	(info, dvi): Replace above variables with their expansions.
	(info): Move mkdir from here...
	($(infodir)/emacs): ... to here (for parallel builds).
	(pdf): New target.
	($(infodir)/emacs): Pass -o option to makeinfo.
	(.PHONY): Declare clean rules.
	(maintainer-clean): Delete dvi and pdf files.
	Guard against cd failures.  Use a more restrictive delete.

2010-10-02  Glenn Morris  <rgm@gnu.org>

	* misc.texi (Shell Mode): Remove reference to old function name.

2010-09-30  Eli Zaretskii  <eliz@gnu.org>

	* maintaining.texi (VC Mode Line): Mention all the possible VC status
	indicator characters.

2010-09-29  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (top_srcdir): Remove unused variable.

2010-09-14  Glenn Morris  <rgm@gnu.org>

	* cal-xtra.texi (Fancy Diary Display): Emphasize that sort should be
	the last hook item.

	* calendar.texi (Appointments): Also updated when a diary include file
	is saved.

2010-09-14  Glenn Morris  <rgm@gnu.org>

	* trouble.texi (Bugs): Update the section intro.
	(Known Problems): New section.
	(Checklist): Misc updates.  Prefer M-x report-emacs-bug.
	(Sending Patches): Bug fixes are best as responses to existing bugs.
	* emacs.texi (Known Problems): Add menu entry for new section.

2010-09-09  Glenn Morris  <rgm@gnu.org>

	* xresources.texi: Untabify.

2010-09-06  Chong Yidong  <cyd@stupidchicken.com>

	* dired.texi (Dired Enter): Minor doc fix (Bug#6982).

2010-09-06  Glenn Morris  <rgm@gnu.org>

	* misc.texi (Saving Emacs Sessions): Mention desktop-path.  (Bug#6948)

2010-09-02  Jan Djärv  <jan.h.d@swipnet.se>

	* frames.texi (Cut/Paste Other App): Remove vut-buffer text.

2010-08-21  Glenn Morris  <rgm@gnu.org>

	* misc.texi (Amusements): Mention bubbles and animate.

2010-07-31  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (Visiting): Add more index entries for
	large-file-warning-threshold.

2010-07-29  Jan Djärv  <jan.h.d@swipnet.se>

	* frames.texi (Tool Bars): Add doc for tool-bar-position.

2010-06-23  Glenn Morris  <rgm@gnu.org>

	* abbrevs.texi, basic.texi, buffers.texi, building.texi, calendar.texi:
	* custom.texi, dired.texi, display.texi, emacs.texi, emerge-xtra.texi:
	* files.texi, fortran-xtra.texi, frames.texi, help.texi, killing.texi:
	* maintaining.texi, mark.texi, mini.texi, misc.texi, msdog.texi:
	* mule.texi, programs.texi, rmail.texi, screen.texi, search.texi:
	* sending.texi, text.texi, trouble.texi, vc1-xtra.texi, xresources.texi:
	Untabify Texinfo files.

2010-06-10  Glenn Morris  <rgm@gnu.org>

	* basic.texi (Inserting Text): Minor clarification.  (Bug#6374)

	* basic.texi (Inserting Text): Fix typo.

2010-06-10  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments):
	* emacs.texi (Acknowledgments): Update for notifications.el.

2010-05-31  Daiki Ueno  <ueno@unixuser.org>

	* dired.texi (Operating on Files): Mention encryption commands
	(Bug#6315).

2010-05-29  Eli Zaretskii  <eliz@gnu.org>

	* basic.texi (Moving Point): Update due to renaming of commands bound
	to arrows.  Document bidi-aware behavior of C-<right> and C-<left>.

2010-05-18  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Fringes): Document reversal of fringe arrows for R2L
	paragraphs.
	(Line Truncation): Fix wording for bidi display.

	* basic.texi (Moving Point): Document bidi-aware behavior of the arrow
	keys.

2010-05-08  Chong Yidong  <cyd@stupidchicken.com>

	* building.texi (GDB Graphical Interface): Remove misleading comparison
	to an IDE (Bug#6128).

2010-05-08  Štěpán Němec  <stepnem@gmail.com>  (tiny change)

	* programs.texi (Man Page):
	* misc.texi (Invoking emacsclient):
	* mini.texi (Repetition):
	* mark.texi (Setting Mark): Fix typos.

2010-05-08  Chong Yidong  <cyd@stupidchicken.com>

	* misc.texi (Printing): Document htmlfontify-buffer.

2010-05-08  Glenn Morris  <rgm@gnu.org>

	* calendar.texi (Displaying the Diary, Format of Diary File):
	Fix external cross-references for TeX format output.

2010-05-07  Chong Yidong  <cyd@stupidchicken.com>

	* Version 23.2 released.

2010-05-02  Jan Djärv  <jan.h.d@swipnet.se>

	* cmdargs.texi (Initial Options): Mention --chdir.

2010-04-21  Jan Djärv  <jan.h.d@swipnet.se>

	* frames.texi (Tool Bars): Add tool-bar-style.

2010-04-21  Glenn Morris  <rgm@gnu.org>

	* ack.texi, emacs.texi (Acknowledgments): Add SELinux support.

2010-04-18  Chong Yidong  <cyd@stupidchicken.com>

	* programs.texi (Semantic): New node.

	* maintaining.texi (EDE): New node.

	* emacs.texi: Update node listing.

	* misc.texi (Gnus): Use the `C-h i' keybinding for info.

2010-04-18  Glenn Morris  <rgm@gnu.org>

	* emacs.texi (Acknowledgments): Remove duplicate.

	* maintaining.texi (VC Directory Commands): Mention stashes and shelves.

2010-04-18  Glenn Morris  <rgm@gnu.org>

	* dired.texi (Misc Dired Features): Mention VC diff and log.
	* maintaining.texi (Old Revisions, VC Change Log):
	Mention that diff and log work in Dired buffers.

	* help.texi (Help Summary): Mention M-x info-finder.

	* ack.texi (Acknowledgments): Add mpc.el.

	* custom.texi (Specifying File Variables, Directory Variables):
	Document new commands for manipulating local variable lists.

2010-04-18  Glenn Morris  <rgm@gnu.org>

	* trouble.texi (Contributing): Add cindex entry.
	Mention etc/CONTRIBUTE.

2010-04-18  Chong Yidong  <cyd@stupidchicken.com>

	* mark.texi (Persistent Mark): Copyedits.  Replace undo example with
	query-replace (Bug#5774).

2010-04-16  Glenn Morris  <rgm@gnu.org>

	* ack.texi, emacs.texi (Acknowledgments): Update for Org changes.

2010-04-11  Jan Djärv  <jan.h.d@swipnet.se>

	* xresources.texi (Lucid Resources): Mention faceName for dialogs.

2010-04-08  Jan Djärv  <jan.h.d@swipnet.se>

	* xresources.texi (Lucid Resources): Mention faceName to set Xft fonts.

2010-03-30  Eli Zaretskii  <eliz@gnu.org>

	* mule.texi (Input Methods): Mention "C-x 8 RET" and add a
	cross-reference to "Inserting Text".

	* basic.texi (Inserting Text): Add an index entry for "C-x 8 RET".
	Mention completion provided by `ucs-insert'.

2010-03-30  Chong Yidong  <cyd@stupidchicken.com>

	* sending.texi (Sending Mail): Note variables that may need
	customizing.
	(Mail Sending): Expand discussion of send-mail-function.

2010-03-30  Chong Yidong  <cyd@stupidchicken.com>

	Document Message mode as the default mail mode.

	* sending.texi (Sending Mail): Copyedits.
	(Mail Format, Mail Headers): Document mail-from-style changes.
	(Mail Commands): Rename from Mail mode.  Document Message mode.
	(Mail Misc): Rename from Mail mode Misc.
	(Mail Sending, Header Editing, Mail Misc): Switch to Message mode
	command names and update keybindings.
	(Header Editing): Document message-tab.  De-document
	mail-self-blind, mail-default-reply-to, and mail-archive-file-name in
	favor of mail-default-headers.  Ad index entries for user-full-name and
	user-mail-address.
	(Citing Mail): Update changes in Message mode behavior.
	Document mail-yank-prefix.
	(Mail Signature): New node, moved from Mail Misc.
	(Mail Aliases): Mail abbrevs are the default with Message mode.
	(Mail Methods): Note that Message mode is now the default.

	* rmail.texi (Rmail Reply):
	* text.texi (Text Mode):
	* major.texi (Major Modes):
	* mule.texi (Output Coding): Refer to Message mode.

	* custom.texi (Init Examples): Add xref to Mail Header.

	* emacs.texi (Top): Fix xrefs.

2010-03-30  Chong Yidong  <cyd@stupidchicken.com>

	* maintaining.texi (VC With A Merging VCS): C-x v v now creates a
	repository if there is none.
	(VC Change Log): Rename from VC Status.  Document vc-log-show-limit and
	vc-print-root-log.
	(Old Revisions): Copyedits.  Document vc-root-diff.

	* programs.texi (Program Modes): Mention Javascript mode.

	* text.texi (HTML Mode): Note that nXML is now the default XML mode.
	* emacs.texi: Update node description.

	* misc.texi (Navigation): Document doc-view-continuous.
	(Shell Ring): Document new M-r binding.  M-s is no longer bound.

2010-03-30  Juri Linkov  <juri@jurta.org>

	* search.texi (Other Repeating Search): Remove line that `occur'
	can not handle multiline matches.

2010-03-30  Eli Zaretskii  <eliz@gnu.org>

	* mule.texi (International): Mention support of bidirectional editing.
	(Bidirectional Editing): New section.

2010-03-28  Nick Roberts  <nickrob@snap.net.nz>

	* emacs.texi (Top): Update node names to those in building.texi.

2010-03-27  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi: Describe restored GDB/MI functionality
	removed by 2009-12-29T07:15:34Z!nickrob@snap.net.nz.
	* emacs.texi: Update node names for building.texi.

2010-03-24  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments):
	* emacs.texi (Acknowledgments): Fix ispell attribution.  (Bug#5759)

2010-03-20  Jan Djärv  <jan.h.d@swipnet.se>

	* xresources.texi (Table of Resources): Clarify toolBar number
	for Gtk+.

	* frames.texi (Menu Bars): menuBarLines => menuBar (bug#5736).

2010-03-21  Chong Yidong  <cyd@stupidchicken.com>

	* dired.texi (Dired Updating): Document dired-auto-revert-buffer.

	* search.texi (Other Repeating Search): Document multi-isearch-buffers
	and multi-isearch-buffers-regexp.

	* indent.texi (Indentation): Clarify description of
	indent-for-tab-command.  Document tab-always-indent.

2010-03-20  Chong Yidong  <cyd@stupidchicken.com>

	* cmdargs.texi (Font X): Move most content to Fonts.

	* frames.texi (Fonts): New node.  Document font-use-system-font.

	* emacs.texi (Top):
	* xresources.texi (Table of Resources):
	* mule.texi (Defining Fontsets, Charsets): Update xrefs.

2010-03-10  Chong Yidong  <cyd@stupidchicken.com>

	* Branch for 23.2.

2010-03-06  Chong Yidong  <cyd@stupidchicken.com>

	* custom.texi (Init Examples): Add xref to Locals.

	* major.texi (Choosing Modes): Mention usage of setq-default for
	setting the default value of major-mode (Bug#5688).

2010-03-02  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Mouse Avoidance): Mention make-pointer-invisible.

	* display.texi (Display Custom): Document make-pointer-invisible and
	underline-minimum-offset.  Remove inverse-video.

2010-02-21  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Frame Commands): Note that the last ordinary frame can
	be deleted in daemon mode (Bug#5616).

2010-02-18  Glenn Morris  <rgm@gnu.org>

	* trouble.texi (Contributing): Repository is no longer CVS.

2010-02-08  Glenn Morris  <rgm@gnu.org>

	* buffers.texi (Uniquify): Must explicitly load library.  (Bug#5529)

2010-02-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* display.texi (Useless Whitespace, Text Display):
	* custom.texi (Init Examples): Avoid obsolete special default variables
	like default-major-mode.

2010-01-24  Mark A. Hershberger  <mah@everybody.org>

	* programs.texi (Other C Commands): Replace reference to obsolete
	c-subword-mode.

2010-01-21  Glenn Morris  <rgm@gnu.org>

	* trouble.texi (Bugs): Fix PROBLEMS keybinding.

2010-01-12  Glenn Morris  <rgm@gnu.org>

	* trouble.texi (Checklist): Use bug-gnu-emacs rather than
	emacs-pretest-bug for bug reports for development versions.

2010-01-11  Glenn Morris  <rgm@gnu.org>

	* display.texi (Highlight Interactively): `t' does not mean highlight
	all patterns.  (Bug#5335)

2009-12-29  Chong Yidong  <cyd@stupidchicken.com>

	* misc.texi (Shell): Document async-shell-command.

	* building.texi (Grep Searching): Document zrgrep.

	* mini.texi (Completion Options): Mention `initials' completion style.

2009-12-29  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi: Import GDB Graphical Interface description from
	EMACS_23_1_RC.

2009-12-24  Chong Yidong  <cyd@stupidchicken.com>

	* emacs.texi (Top): Update node listing.

	* abbrevs.texi (Saving Abbrevs): Abbrev file should be in .emacs.d.

	* basic.texi (Moving Point): M-r is now move-to-window-line-top-bottom.

	* cmdargs.texi (Initial Options):
	* xresources.texi (Resources): Document inhibit-x-resources.

	* custom.texi (Specifying File Variables): Note that minor modes are
	enabled unconditionally.

	* display.texi (Scrolling): Briefly document the old recenter command,
	and document recenter-positions.

	* files.texi (Visiting):
	* buffers.texi (Buffers): Max buffer size is now 512 MB.

	* frames.texi (Cut/Paste Other App):
	Document save-interprogram-paste-before-kill.

	* killing.texi (Kill Options): New node.

2009-12-05  Chong Yidong  <cyd@stupidchicken.com>

	* misc.texi (Shell Options): ansi-color is now default.

2009-12-05  Glenn Morris  <rgm@gnu.org>

	* emacs.texi (Top): Update menu for cal-xtra node changes.
	* calendar.texi (Displaying the Diary): Holidays may be in the buffer
	or mode line.  Don't mention invisible text or the details of
	diary-print-entries here, only in cal-xtra.
	(Format of Diary File): Mention that the "date on first line" format
	only really affects the simple display.
	* cal-xtra.texi (Advanced Calendar/Diary Usage): Update menu.
	(Diary Customizing): Holidays may be in the buffer or mode line.
	Move diary-print-entries to the "Diary Display" section.
	(Diary Display): New section, split out from "Fancy Diary Display".
	Explain the limitations of simple display, and how to print it.

	* calendar.texi (Displaying the Diary): Mention keys apply to calendar.

	* cal-xtra.texi (Diary Display): Mention View mode.

2009-11-29  Juri Linkov  <juri@jurta.org>

	* display.texi (Highlight Interactively): Actually a list of
	default faces is pre-loaded into a list of default values
	instead of the history.

2009-11-20  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments):
	* emacs.texi (Acknowledgments): Add htmlfontify.

2009-11-14  Glenn Morris  <rgm@gnu.org>

	* cal-xtra.texi (Holiday Customizing): Replace obsolete alias.

	* ack.texi (Acknowledgments):
	* emacs.texi (Acknowledgments): Update for recent Org changes.

2009-10-31  Chong Yidong  <cyd@stupidchicken.com>

	* mule.texi (Charsets): Numerous copyedits.  Don't discuss the
	`charset' property, which is irrelevant to the user manual (Bug#3526).

2009-10-14  Juanma Barranquero  <lekktu@gmail.com>

	* trouble.texi (DEL Does Not Delete): Fix typo.

2009-10-05  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Misc File Ops): Mention copy-directory.

2009-10-04  Eli Zaretskii  <eliz@gnu.org>

	* mule.texi (Unibyte Mode): Emphasize that
	unibyte-display-via-language-environment affects only the display.

	* display.texi (Horizontal Scrolling): Document cursor behavior under
	horizontal scrolling when point moves off the screen (Bug#4564).
	Improve wording.

2009-10-01  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Directories): delete-directory prompts for recursive
	deletion.

2009-09-30  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments):
	* emacs.texi (Acknowledgments): CEDET updates.  Fix Hungarian accent.

2009-09-25  Tassilo Horn  <tassilo@member.fsf.org>

	* dired.texi (Dired Navigation): Use @code instead of @var for
	dired-isearch-filenames, so that it's not capitalized.

2009-09-19  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Frame Commands): C-z is now bound to suspend-frame.

	* entering.texi (Exiting): C-z is now bound to suspend-frame.

	* custom.texi (Init Examples): Replace Rumseld with Cheny (Bug#3519).
	(Key Bindings): Reference Init Rebinding in introductory text.
	Shift some of the introduction to Keymaps node.
	(Keymaps): Simplify.
	(Local Keymaps): Simplify.  Move binding example to Init Rebinding.
	(Minibuffer Maps): Remove mention of Mocklisp.
	(Init Rebinding): Move mode-local rebinding example here from Local
	Keymaps.
	(Modifier Keys): Clarify.
	(Rebinding): Add cindex for "binding keys".

2009-09-13  Chong Yidong  <cyd@stupidchicken.com>

	* misc.texi (Invoking emacsclient): Minor clarifications (Bug#4419).

2009-08-31  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Threads Buffer, Multithreaded Debugging):
	Reorganize these two sections.

2009-08-29  Eli Zaretskii  <eliz@gnu.org>

	* cmdargs.texi (Initial Options): Fix last change.

2009-08-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mule.texi (Enabling Multibyte):
	* cmdargs.texi (General Variables): Remove EMACS_UNIBYTE.
	(Initial Options): Remove --(no-)multibyte, --(no-)unibyte.

2009-08-20  Glenn Morris  <rgm@gnu.org>

	* cal-xtra.texi (Non-Gregorian Diary): Mention ``Adar I'' special case.

2009-08-19  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): Remove cvtmail.  Mention info-finder.

2009-08-18  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments):
	* emacs.texi (Acknowledgments): Update for js.el replacing js2-mode.el.

	* ack.texi (Acknowledgments): Add ucs-normalize.el and files-x.el.

2009-08-09  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments):
	* emacs.texi (Acknowledgments): Add gdb-mi entry.

2009-08-08  Dmitry Dzhus  <dima@sphinx.net.ru>

	* emacs.texi (Top): Add new menu items for GDB-UI.

	* building.texi (GDB Graphical Interface): Add Multithreaded debugging
	section.  Threads buffer is in separate section now.

2009-08-08  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments):
	* emacs.texi (Acknowledgments):
	Update for js2-mode and org changes.

2009-08-02  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Reverting): Auto-Revert Tail mode works also for remote
	files.

2009-07-28  Chong Yidong  <cyd@stupidchicken.com>

	* building.texi (Lisp Libraries): Clarify meaning of autoloading.

2009-07-23  Glenn Morris  <rgm@gnu.org>

	* programs.texi (Matching): Update blink-matching-paren-distance.

2009-07-21  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Cut/Paste Other App): For select-active-regions,
	selection is now updated on moving point.

2009-07-21  Richard Stallman  <rms@gnu.org>

	* glossary.texi (GNU, Daemon): Update information.

2009-07-19  Juri Linkov  <juri@jurta.org>

	* custom.texi (Specifying File Variables, Safe File Variables):
	"variables/value pairs" -> "variable/value pairs".

2009-07-15  Glenn Morris  <rgm@gnu.org>

	* misc.texi (Gnus): Remove widow.

2009-07-11  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (TEXI2PDF): New.
	(emacs.pdf, emacs-xtra.pdf): New targets.

	* arevert-xtra.texi (Autorevert): Add menu descriptions.

	* display.texi (Horizontal Scrolling): Re-word to remove widow.

	* emacs.texi (Top): Info can be read from other places than Emacs.
	Don't print the copying notice twice in the printed version.
	Update the menu and detailmenu.
	(Preface): The meaning of "on-line" has changed.
	Correct name for "Common Problems" chapter.
	(Distrib): Update FSF shop URL.
	(Intro): Showing two files at once is not so exciting.

	* macos.texi (Mac OS / GNUstep): Fix spelling and cross-reference.
	(Mac / GNUstep Basics): Minor grammar changes.
	(Mac / GNUstep Events): Fix typo.
	(GNUstep Support): CANNOT_DUMP no longer applies.

	* misc.texi (Document View): Fix typos.

	* dired.texi (Dired):
	* help.texi (Help):
	* macos.texi (Mac OS / GNUstep):
	* maintaining.texi (Version Control, Introduction to VC):
	End menu descriptions with a period.

2009-07-09  Eli Zaretskii  <eliz@gnu.org>

	* msdog.texi (Windows Files) <w32-get-true-file-attributes>: Don't be
	so categorical in saying that the option is only useful on NTFS.

2009-07-09  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (texinfodir): New variable, with location of texinfo.tex.
	(ENVADD): Add texinfodir to TEXINPUTS.

	* emacs.texi (Top): Fix cross-reference.

	* maintaining.texi (VC Directory Buffer): Fix cross-reference.

	* vc1-xtra.texi (Revision Tags): Fix typo.

2009-07-03  Glenn Morris  <rgm@gnu.org>

	* emerge-xtra.texi (Emerge): Tweak Misc menu description.
	(Submodes of Emerge): Skip Prefers is only relevant with an ancestor.
	(Merge Commands): `.' does not seem to work in A or B buffer.
	`l' can recreate the 3-window display.

	* glossary.texi (Glossary): Minor phrasing changes throughout.
	Add more internal cross-references.
	<Autoloading>: You can't really autoload a variable.
	<C-M->: Move details here from `M-C-' item.
	<Continuation Line>: Refer to `Truncation.'
	<Daemon, Free Software, Free Software Foundation, FSF, GNU>:
	<Home Directory, Unix>: New entries.
	<Deletion of Files>: Mention recycle bins.
	<Directory>: Mention ``folders.''
	<Error>: Don't mention ``type-ahead.''
	<Fringe>: Refer to the manual node.
	<Minor Mode>: Can be global or local.
	<Spell Checking>: There are other checkers besides Ispell.

2009-07-02  Glenn Morris  <rgm@gnu.org>

	* anti.texi (Antinews): Minor changes in phrasing.

	* cal-xtra.texi, fortran-xtra.texi: Re-order a few things to reduce
	some underfull lines in dvi output.

	* emacs-xtra.texi (Introduction): Mention included in info Emacs manual.

	* sending.texi (Mail Sending): Add a tiny bit on mailclient.

	* vc-xtra.texi (Advanced VC Usage): End all menu items with a period.

2009-07-01  Jan Djärv  <jan.h.d@swipnet.se>

	* xresources.texi (Table of Resources): Mention maximized for
	fullscreen.

	* cmdargs.texi (Window Size X): -mm/--maximized is new.

2009-07-01  Chong Yidong  <cyd@stupidchicken.com>

	* anti.texi (Antinews): Correct the list of removed platforms.

2009-06-28  Glenn Morris  <rgm@gnu.org>

	* arevert-xtra.texi: Minor language tweaks.

	* dired-xtra.texi: Minor revisions.

2009-06-23  Miles Bader  <miles@gnu.org>

	* display.texi (Scrolling): Document `recenter-redisplay'.
	(Temporary Face Changes): Document `text-scale-set'.

2009-06-21  Chong Yidong  <cyd@stupidchicken.com>

	* Branch for 23.1.

2009-06-17  Kenichi Handa  <handa@m17n.org>

	* mule.texi (Charsets): Update the description for the new charset.
	(list-character-sets): New findex.
	(Language Environments): Add @anchor{Describe Language Environment}.

2009-06-10  Chong Yidong  <cyd@stupidchicken.com>

	* basic.texi (Moving Point): Fix tag.

	* picture-xtra.texi (Insert in Picture): Use <next> and <prior>.

	* mini.texi (Completion Commands): Decapitalize <next> and <prior>, and
	use camel-case for PageUp and PageDown.

	* display.texi (Scrolling): Decapitalize <next> and <prior>, and use
	camel-case for PageUp and PageDown.

	* calendar.texi (Scroll Calendar): Decapitalize <next> and <prior>.

	* search.texi (Isearch Scroll): Add isearch-allow-scroll to index.
	(Isearch Scroll): Decapitalize <next> and <prior>.

2009-06-09  Agustín Martín  <agustin.martin@hispalinux.es>

	* fixit.texi (Spelling): Set default dictionary.
	Improve descriptions (Bug#2554)

2009-06-08  David Reitter  <david.reitter@gmail.com>

	* macos.texi (Color panel, Font panel): Remove mention of Save Options,
	since saving colors and faces set this way is not implemented.
	(Environment variables): Remove mention of mac-fix-env, which is
	scheduled to be removed.

2009-06-04  Chong Yidong  <cyd@stupidchicken.com>

	* custom.texi (Init Examples): Add example of changing load-path.

	* building.texi (Lisp Libraries): Add example of changing
	load-path (Bug#3446).

2009-05-28  Chong Yidong  <cyd@stupidchicken.com>

	* mark.texi (Mark): Further clarifications.
	(Setting Mark): Emphasize that C-SPC activates the mark.

2009-05-28  Chong Yidong  <cyd@stupidchicken.com>

	* mark.texi (Mark): Clarify introduction.  Mention disabling Transient
	Mark mode.
	(Using Region, Persistent Mark): Use "active mark" instead of "active
	region".

2009-05-16  Ari Roponen  <ari.roponen@gmail.com>  (tiny change)

	* mule.texi (Select Input Method): Fix typo.

2009-05-13  Chong Yidong  <cyd@stupidchicken.com>

	* anti.texi (Antinews): Document completion changes.  Some additional
	copyedits and rearrangement of entries.

2009-05-12  Chong Yidong  <cyd@stupidchicken.com>

	* misc.texi (Interactive Shell, Saving Emacs Sessions)
	(Shell History Copying, Terminal emulator): Copyedits.

	* xresources.texi (Resources): Simplify descriptions.
	Shorten description of editres, which is not very useful these days.
	(Table of Resources): Document fontBackend resource.

	* trouble.texi (Quitting): Add other undo bindings to table.
	(DEL Does Not Delete): Note that the erasure key is usually labeled
	"Backspace".  Remove discussion of obscure Xmodmap issue.

2009-05-07  Chong Yidong  <cyd@stupidchicken.com>

	* files.texi (Visiting): Copyedits.

2009-05-06  Chong Yidong  <cyd@stupidchicken.com>

	* basic.texi (Inserting Text): Document ucs-insert.

	* mule.texi (International Chars): Define "multibyte".  Note that
	internal representation is unicode-based.  Simplify definition of raw
	bytes.  Mention ucs-insert.
	(Enabling Multibyte): Remove obsolete discussion.  Copyedits.
	(Language Environments): Add language environments new to Emacs 23.
	(Multibyte Conversion): Node deleted.
	(Coding Systems): Remove obsolete unify-8859-on-decoding-mode.
	Don't mention obsolete emacs-mule coding system.
	(Output Coding): Copyedits.

	* emacs.texi (Top): Update node listing.

2009-05-05  Per Starbäck  <per@starback.se>  (tiny change)

	* trouble.texi (Lossage): Use new binding of view-emacs-problems.

2009-04-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* building.texi (Lisp Libraries): `load-library' does offer completion.

2009-04-28  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Text-Only Mouse): Mention gpm-mouse-mode instead of
	t-mouse-mode.  Suggested by Per Starbäck (Bug#3126).

2009-04-25  Eli Zaretskii  <eliz@gnu.org>

	* maintaining.texi (Tags): Clarify text.  (Bug#3101)

2009-04-22  Chong Yidong  <cyd@stupidchicken.com>

	* entering.texi (Entering Emacs): Document initial-buffer-choice.

	* building.texi (Lisp Interaction): Document initial-scratch-message.

2009-04-18  Juanma Barranquero  <lekktu@gmail.com>

	* msdog.texi (Windows Fonts): Fix typos.

	* files.texi (Save Commands): Fix pxref.

2009-04-18  Chong Yidong  <cyd@stupidchicken.com>

	* files.texi (Save Commands): Mention diff-buffer-with-file.
	(Comparing Files): Document diff-buffer-with-file.  Suggested by Magnus
	Henoch (Bug#3036).

2009-03-15  Glenn Morris  <rgm@gnu.org>

	* sending.texi (Mail Format): Replace "Sender" with "Message-Id", since
	the former is not always used.
	(Mail Headers): Use active voice.  Add "Mail-reply-to".
	Change case of "Id".  Avoid repeated "appropriate".
	(Mail Aliases): Fix previous change - use an example with a ".", so it
	does actually get quoted when expanded.
	(Mail Sending): Mailclient is the default on some systems.
	(Citing Mail): Mention mail-indentation-spaces.
	(Mail Mode Misc): Add an @dfn for "mail signature".

2009-03-15  Chong Yidong  <cyd@stupidchicken.com>

	* mini.texi (Completion Commands): Describe Emacs 23 completion rules.
	(Completion Options): Document read-file-name-completion-ignore-case,
	read-buffer-completion-ignore-case, and completion-styles.
	Remove description of partial-completion-mode.

2009-03-14  Glenn Morris  <rgm@gnu.org>

	* sending.texi (Mail Format): Fix typo.  Add index entry for
	mail-header-separator.
	(Mail Headers): Put info about initialization and changing in one place
	at the start.  Update FCC section for mbox Rmail.  Clarify From
	section, mention mail-setup-with-from.  Clarify Reply-to section.
	Add Mail-followup-to and mail-mailing-lists.  Clarify References
	section.
	(Mail Aliases): Update example, make less contentious.
	Update for name change of mail-interactive-insert-alias.
	(Mail Mode): Remove mention of `%' as a word separator.
	(Mail Sending): Mention mail-send-hook.  Mention Mailclient.
	(Header Editing): Add reply-to, mail-reply-to, and mail-followup-to
	commands.  Clarify FCC handling.  In mail-complete, add reference to
	Mail Aliases section, and mention mail-complete-function.
	(Citing Mail): Mention mail-yank-ignored-headers and mail-citation-hook.
	(Mail Mode Misc): Clarify the mail-signature function.  Add basic
	signature netiquette.  Explain how the mail hooks work when continuing
	a composition.
	(Mail Amusements): Internationalize the spook section a bit.
	Remove the spook mail-setup-hook example, since it doesn't work well.
	Mention fortune-file.
	(Mail Methods): Mention read-mail-command.

2009-03-14  David Reitter  <david.reitter@gmail.com>

	* macos.texi (Mac / GNUstep Basics): Remove references to Prefs panel
	and NS resources following recent changes.

2009-03-10  Jason Rumney  <jasonr@gnu.org>

	* msdog.texi (Windows Misc): Remove doc for obsolete variable.  Modify
	w32-use-visible-system-caret doc to indicate that it should get set
	automatically.
	(Windows Fonts): Add doc for the uniscribe backend.

2009-03-08  Dan Nicolaescu  <dann@ics.uci.edu>

	* maintaining.texi (VC Directory Commands): Fix doc for the x key in
	vc-dir.  (Bug#2598)

2009-03-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* fixit.texi (Spelling): Add turn-on-flyspell.  (Bug#2517)

2009-03-05  Glenn Morris  <rgm@gnu.org>

	* rmail.texi (Rmail Basics): Add reference to sorting.
	(Rmail Scrolling, Rmail Motion, Rmail Reply, Rmail Display):
	Minor re-wordings.
	(Rmail Motion): Mention rmail-next-same-subject.
	(Rmail Deletion): Expunging is not the only way to change the numbers.
	(Rmail Labels): Labels can also be used in sorting.
	(Rmail Summary Edit): Mention rmail-summary-next-same-subject.
	(Rmail Display): Mention rmail-mime.

2009-03-04  Glenn Morris  <rgm@gnu.org>

	* rmail.texi (Rmail Sorting): Add the keybindings associated with each
	sort command.  Fix `rmail-sort-by-labels' name.  Mention sorting from
	summary.  Mention sorts cannot be undone.
	(Rmail Display): Give an example of how to use goto-address-mode.
	(Rmail Editing): It's keybindings that are redefined, not commands.
	Fix some typos.
	(Movemail): Some minor rewording.
	(Remote Mailboxes): Emacs movemail supports pop by default.
	Fix some minor grammatical issues.  The "two alternative ways" to
	specify a POP mailbox are really just one.  Remove all reference to the
	variables rmail-pop-password and rmail-pop-password-required, obsolete
	since Emacs 22.1.  Clarify the four password steps.  Emacs movemail
	can support Kerberos.

2009-03-03  Glenn Morris  <rgm@gnu.org>

	* rmail.texi (Rmail Deletion): Revert previous change, which was
	describing the Rmail summary versions.
	(Rmail Reply): Give more details of rmail-dont-reply-to-names.
	Minor re-wording for rmail-resend.
	(Rmail Make Summary): Summaries apply to buffers rather than files.
	<rmail-summary-by-topic>: Headers includes the subject.
	<rmail-summary-by-recipients, rmail-summary-by-topic>: Give more
	details, including prefix arguments.
	Mention rmail-summary-by-senders on C-M-f.
	Not counting lines might be faster.
	(Rmail Summary Edit): More details on the delete commands.
	Mention rmail-summary-undelete-many, rmail-summary-bury, and C-M-n/p.
	Name the commands bound to the various keys.  Mention prefix argument
	for searching.
	(Rmail Display): Mention rmail-displayed-headers.  Fix typo.
	Simplify rmail-highlighted-headers description.  Update face name.

2009-03-02  Juanma Barranquero  <lekktu@gmail.com>

	* mark.texi (Marking Objects): Fix typo.

2009-03-01  Chong Yidong  <cyd@stupidchicken.com>

	* abbrevs.texi (Expanding Abbrevs): Mention abbrev-expand-functions
	instead of obsolete pre-abbrev-expand-hook.  Link to elisp manual.

2009-03-01  Glenn Morris  <rgm@gnu.org>

	* rmail.texi (Rmail): Fix some typos.  Use consistent case in menu.
	(Rmail Motion): - M-s searches from the end of messages.
	(Rmail Deletion): Minor clarification.  Fix numeric argument
	description.
	(Rmail Inbox): Fix default inbox description.  Mention `mbox' by name.
	newmail and RMAILOSE files need not be in home-directory.
	(Rmail Files): Mention I/O menus are unselectable if no files match.
	Mention `MAIL' env-var.

2009-02-24  Jason Rumney  <jasonr@gnu.org>

	* mule.texi (Fontsets): Mention fontset-default, font specs and
	fallback fontsets.
	(Defining Fontsets): Mention ns and w32 variants of
	standard-fontset-spec.  Update description of startup fontset to match
	Emacs 23 behavior.
	(Modifying Fontsets): New section.  (Bug#656)
	(International): Link to Modifying Fontsets.

2009-02-23  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* macos.texi (Mac / GNUstep Basics, Mac / GNUstep Customization):
	Mention ns-extended-platform-support-mode.

2009-02-22  Karl Berry  <karl@gnu.org>

	* macos.texi (Mac / GNUstep Customization): One more duplicate "the".

2009-02-19  Juanma Barranquero  <lekktu@gmail.com>

	* basic.texi (Moving Point, Position Info):
	* files.texi (Visiting):
	* mini.texi (Completion Options):
	* text.texi (HTML Mode): Remove duplicate words.

2009-02-20  Glenn Morris  <rgm@gnu.org>

	* rmail.texi: Minor updates for mbox rather than Babyl.

2009-02-17  Karl Berry  <karl@gnu.org>

	* emacs.texi (Top): Add @insertcopying before master menu.  (Bug#1988)

2009-02-17  Richard M Stallman  <rms@gnu.org>

	* anti.texi (Antinews): Mention Babyl format.

	* emacs.texi (Top): Delete `Out of Rmail' from subnode menu.

	* rmail.texi: Update for mbox format.
	Various small fixes, as well as the following.
	(Out of Rmail): Node deleted.
	(Rmail): Update menu.
	(Rmail Files): Comment out set-rmail-inbox-list.
	Document rmail-inbox-list instead.
	(Rmail Output): Substantial changes since C-o is now
	rmail-output-as-seen and o is rmail-output.
	(Rmail Attributes): Delete `stored', add `retried'.
	(Rmail Display): Editing headers works in all cases.

2009-02-17  Glenn Morris  <rgm@gnu.org>

	* basic.texi (Position Info): M-x count-lines-region is not always on
	M-=.  (Bug#2269)

2009-02-09  Glenn Morris  <rgm@gnu.org>

	* calendar.texi (Holidays, Displaying the Diary): Update for new marker
	defaults.

2009-02-07  Eli Zaretskii  <eliz@gnu.org>

	* rmail.texi (Rmail Coding) <rmail-redecode-body>: Remove stale
	documentation of possible problems with redecoding.

2009-02-03  Glenn Morris  <rgm@gnu.org>

	* rmail.texi (Out of Rmail): Mention b2m.pl.

2009-01-31  Glenn Morris  <rgm@gnu.org>

	* rmail.texi (Out of Rmail): Correct b2m location.

2009-01-27  Chong Yidong  <cyd@stupidchicken.com>

	* fixit.texi (Undo): Update undo limit values.

2009-01-27  Glenn Morris  <rgm@gnu.org>

	* emacs.texi (Top): Fix Antinews menu entry.

2009-01-25  Karl Berry  <karl@gnu.org>

	* text.texi (Foldout): Use @itemize @w{} to make an itemize
	item with no marker, instead of the syntactically incorrect
	@itemize @asis.

2009-01-25  Juri Linkov  <juri@jurta.org>

	* building.texi (Grep Searching): Fix index entry for lgrep.

2009-01-24  Eli Zaretskii  <eliz@gnu.org>

	* msdog.texi (Windows Printing): Add an index entry for Ghostscript.

2009-01-21  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* macos.texi (Preferences Panel): Update description of font setting to
	reflect that prior frame selection is no longer needed.

2009-01-20  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Debuggers): Revert some of 2008-10-31 change  to
	raise GUD subsections.

2009-01-15  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): Another update based mainly on AUTHORS.

2009-01-10  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): Some more updates based on AUTHORS.

2009-01-04  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Visual Line Mode): M-] and M-[ no longer move by
	logical lines.

2008-12-29  Juri Linkov  <juri@jurta.org>

	* mini.texi (Minibuffer History): Add a link to `Isearch Minibuffer'.

	* text.texi (Fill Commands): Replace `M-s' with `M-o M-s'.

2008-12-28  Chong Yidong  <cyd@stupidchicken.com>

	* misc.texi (Goto Address mode): Rename from Goto-address.  Refer to
	goto-address-mode instead of goto-address.

	* rmail.texi (Rmail Display): Goto-address renamed to Goto Address
	mode.

	* emacs.texi (Top): Update node listing.

2008-12-26  Eli Zaretskii  <eliz@gnu.org>

	* custom.texi (Directory Variables): Explain what is a "project".
	Add indexing.  Improve wording.  Add a footnote about using
	_dir-locals.el on MS-DOS.

2008-12-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* files.texi (Misc File Ops): Mention chmod as an alias for
	set-file-modes.

2008-12-24  Martin Rudalics  <rudalics@gmx.at>

	* help.texi (Help): Fix typos and reword.
	(Help Summary): Add entries for C-h n and C-h r, reorder
	entries, and do some minor fixes.
	(Name Help): Say that C-h F works for commands only.
	(Misc Help): Say that view-lossage displays 300 keystrokes.

2008-12-20  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): General update based on AUTHORS,
	including removal of some stuff no longer distributed.

2008-12-19  Agustín Martín  <agustin.martin@hispalinux.es>

	* fixit.texi: Mention hunspell.

2008-12-19  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): Small grammar fix.
	Consolidate explanatory text at start.

	* display.texi (Text Display):
	* indent.texi (Indentation): Use @acronym with ASCII.

2008-12-18  Glenn Morris  <rgm@gnu.org>

	* ack.texi: Various small updates and fixes.

2008-12-18  Juri Linkov  <juri@jurta.org>

	* search.texi (Word Search): Replace `C-s RET C-w' with `M-s w RET'
	as a key binding to start a forward nonincremental word search.
	Replace `C-r RET C-w' with `M-s w C-r RET' as a key binding to start
	a backward nonincremental word search.  Add index for `M-s w'
	`isearch-forward-word'.
	(Regexp Search): Add a short summary of regexp key commands like
	in the node "Basic Isearch".
	(Other Repeating Search): Fix typo.

2008-12-14  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* misc.texi (PostScript Variables): Fix doc.

2008-12-10  Chong Yidong  <cyd@stupidchicken.com>

	* programs.texi (Program Modes): Mention Ruby mode.

2008-12-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* misc.texi (emacsclient Options): Describe what an empty string
	argument does for --alternate-editor.

2008-12-09  Frank Schmitt  <ich@frank-schmitt.net>

	* cmdargs.texi (Font X): Distinguish between client-side and
	server-side fonts.  List valid Fontconfig properties.  Add reference to
	Fontconfig manual.  List valid GTK font properties.  Explain use of
	fc-list.

2008-12-09  Chong Yidong  <cyd@stupidchicken.com>

	* cmdargs.texi (Font X): Move discussion of quoting to top.

2008-12-06  Glenn Morris  <rgm@gnu.org>

	* maintaining.texi (Old Revisions): Improve previous change.

2008-12-05  Richard M Stallman  <rms@gnu.org>

	* anti.texi (Antinews): Minor fixes.

2008-12-03  Glenn Morris  <rgm@gnu.org>

	* maintaining.texi (Old Revisions): Fix diff-switches description.

2008-12-01  Martin Rudalics  <rudalics@gmx.at>

	* emacs.texi (Top): Fix typo.

2008-11-30  Chong Yidong  <cyd@stupidchicken.com>

	* misc.texi (Document View): Explain dependence on gs at the top.
	Copyedits.

	* emacs.texi (Top): Add DocView nodes to detailed node listing.

	* programs.texi (Other C Commands): Document hide-ifdef-shadow.
	(Comment Commands): Discuss region-active behavior of M-; first.

2008-11-29  Martin Rudalics  <rudalics@gmx.at>

	* display.texi (Line Truncation): Add reference to Continuation
	Lines.

	* windows.texi (Pop Up Window): Mention split-height-threshold
	and split-width-threshold.
	(Split Window): Add reference to Continuation Lines.

2008-11-28  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* macos.texi: Change references to "Mac" to "Mac / GNUstep".
	(GNUstep Support): New node.
	* anti.texi:
	* emacs.texi:
	* msdog.texi: Change reference to Mac OS node to Mac OS / GNUstep.

2008-11-28  Richard M Stallman  <rms@gnu.org>

	* misc.texi (Dissociated Press): Minor cleanups.

	* dired.texi (Image-Dired): Avoid passive.

2008-11-28  Eli Zaretskii  <eliz@gnu.org>

	* anti.texi (Antinews): Add stuff about Unicode vs emacs-mule
	representation.

2008-11-26  Richard M. Stallman  <rms@gnu.org>

	* files.texi (Visiting): Rewrite paragraph for clarity.

	* buffers.texi (Select Buffer): Rewrite paragraphs using active voice.

2008-11-25  Alan Mackenzie  <acm@muc.de>

	* programs.texi (Moving by Parens): Clarify that parens inside strings
	and comments are ignored, and that the commands assume the starting
	point isn't in a string or comment.

2008-11-26  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* macos.texi: Add Prev/Next/Top pointers to all nodes.
	(Mac Basics): Merge in Grabbing Environment Variables from earlier
	version.
	(Mac Customization): Rewrite Preferences Panel section and merge in to
	this node, add Open files by dragging to an Emacs window.

	* emacs.texi: Remove TOC reference to Mac Preferences Panel section.

2008-11-26  Chong Yidong  <cyd@stupidchicken.com>

	* files.texi (Misc File Ops): Document set-file-modes.

	* windows.texi (Split Window): Document integer values of
	truncate-partial-width-windows.

	* text.texi (Text): Simplify description of markup languages.
	(TeX Mode): Simplify introduction.  Mention BibTeX mode.
	(TeX Editing): Note that `""' inserts one `"' character.
	(HTML Mode): Note in the introduction that XML mode is an alias for
	SGML mode.  Mention nXML mode.

2008-11-25  Chong Yidong  <cyd@stupidchicken.com>

	* building.texi (Watch Expressions): Fix typo.

2008-11-24  Chong Yidong  <cyd@stupidchicken.com>

	* files.texi (Visiting): Document new behavior of
	confirm-nonexistent-file-or-buffer.

	* buffers.texi (Select Buffer):
	Document confirm-nonexistent-file-or-buffer.

	* picture-xtra.texi (Picture Mode): Use picture-mode instead of
	edit-picture.

	* text.texi (Text): Simplify introduction.  Discard mention of `M-x
	edit-picture', since that is just an alias for picture-mode.
	(Sentences): Note that repeated M-@ extends the region.
	(Pages): Make terminology more consistent.  Link to Regexps node.
	(Longlines): Discuss relationship with Visual Line mode.
	(Text Mode): Remove extraneous discussion of other modes, since they
	were already introduced in the parent node.

2008-11-23  Chong Yidong  <cyd@stupidchicken.com>

	* anti.texi (Antinews): Rewrite.

	* entering.texi (Exiting): Mention "minimize" terminology.

	* frames.texi (Frame Commands): Mention "minimize" terminology.

	* cmdargs.texi (Font X): Document Fontconfig and GTK font specification
	formats.
	(Icons X): Mention "minimize" terminology and use of icons in taskbar.
	(Misc X): Don't document useless -hb option.

2008-11-22  Juri Linkov  <juri@jurta.org>

	* dired.texi (Dired Navigation): Change normal file name search option
	from `non-nil' to `t'.  Add `dwim' option.

2008-11-22  Juri Linkov  <juri@jurta.org>

	* custom.texi (Directory Variables): Rename ".dir-settings.el" to
	".dir-locals.el".  Rename `define-project-bindings' to
	`dir-locals-set-class-variables'.  Rename `set-directory-project' to
	`dir-locals-set-directory-class'.

2008-11-22  Lute Kamstra  <lute@gnu.org>

	* buffers.texi (Select Buffer): Index goto-line.
	* basic.texi (Moving Point): Mention the use of a numeric prefix
	argument with goto-line and refer to Select Buffer for the use of a
	plain prefix argument.

2008-11-19  Glenn Morris  <rgm@gnu.org>

	* doclicense.texi: Update to FDL 1.3.
	* emacs.texi, emacs-xtra.texi: Relicense under FDL 1.3 or later.

2008-11-17  Chong Yidong  <cyd@stupidchicken.com>

	* custom.texi (Minor Modes): Define mode commands and mode variables
	more precisely.  Recommend using mode commands instead of setting
	variables directly.  Put minor modes in a list, and add more modes.
	(Easy Customization): Use "init file" instead of .emacs.
	(Customization Groups): Update to new Custom buffer appearance.
	(Saving Customizations): Copyedits.  Update example.
	(Variables): Give example of variable type-sensitivity.
	(Examining): Update example.
	(Hooks): Copyedits.
	(Specifying File Variables): Use C comments instead of an artificial
	Lisp for the example.
	(Keymaps): Move internals discussion to Prefix Keymaps.
	(Rebinding): Remove redundant paragraph (stated in Key Binding).
	(Init Rebinding): Document kbd macro.
	(Init File): Link to Find Init.

	* mark.texi (Using Region): Document Delete Selection Mode more
	thoroughly.

	* frames.texi (Mouse Commands): Move most of the description of Delete
	Selection Mode to Using Region, and link to it.
	(Clipboard): Note that paste is bound to clipboard-yank.

	* building.texi (Compilation): Document first-error value of
	compilation-scroll-output.
	(Compilation Mode): Note that compilation-auto-jump-to-first-error
	works as soon as an error is available.  Suggested by Juri Linkov.

	* mini.texi (Passwords): New node.

	* files.texi (Remote Files): Link to Passwords node.

	* emacs.texi (Top): Update node listings.

2008-11-16  Chong Yidong  <cyd@stupidchicken.com>

	* ack.texi (Acknowledgments): Some updating of credits.

	* emacs.texi (Acknowledgments): Add a couple more names.

	* dired.texi (Dired Deletion): Document delete-by-moving-to-trash.

	* files.texi (Directories): Describe delete-directory in text.
	(Misc File Ops): Document use of trash.

2008-11-16  Juanma Barranquero  <lekktu@gmail.com>

	* macos.texi (Mac Customization): Fix typos.

2008-11-14  Chong Yidong  <cyd@stupidchicken.com>

	* macos.texi (Mac OS): Move Cocoa manual from ns-emacs.texi to here,
	replacing previous contents.  Numerous copyedits to adapt ns-emacs to
	the conventions of the main Emacs manual.

	* emacs.texi (Top): Update node listings.

2008-11-12  Chong Yidong  <cyd@stupidchicken.com>

	* cmdargs.texi (Emacs Invocation): Link to Emacs Server.  Note that
	command-line-args is processed during startup.
	(Action Arguments): Correctly describe how file arguments interact with
	the startup screen.  Link to Lisp Interaction for scratch buffer.
	(Initial Options): Link to Command Example for -batch option.
	(Environment): Document initial-environment.

	* entering.texi (Entering Emacs): Note that inhibit-startup-screen
	can't be changed in the site-start file.

2008-11-07  Chong Yidong  <cyd@stupidchicken.com>

	* dired.texi (Dired): Mention C-x C-d too.
	(Dired Enter): Document M-n in the Dired minibuffer.
	(Dired Navigation): Explain dired-goto-file more clearly.
	Document dired-isearch-filenames.
	(Dired Deletion): Remove unnecessary "expunged" terminology.
	(Flagging Many Files): & is now rebound to `% &'.
	(Shell Commands in Dired): Document dired-do-async-shell-command.
	Clarify how multi-file arguments are passed.
	(Misc Dired Features): Document dired-do-isearch.

2008-11-06  Chong Yidong  <cyd@stupidchicken.com>

	* entering.texi (Entering Emacs): Document inhibit-startup-screen.

2008-11-03  Chong Yidong  <cyd@stupidchicken.com>

	* search.texi (Other Repeating Search): Remove obsolete findex entries.

2008-11-01  Chong Yidong  <cyd@stupidchicken.com>

	* programs.texi (Program Modes): Link to Program Indent node.
	(Left Margin Paren): Explain consequences of changing
	open-paren-in-column-0-is-defun-start more concisely.
	(Which Function, Program Indent, Info Lookup): Minor edits.
	(Basic Indent): If region is active, TAB indents the region.
	(Multi-line Indent): If region is active, TAB indents the region.
	Note that indent-region is useful when Transient Mark mode is off.
	(Matching): The delimiter at the cursor is highlighted---the character
	changes color.
	(Symbol Completion): Link to Completion node.

	* misc.texi (Invoking emacsclient): Describe how to use Emacs server in
	a strictly text-only system.

	* abbrevs.texi (Saving Abbrevs): Note that abbrev file is not loaded in
	batch mode.

2008-11-01  Richard M. Stallman  <rms@gnu.org>

	* misc.texi (Document View): Major rewrite.

	* maintaining.texi (Types of Log File): Change logs are older than
	version control.
	(VCS Concepts): Simplify and rearrange.
	(Version Control Systems): Make it clear that Linux is only the kernel.
	(VC Mode Line): Shorten reference to menu item.
	(Basic VC Editing): Clarify VC fileset.  Shorten and simplify.
	(VC Directory Mode): Minor cleanup.
	Unchanged files are hidden, not omitted.
	(VC Directory Commands): Shorten and simplify.
	(Change Log Commands): New node, split from Change Logs.
	(VC Directory Buffer): New node, split from VC Directory Mode.

2008-10-31  Chong Yidong  <cyd@stupidchicken.com>

	* misc.texi (Document View): Rename from Document Files, moved here
	from files.texi.

	* files.texi (Version Control): Move to maintaining.texi.
	Subnodes moved as well.
	(Document Files): Move to misc.texi.

	* maintaining.texi (Change Log): Document log-edit-insert-changelog and
	vc-update-change-log.
	(Version Control): Move here from files.texi.
	(Format of ChangeLog): Make it a subnode of Change Log.

	* emacs.texi (Top): Update node listing.

2008-10-31  Tassilo Horn  <tassilo@member.fsf.org>

	* files.texi (Files): Add a section about document
	files (doc-view-mode).

2008-10-31  Chong Yidong  <cyd@stupidchicken.com>

	* building.texi (Compilation Mode):
	Document compilation-auto-jump-to-first-error.
	(Debuggers): Lower GUD subsections to subsubsections.
	(Starting GUD): Add cindex.
	(Lisp Interaction): Note that scratch is no longer the initial buffer.

2008-10-30  Chong Yidong  <cyd@stupidchicken.com>

	* indent.texi (Indentation): Link to Program Indent.

	* misc.texi (Invoking emacsclient): If Emacs has no available frame, it
	now uses emacsclient's terminal.

2008-10-29  Chong Yidong  <cyd@stupidchicken.com>

	* mark.texi (Using Region): Document use-empty-active-region.

	* emacs.texi (Top): Update node listings.

	* misc.texi (Emacs Server): Rewrite.  Document daemon-mode.
	Don't mention obsolete emacs.bash script.
	(Invoking emacsclient): Rewrite, moving optional arguments to
	emacsclient Options.
	(emacsclient Options): New node.  Document server-use-tcp and
	server-host.

2008-10-28  Chong Yidong  <cyd@stupidchicken.com>

	* indent.texi (Indentation): Replace list with paragraphed text,
	putting description of syntax-driven indentation first.  Document new
	effect of active regions on tab.
	(Tab Stops): Note that editable tab stops affect indentation commands.

2008-10-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* cmdargs.texi (Initial Options): Document -daemon=SERVER_NAME.

2008-10-23  Chong Yidong  <cyd@stupidchicken.com>

	* custom.texi (Function Keys): Note that modified keypad keys are not
	translated.

	* basic.texi (Arguments): Explain how to insert multiple digits.

2008-10-22  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Remote Files): Precise selection of default method.
	Rewrite paragraph about disabling remote file names.

2008-10-22  Chong Yidong  <cyd@stupidchicken.com>

	* search.texi (Special Isearch): Document M-TAB is isearch.

	* files.texi (VC Mode Line): Use @kbd instead of @key for mouse
	command.

	* frames.texi: Use @kbd instead of @key for mouse commands throughout.

2008-10-22  Tassilo Horn  <tassilo@member.fsf.org>

	* emacs.texi (Acknowledgments): Add myself to Acknowledgments
	section.

2008-10-21  Chong Yidong  <cyd@stupidchicken.com>

	* vc1-xtra.texi: Move nodes VC Directory Mode and VC Directory Commands
	to files.texi.  Move contents of vc2-xtra.texi here.

	* vc2-xtra.texi: File removed.

	* vc-xtra.texi (Advanced VC Usage): Remove VC Directory Mode and VC
	Directory Commands from the submenu.  Don't include deleted file
	vc2-xtra.texi.

	* files.texi (Visiting): Document find-file-confirm-nonexistent-file.
	(Version Control): Add VC Directory Mode and VC Directory Commands to
	the submenu.
	(Why Version Control?): Use table format.
	(Version Control Systems): Note that Meta-CVS support is gone.
	(VCS Concepts): Note precisely when VC started supporting filesets.
	Remove bogus xref to CVS Options node.
	(Types of Log File): Copyedits.
	(VC Mode Line): Document tooltips and mouse-1 on VC indicator.
	(Basic VC Editing): Content moved from Selecting A Fileset and Doing
	The Right Thing.
	(Selecting A Fileset, Doing The Right Thing): Nodes deleted.
	(Log Buffer): Reorganize node, putting C-c C-c description first.
	(Old Revisions): Use CVS for example, not RCS.
	(Secondary VC Commands): Remove VC Directory Mode and VC Directory
	Commands from the submenu, putting them under Version Control.
	(VC Directory Mode): Move node contents here from vc1-xtra.texi; we
	need to include it in the manual unconditionally, since it is now
	crucial to using distributed version control systems.
	(Comparing Files): Note that diff uses the minibuffer, and that the
	output is shown using Diff mode.
	(Diff Mode): Explain what "patch" and "hunk" mean.
	Document diff-update-on-the-fly, diff-refine-hunk, and
	diff-show-trailing-whitespaces.
	(File Archives): Add rar support.

	* major.texi (Choosing Modes): Make mode selection sequence more
	obvious by describing the steps in order of priority.  Note that
	magic-mode-alist is nil by default.
	Document magic-fallback-mode-alist.

2008-10-20  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Mouse References): Copyedits.

2008-10-20  Tassilo Horn  <tassilo@member.fsf.org>

	* ack.texi (Acknowledgments): Add myself as doc-view author.

2008-10-20  Eli Zaretskii  <eliz@gnu.org>

	* frames.texi (Dialog Boxes): Add @cindex entries.

2008-10-20  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Dialog Boxes): Clarify description of GTK+ file chooser.
	(Text-Only Mouse): Copyedit.

2008-10-19  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi: Use @key throughout for mouse clicks.
	(Cut/Paste Other App): Document yank-pop-change-selection.
	(Secondary Selection): Fix modified mouse click syntax.
	(Clipboard): Describe Cut, Copy and Paste commands.
	(Mouse References): Not all references are in read-only buffers.
	Copyedits.
	(Creating Frames): Add xref to Init File.
	(Frame Commands): Add xref to Exiting.
	(Scroll Bars): Document GTK vs toolkit behavior.

2008-10-15  Chong Yidong  <cyd@stupidchicken.com>

	* files.texi (Version Control): Copyedits.  Add Bazaar.
	(Version Control Systems): List different VCS's using an itemized list.
	Add Bazaar.
	(VCS Concepts): Copyedits.  Tweak description of file merging.

	* frames.texi (Mouse Commands, Cut/Paste Other App): Rewrite.
	(Cut/Paste Other App): Document select-active-regions and
	x-select-enable-primary.

2008-10-13  Chong Yidong  <cyd@stupidchicken.com>

	* mark.texi (Shift Selection): Correct case in node name.

	* emacs.texi (Top): Update node order in Mark chapter.

2008-10-12  Eli Zaretskii  <eliz@gnu.org>

	* msdog-xtra.texi (MS-DOS): Fix bad pxref.

	* mini.texi (Minibuffer File): Fix markup in last change.  Refer to
	elsewhere in the manual instead of describing yet again the intricacies
	of $HOME on MS-Windows and MS-DOS.

2008-10-12  Chong Yidong  <cyd@stupidchicken.com>

	* mini.texi (Minibuffer File): Add xref to File Names.
	(Minibuffer File): Add discussion of `~' in file names.
	Add insert-default-directory index reference.

	* files.texi (File Names): Reorganize description.
	(Visiting): Add xref to Mode Line.  Copyedits.
	(Save Commands): Mention prefix behavior of C-x C-s.
	(Numbered Backups): Node deleted.
	(Backup Names): Contents of Numbered Backups moved here.  State default
	of version-control variable.
	(Reverting): Copyedits.
	(Version Control): Add additional version control systems.

	* emacs.texi (Top): Delete Numbered Backups node.

	* cmdargs.texi (General Variables): Change Numbered Backups xref to
	Backup Names.
	(Initial Options): Document renamed variable inhibit-startup-screen.

2008-10-11  Romain Francoise  <romain@orebokech.com>

	* kmacro.texi (Edit Keyboard Macro): Lossage is now 300 keys.

2008-10-11  Chong Yidong  <cyd@stupidchicken.com>

	* buffers.texi (Buffers): Add xrefs to Mode Line and Lisp Interaction.
	(Select Buffer): Mention use of minibuffer history.  Describe default
	value of default-major-mode.  Mention that C-x 4 b selects the other
	window.
	(List Buffers): Document CRM indicators in the order they appear.
	(Kill Buffer): Document new command kill-matching buffers.
	(Several Buffers): Move explanation of the relationship between buffer
	list and buffer menu to the top.
	(Indirect Buffers): Document new variable clone-indirect-buffer-hook.

2008-10-10  Chong Yidong  <cyd@stupidchicken.com>

	* entering.texi (Exiting): Document change of C-x C-c to
	save-buffers-kill-terminal.  Document kill-emacs.

2008-09-30  Eli Zaretskii  <eliz@gnu.org>

	* mule.texi (Coding Systems): Don't mention codepage-setup.

	* msdog-xtra.texi (MS-DOS Printing, MS-DOS and MULE): No need to create
	cpNNN coding systems anymore.
	(MS-DOS and MULE): Don't mention code-pages.el.  Don't mention support
	for unibyte mode.  Don't mention line-drawing characters.
	Don't mention dos-unsupported-char-glyph.

2008-09-25  Chong Yidong  <cyd@stupidchicken.com>

	* search.texi (Search): Shorten introduction.
	(Basic Isearch): Add command table.  Discuss reverse isearch and
	isearch highlighting.
	(Repeat Isearch): Move lazy highlighting discussion here.  Add search
	ring to cindex.
	(Special Isearch): Move input methods discussion here.
	(Non-ASCII Isearch): Node deleted, merged with Special Isearch.
	(Isearch Yank): Node deleted, and contents moved into Basic Isearch and
	Repeat Isearch.
	(Isearch Minibuffer): New node.
	(Word Search): Document new word search commands.
	(Regexp Example): Simplify example using sentence-end-base variable.
	(Replace): Reword introduction.
	(Unconditional Replace): Remove unnecessary example.
	(Other Repeating Search): Document new `M-s o' binding.

	* emacs.texi (Top): Update node listings.

2008-09-22  Juanma Barranquero  <lekktu@gmail.com>

	* emacs.texi (Top): Remove Kill Errors from menu.

2008-09-22  Chong Yidong  <cyd@stupidchicken.com>

	* kmacro.texi (Basic Keyboard Macro): Make F3 and F4 the preferred
	interface for defining macros.  Simplify examples.  Note that C-g quits
	macro definitions.
	(Keyboard Macro Counter): Document using F3 to insert counter.
	Give usage example.
	(Keyboard Macro Query): Organize query responses in a table.

	* fixit.texi (Fixit): Favor C-/ keybinding for undo throughout.
	Link to Erasing node.
	(Undo): Reorganize paragraphs for logical flow.  Move keybinding
	rationale to a footnote.
	(Kill Errors): Remove node, due to redundancy with Erasing.
	(Spelling): Move discussion of flyspell to end.  Note new behavior of
	M-$ in active region.  Remove non-ispell-specific keybindings from
	table.

2008-09-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* cmdargs.texi (Initial Options): Document --daemon.

2008-09-20  Glenn Morris  <rgm@gnu.org>

	* files.texi (Numbered Backups): Mention that some modes set
	version-control.

2008-09-20  Jim Blandy  <jimb@red-bean.com>

	* files.texi (Numbered Backups): Reference File Variables, as well.
	Remove discussion of Rmail's implementation.

2008-09-06  Chong Yidong  <cyd@stupidchicken.com>

	* misc.texi (Recursive Edit): Note that top-level exits active
	minibuffers.

	* trouble.texi (Quitting): Likewise.

2008-08-31  Chong Yidong  <cyd@stupidchicken.com>

	* emacs.texi (Top): Add Temporary Face Changes xref.

	* display.texi (Display): Move Temporary Face Changes node to just
	after Standard Faces.
	(Scrolling): Document recenter-top-bottom instead of recenter.
	(Horizontal Scrolling): Move auto hscroll discussion to the top.
	(Faces, Standard Faces, Temporary Face Changes, Useless Whitespace)
	(Display Custom): Copyedits.
	(Optional Mode Line): Document display-battery-mode.

2008-08-27  Romain Francoise  <romain@orebokech.com>

	* custom.texi (Directory Variables): Minor fix.

2008-08-27  Glenn Morris  <rgm@gnu.org>

	* cal-xtra.texi (Advanced Calendar/Diary Usage): Tweak some menu
	descriptions.
	(Calendar Customizing): Tweak layout description.
	Move calendar-today-marker and calendar-today face to the other
	markers.  Condense calendar-star-date and calendar-mark-today
	description.
	(Holiday Customizing): Add oriental and solar holidays.
	Add index entries for Baha'i, Christian, Hebrew and Islamic holidays.
	Fix holiday-float description.  Use zerop in examples.  Be less verbose.
	(Date Display Format): Change ISO format.  Be less verbose.
	(Diary Customizing): Mention day and month abbrev arrays.
	Mention the date-form variables by name.  Update European example.
	(Non-Gregorian Diary): Change node name.  Mention Baha'i functions.
	Condense examples.  Mention diary-entry-symbols by name.
	Condense table for insertion commands.
	(Fancy Diary Display): Mention diary-include-string and
	diary-sexp-entry-symbol.  Condense example.  Add Chinese, Coptic,
	Ethiopic, Persian date functions.  Condense descriptions.

	* calendar.texi (Format of Diary File): Mention diary-nonmarking-symbol.
	(Adding to Diary): Adapt for changed node name.

2008-08-26  Glenn Morris  <rgm@gnu.org>

	* cal-xtra.texi (Non-Gregorian Diary Entries): New name for
	node "Hebrew/Islamic Entries".

	* calendar.texi (Specified Dates): Fix names of iso functions.
	(General Calendar): There may not be another window.
	(Writing Calendar Files, Holidays): Tweak intro.
	(Holidays): Mention Baha'i and Chinese holidays.
	(Sunrise/Sunset): Add M-x calendar-sunrise-sunset-month.
	(Lunar Phases): Remove incorrect reference to calendar-time-zone.
	(To Other Calendar): Add calendar-print-other-dates.
	Refer to "graphic display" rather than "X.
	(From Other Calendar): Add calendar-bahai-goto-date.  Fix reference.
	(Displaying the Diary): Fix whitespace after reference.
	Fix `diary-number-of-entries' reference.
	(Date Formats): Explicitly mention that day names can be abbreviated.
	(Adding to Diary): Add some references to other sections.
	(Special Diary Entries): Fix reference.
	(Appointments): Simplify appt-message-warning-time entry.
	Clarify where times must be.
	(Importing Diary): Comment out icalendar paragraph that does not apply.
	(Time Intervals): Simplify entry for timeclock-ask-before-exiting.

2008-08-23  Glenn Morris  <rgm@gnu.org>

	* fortran-xtra.texi (Fortran): Change description of free form and
	fixed form a bit.  Mention hideshow and imenu.
	(Fortran Motion): Mention fortran-end-of-subprogram,
	fortran-beginning-of-subprogram, fortran-mark-do, fortran-mark-if.
	(Fortran Indent): Minor re-word.
	(ForIndent Commands): Mention fortran-fill-paragraph and
	fortran-fill-statement.
	(ForIndent Cont): Mention fortran-tab-mode-string.
	(Fortran Comments): Mention fortran-comment-line-start-skip.
	(Fortran Columns): Mention font-locking.
	(Fortran Abbrev): Word syntax not relevant with new-style abbrev.

2008-08-23  Johan Bockgård  <bojohan@muon>

	* basic.texi (Moving Point): Fix <prior>/<next> confusion.

2008-08-22  Chong Yidong  <cyd@stupidchicken.com>

	* mini.texi (Minibuffer): Simplify introduction.
	(Minibuffer File): Document tilde in minibuffer filenames.
	(Minibuffer Edit): Mention that the prompt is read-only.  Describe how
	to enter tabs, spaces, and question marks.  Describe behavior of C-a.
	(Completion Example): Update example to current command list.
	(Completion Options): Document `lazy' value of completion-auto-help.
	Update contents of completion-ignored-extensions.
	(Minibuffer History): Describe "future history" list.  State default
	value of history-delete-duplicates.

2008-08-21  Glenn Morris  <rgm@gnu.org>

	* fortran-xtra.texi (Fortran Columns): Document `fortran-line-length'.
	(Fortran Comments): Replace fortran-indent-comment with comment-dwim.

2008-08-17  Chong Yidong  <cyd@stupidchicken.com>

	* regs.texi (Registers): Clarify valid register names.
	(RegPos): Note that buffer is saved and restored too.
	(RegText): Note that mark is reactivated/deactivated.
	(RegConfig): Xref to Windows node.

2008-08-16  Chong Yidong  <cyd@stupidchicken.com>

	* basic.texi (Inserting Text): Provide command name for C-q.

	* killing.texi (Killing): Copyedit.  Define read-only text.
	(Deletion): DEL and C-d were already explained in Erasing; xref there.
	(Killing by Lines): Copyedit.
	(Other Kill Commands): Move M-w description here.
	(Yanking): Move M-w to Other Kill Commands.
	(Kill Ring): Also mention saving text in registers.  Link to Text
	Properties in elisp manual.
	(Accumulating Text): Copyedit.
	(CUA Bindings): Shift selection is now the default.

2008-08-12  Teodor Zlatanov  <tzz@lifelogs.com>

	* maintaining.texi (Change Log): Mention next-error is available.

2008-08-10  Glenn Morris  <rgm@gnu.org>

	* cal-xtra.texi (Calendar Customizing): Mention whitespace variables
	and intermonth text.
	(Holiday Customizing): Add holiday-chinese.

2008-08-08  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (Log Buffer, Diff Mode): Fix last changes.  Add indexing.

2008-08-07  Dan Nicolaescu  <dann@ics.uci.edu>

	* files.texi (Log Buffer): Describe C-c C-d.
	(Diff Mode): Describe C-x 4 A.

2008-08-06  Eli Zaretskii  <eliz@gnu.org>

	* vc1-xtra.texi (VC Directory Mode): Fix last change.

2008-08-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* files.texi (Old Revisions): Update the keys used by vc-annotate and
	describe the new bindings to show the changeset diff, toggle annotation
	visibility, show revisions.
	(VC Status): Describe key bindings for modifying the change comments,
	displaying changeset diffs and annotations.

	* vc1-xtra.texi (VC Directory Mode): Talk about multiple VC systems.

2008-08-05  Nick Roberts  <nickrob@snap.net.nz>

	* vc1-xtra.texi (VC Directory Mode): Fix typo.

2008-08-02  Eli Zaretskii  <eliz@gnu.org>

	* vc1-xtra.texi (VC Directory Mode, VC Directory Commands): Fix English
	and wording.

2008-08-02  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc1-xtra.texi (VC Directory Mode): Fix and improve the info about
	marking/unmarking.  Add descriptions for the multiple file search
	commands.  Improve some old info.

2008-07-31  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Visual Line Mode): New node.

	* basic.texi (Inserting Text): Move DEL to deletion node.
	(Moving Point): Add additional alternative key bindings.
	Describe line-move-visual.
	(Erasing): Describe DEL.
	(Basic Undo, Blank Lines, Arguments): Copyedit.
	(Continuation Lines): Mention Visual Line mode.
	(Position Info): Move extended discussion to mule.texi.

	* mule.texi (International Chars): Describe C-x =.

	* emacs.texi (Top): Add Visual Line Mode node.

2008-07-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* emacs.texi: Remove VMS support.

2008-07-30  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc1-xtra.texi (VC Directory Mode): Update the display format and fix
	the vc-dir command name.

2008-07-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* xresources.texi: Remove mentions of Mac Carbon.

2008-07-19  Andreas Schwab  <schwab@suse.de>

	* ns-emacs.texi: Move to ../misc.

2008-07-15  Chong Yidong  <cyd@stupidchicken.com>

	* entering.texi (Exiting): Don't describe text-only terminals as the
	default.  Describe the new startup screen.
	(Exiting): Describe how to kill Emacs first.  Change description of
	iconification to handle modern window systems.

2008-07-15  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* ns-emacs.texi: New file, documents features of Emacs port under
	NeXTstep windowing.

2008-07-15  Chong Yidong  <cyd@stupidchicken.com>

	* entering.texi (Entering Emacs): Update prev node.

	* glossary.texi (Glossary): Remove xref to Text Characters.

	* commands.texi (User Input): Rewrite.  Describe Emacs' behavior
	directly, rather than in the context of ASCII.  Move description of
	special properties of modifier key to new Modifier Keys node.
	(Keys): Copyedit.
	(Text Characters): Delete node.  Multibyte is the default nowadays, and
	the node contents are obsolete.

	* custom.texi (Modifier Keys): New node.

	* emacs.texi (Top): Update node list.

2008-07-13  Chong Yidong  <cyd@stupidchicken.com>

	* emacs.texi (Intro): Increase conciseness slightly.  Remove paragraph
	saying that Emacs provides menus and mouse support (which is par for
	the course).

	* screen.texi (Screen): Copyedit.  Define "buffer" and "current buffer"
	early on.
	(Point): Copyedit.  Relegate historical trivia to a footnote.
	(Mode Line): Explain mode-line format more consistently.
	(Menu Bar): Copyedit.

2008-06-27  Glenn Morris  <rgm@gnu.org>

	* cal-xtra.texi (Sexp Diary Entries):
	* calendar.texi (Lunar Phases): Update for lunar.el name changes.

2008-06-26  Chong Yidong  <cyd@stupidchicken.com>

	* mark.texi (Shift selection): New node.
	(Mark): Copyedits.
	(Persistent Mark): Move to the end of the chapter.

2008-06-20  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (distclean): Remove makefile.

2008-06-17  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Starting GUD): Add an entry for gud-gdb.
	(GDB Graphical Interface): Explain that gud-gdb is now needed for text
	command mode.

2008-06-17  Glenn Morris  <rgm@gnu.org>

	* calendar.texi: Fix references to mouse-2 and mouse-3 in calendar.

2008-06-17  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Starting GUD): Expand on remote debugging.
	(Other GDB-UI Buffers): Mention new keyboard bindings.

2008-06-15  Glenn Morris  <rgm@gnu.org>

	* gnu.texi: Use a verbatim license for this invariant section,
	as per etc/GNU.

2008-06-13  Daniel Engeler  <engeler@gmail.com>

	* emacs.texi, misc.texi: Add documentation about serial port access.

2008-06-13  Glenn Morris  <rgm@gnu.org>

	* emacs-xtra.texi, emacs.texi: Update Back-Cover text per
	maintain.info.

2008-06-05  Miles Bader  <miles@gnu.org>

	* display.texi (Temporary Face Changes): Update to reflect function
	renamings in face-remap.el.

2008-06-04  Miles Bader  <miles@gnu.org>

	* display.texi (Temporary Face Changes):
	Add `adjust-buffer-face-height'.  Rewrite description of
	`increase-buffer-face-height' and `decrease-default-face-height' now
	that they aren't bound by default.

2008-06-03  Miles Bader  <miles@gnu.org>

	* display.texi (Temporary Face Changes): New node.

2008-05-31  Eli Zaretskii  <eliz@gnu.org>

	* msdog.texi (Windows Keyboard): Fix text added on 2008-05-29.

2008-05-31  Glenn Morris  <rgm@gnu.org>

	* cal-xtra.texi (Fancy Diary Display): Simplify.

2008-05-30  Glenn Morris  <rgm@gnu.org>

	* cal-xtra.texi (Fancy Diary Display): Update for
	diary-display-function replacing diary-display-hook.

2008-05-29  Drew Adams  <drew.adams@oracle.com>

	* msdog.texi (Windows Keyboard): Add descriptions of
	w32-register-hot-key and w32-unregister-hot-key.

2008-05-21  Tom Tromey  <tromey@redhat.com>

	* custom.texi (Directory Variables): Grammar fix.  Link to Safe File
	Variables node.

2008-05-19  Tom Tromey  <tromey@redhat.com>

	* custom.texi (Variables): Add Directory Variables to menu.
	(Directory Variables): New node.

2008-05-16  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc2-xtra.texi: Modify an example so it reflects what vc.el now does.

2008-05-15  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc2-xtra.texi, emacs.texi, files.texi: Snapshots node renamed to
	Revision Tags and rewritten.  Section now uses modern terminology,
	(tags rather than snapshots) and describes post-SCCS systems more
	accurately.

2008-05-10  Eli Zaretskii  <eliz@gnu.org>

	* msdog.texi (Windows Files): Update documentation of
	w32-get-true-file-attributes.

2008-05-09  Eric S. Raymond  <esr@snark.thyrsus.com>

	* files.texi, vc-xtra.texi, vc1-xtra.texi: Document the new VC
	directory mode.

2008-05-08  Chong Yidong  <cyd@stupidchicken.com>

	* killing.texi (Appending Kills): Remove a strangely off-topic index
	entry "television".

2008-05-07  Eric S. Raymond  <esr@snark.thyrsus.com>

	* ack.texi, files.texi, vc2-xtra.texi: Meta-CVS is no longer supported.

2008-05-02  Eric S. Raymond  <esr@snark.thyrsus.com>

	* buffers.texi, files.texi (Version-control):
	vc-toggle-read-only is no longer a good idea...

2008-04-29  Glenn Morris  <rgm@gnu.org>

	* cal-xtra.texi (Sexp Diary Entries): Clarify diary-float.

2008-04-22  Juri Linkov  <juri@jurta.org>

	* dired.texi (Subdirectories in Dired): Describe using `^'
	to return to the parent directory.

2008-04-22  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (GDB-UI Layout, Other GDB-UI Buffers): Update for
	recent changes.

2008-04-19  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (GDB-UI Layout, Breakpoints Buffer)
	(Other GDB-UI Buffers): Update for recent thread related changes.

2008-04-11  Mirko Vukovic  <mirko.vukovic@gmail.com>  (tiny change)

	* maintaining.texi (Maintaining):
	* emacs.texi (Top): Typo.

2008-04-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* display.texi (Font Lock): Prefer add-hook to using a non-nil `mode'
	arg in `font-lock-add-keywords'.

2008-04-08  Glenn Morris  <rgm@gnu.org>

	* cal-xtra.texi, calendar.texi: Update for calendar name changes.
	Also add Baha'i calendar references where appropriate.

2008-04-05  Glenn Morris  <rgm@gnu.org>

	* custom.texi (Init File): Byte-compiling .emacs is bad.

2008-04-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mini.texi (Minibuffer Edit) <resize-mini-windows>: Adjust default.

2008-03-29  Glenn Morris  <rgm@gnu.org>

	* calendar.texi: Update for `calendar-date-style' replacing
	`european-calendar'.

2008-03-28  Jason Rumney  <jasonr@gnu.org>

	* display.texi (Display Custom): Mention overlay-margin in text.

2008-03-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* custom.texi, dired.texi, mini.texi, mule.texi: Add `referenced in the
	tutorial' comments.

2008-03-28  Chong Yidong  <cyd@stupidchicken.com>

	* mark.texi (Mark): Rearrange nodes.
	(Persistent Mark): Rename from Transient Mark.
	(Mark, Setting Mark, Marking Objects, Persistent Mark, Mark Ring):
	Describe Transient Mark mode as the default.

	* basic.texi (Basic Undo): Don't mention setting the mark, which isn't
	the default behavior with Transient Mark mode off.
	(Position Info): Fix typo.

	* display.texi (Standard Faces): Reference the Mark node.
	Remove discussion of the region face, which is discussed there.

	* emacs.texi (Top): Update node listings.

	* files.texi (Diff Mode, Misc File Ops): Describe Transient Mark mode
	as the default.

	* fixit.texi (Undo): Standardize choice of undo key sequence.
	(Undo, Spelling): Describe Transient Mark mode as the default.

	* frames.texi (Mouse Commands): Treat Transient Mark mode as the
	default.

	* glossary.texi (Glossary): Treat Transient Mark mode as the default.

	* killing.texi (Kill Ring, Accumulating Text): Assume Transient Mark
	mode is the default, and note that the mark is not activated when set.

	* programs.texi (Moving by Defuns, Expressions, Comment Commands):
	Describe Transient Mark mode as the default.

	* search.texi (Basic Isearch): Reference the Mark Ring node.
	(Replace, Unconditional Replace, Other Repeating Search):
	Describe Transient Mark mode as the default.

	* text.texi (Words, Pages, Fill Commands, HTML Mode):
	Describe Transient Mark mode as the default.
	(Paragraphs): Describe how M-h behaves when region is active.

	* trouble.texi (Quitting): Clarify effects of C-g.

2008-03-13  Glenn Morris  <rgm@gnu.org>

	* emacs.texi (EMACSVER): Set to 23.0.60.

2008-03-05  Glenn Morris  <rgm@gnu.org>

	* dired.texi (Hiding Subdirectories): Fix previous change.

2008-03-05  Drew Adams  <drew.adams@oracle.com>

	* dired.texi (Hiding Subdirectories): Document `dired-hide-subdir'.

2008-02-28  Kim F. Storm  <storm@cua.dk>

	* help.texi (Help Files): Move describe-gnu-project to C-h g.
	Move describe-distribution to C-h C-o.
	Move view-emacs-problems to C-h C-p.
	Add view-emacs-debugging on C-h C-d.
	Add view-external-packages on C-h C-e.
	Add view-order-manuals on C-h C-m.

2008-02-17  Ulrich Mueller  <ulm@kph.uni-mainz.de>

	* msdog-xtra.texi (MS-DOS): Docstring fix.

2008-02-09  Eli Zaretskii  <eliz@gnu.org>

	* msdog.texi (Windows Fonts): Use a @table for describing font
	properties.

2008-02-07  Jason Rumney  <jasonr@gnu.org>

	* msdog.texi (Windows Files): w32-get-true-file-attributes default
	value has changed.
	(Windows HOME): Clarify what is meant by "if that fails as well".
	(Windows Fonts): New section.

2008-02-07  D. E. Evans  <sinuhe@gnu.org>  (tiny change)

	* basic.texi (Basic Undo): Remove duplicate "you can".

2008-02-02  Eli Zaretskii  <eliz@gnu.org>

	* maintaining.texi (Tags): Fix last change.

2008-01-31  Nick Roberts  <nickrob@snap.net.nz>

	* trouble.texi (Checklist): Direct users to emacs-devel@gnu.org.

2008-01-26  Richard Stallman  <rms@gnu.org>

	* maintaining.texi (Tags): Delete redundant index entry.

2008-01-26  Eli Zaretskii  <eliz@gnu.org>

	* programs.texi (Imenu): Move "@cindex tags" from here...
	* maintaining.texi (Tags): ...to here.

2008-01-23  Kevin Ryde  <user42@zip.com.au>

	* custom.texi (Mouse Buttons): Update elisp xref to "Click Events" on
	click count.

2008-01-21  Juanma Barranquero  <lekktu@gmail.com>

	* entering.texi (Exiting): Fix typo.
	Reported by D. E. Evans <sinuhe@gnu.org>.

2007-12-31  Martin Rudalics  <rudalics@gmx.at>

	* glossary.texi (Glossary): Fix typo.

2007-12-27  Richard Stallman  <rms@gnu.org>

	* text.texi (Formatted Text): Improve menu tag.
	(Editing Format Info): In Info, add duplicate menu of nodes
	about the submenus.
	(Format Faces): Say where Faces menu is found.  Mention Other.
	(Format Colors): Say where these submenus are found.
	(Format Indentation, Format Justification): Likewise.
	(Format Properties): Likewise.

2007-12-22  Richard Stallman  <rms@gnu.org>

	* search.texi (Query Replace): Make exp of query-replace more
	self-contained, and clarify.

2007-12-15  Richard Stallman  <rms@gnu.org>

	* files.texi (Auto Save): Clarify definition of auto-saving.

2007-11-26  Richard Stallman  <rms@gnu.org>

	* help.texi (Help Echo): Cleanups.

2007-11-23  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* files.texi (Why Version Control?): Fix typo.
	(VCS Concepts): Fix typos; small tense fix.
	(Selecting a Fileset): Fix typos; small rewording.
	(Log Buffer): Likewise.
	(Old Revisions): Likewise.

2007-11-17  Eli Zaretskii  <eliz@gnu.org>

	* mule.texi (Communication Coding): Fix wording of last change.

2007-11-16  Werner Lemberg  <wl@gnu.org>

	* custom.texi (Specifying File Variables):
	* major.texi (Choosing Modes): Mention '\" in man pages.

2007-11-16  Kenichi Handa  <handa@ni.aist.go.jp>

	* mule.texi (Communication Coding): Document x-select-request-type.

	* frames.texi (Cut/Paste Other App): Mention x-select-request-type.

2007-11-15  Francesco Potortì  <pot@gnu.org>

	* maintaining.texi (TEXTAGS): Note that you can use "-" for stdout with
	--output=file.

2007-11-13  Martin Rudalics  <rudalics@gmx.at>

	* help.texi (Help Summary, Apropos, Misc Help): Fix typos.
	(Help Echo): Avoid mentioning the term "region" here and
	consistently use the term "active text".

2007-11-11  Glenn Morris  <rgm@gnu.org>

	* calendar.texi (Special Diary Entries): Fix Thanksgiving example.

2007-11-10  Paul Pogonyshev  <pogonyshev@gmx.net>

	* search.texi (Query Replace):
	Mention `query-replace-show-replacement'.

2007-11-09  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Watch Expressions): Remove obscure sentence.

2007-11-06  Kenichi Handa  <handa@ni.aist.go.jp>

	* mule.texi (Select Input Method): Describe how to activate an input
	method in the text mode.

2007-11-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* cmdargs.texi (Misc Variables): Remove Sun windows info.

2007-10-30  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Watch Expressions): Describe gdb-delete-out-of-scope.

2007-10-30  Glenn Morris  <rgm@gnu.org>

	* misc.texi (Directory Tracking): Explain a bit more about
	dirtrack-mode.

2007-10-25  Glenn Morris  <rgm@gnu.org>

	* fortran-xtra.texi (Fortran): F90 mode handles F2003.

2007-10-24  Richard Stallman  <rms@gnu.org>

	* misc.texi (Interactive Shell): Cleanup last change.

2007-10-22  Juri Linkov  <juri@jurta.org>

	* mini.texi (Minibuffer History): Add text about a list of minibuffer
	default values.

2007-10-20  Eric S. Raymond  <esr@snark.thyrsus.com>

	* files.texi: Disambiguate two slightly different uses of the term
	'filesets'.

2007-10-18  Martin Rudalics  <rudalics@gmx.at>

	* trouble.texi (Quitting): Fix typo.

2007-10-18  Glenn Morris  <rgm@gnu.org>

	* frames.texi (Mode Line Mouse): Mention minor mode names.

2007-10-17  Juri Linkov  <juri@jurta.org>

	* text.texi (Fill Commands): Undocument fill-paragraph-or-region.
	fill-paragraph operates on the active region in Transient Mark mode.
	(Fill Prefix, Format Indentation): Replace fill-paragraph-or-region
	with fill-paragraph.

	* basic.texi (Arguments): Replace fill-paragraph-or-region with
	fill-paragraph.

	* fixit.texi (Spelling): ispell-word operates on the active region
	in Transient Mark mode.

2007-10-17  Aaron S. Hawley  <aaronh@garden.org>

	* building.texi (Source Buffers):
	* custom.texi (Init Non-ASCII):
	* glossary.texi (Glossary): Use "key binding" consistently.

2007-10-17  Juanma Barranquero  <lekktu@gmail.com>

	* calendar.texi (Diary): Fix directive.

2007-10-16  Richard Stallman  <rms@gnu.org>

	* calendar.texi (Diary): Clarify text about diary file example.

2007-10-13  Eric S. Raymond  <esr@snark.thyrsus.com>

	* files.texi: Capitalize node names according to convention.

2007-10-13  Glenn Morris  <rgm@gnu.org>

	* misc.texi (Interactive Shell): Correct INSIDE_EMACS reference.

2007-10-11  Eric S. Raymond  <esr@snark.thyrsus.com>

	* emacs.texi:
	* files.texi (Version Systems): Minor fixes to version-control material
	suggested by RMS and Robert J. Chassell.

2007-10-10  Eric S. Raymond  <esr@snark.thyrsus.com>

	* files.texi (Version Systems):
	* vc-xtra.texi:
	* vc1-xtra.texi:
	* vc2-xtra.texi: Merge in changes for new VC with fileset-oriented
	operations.  Change of terminology from `version' to `revision'.
	Revise text for adequate description of VCSes with monotonic IDs.
	* emacs.texi: Change of terminology from `version' to `revision'.

2007-10-09  Eric S. Raymond  <esr@snark.thyrsus.com>

	* files.texi (Version Systems): Describe newer VCses.
	Reorder the descriptions to be chronological.

2007-10-09  Richard Stallman  <rms@gnu.org>

	* display.texi (Cursor Display): Correct how cursor appears
	in nonselected windows.

2007-10-04  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (GDB Graphical Interface): Remove references to gdba
	and mention gud-gdb.

2007-08-31  Eli Zaretskii  <eliz@gnu.org>

	* rmail.texi (Rmail Sorting): Improve indexing.

2007-10-06  Juri Linkov  <juri@jurta.org>

	* text.texi (Fill Commands): Document fill-paragraph-or-region.
	(Fill Prefix, Format Indentation): Replace fill-paragraph with
	fill-paragraph-or-region.

	* basic.texi (Arguments): Replace fill-paragraph with
	fill-paragraph-or-region.

2007-10-06  Eric S. Raymond  <esr@snark.thyrsus.com>

	* files.texi: Update the section on version control for 2007
	conditions.  None of these changes are new-VC-specific; that
	will come later.

2007-09-15  Glenn Morris  <rgm@gnu.org>

	* calendar.texi (Holidays): Change all instances of `holiday-list' back
	to `list-holidays'.

2007-09-14  Glenn Morris  <rgm@gnu.org>

	* calendar.texi: Update all instances of mark-calendar-holidays,
	list-calendar-holidays, list-holidays with the new names.

2007-09-06  Glenn Morris  <rgm@gnu.org>

	Move manual sources from man/ to subdirectories of doc/.
	Split into the Emacs manual in emacs/, and other manuals in misc/.
	* Makefile.in (INFO_TARGETS, DVI_TARGETS): Reduce to just the Emacs
	manual.
	(infodir): New variable.
	(info): Use $infodir.
	(emacsman): Delete target, not needed any more.
	Move all targets that are not the Emacs manual to misc/Makefile.in.
	(mostlyclean): Remove `gnustmp'.
	* makefile.w32-in (INFO_TARGETS, DVI_TARGETS): Reduce to just the Emacs
	manual.
	(MULTI_INSTALL_INFO, ENVADD, infodir): Go up one more level.
	(emacsman): Delete target, not needed any more.
	(clean): Remove all info files but Emacs manual.
	Move all targets that are not the Emacs manual to misc/Makefile.in.
	* emacs-xtra.texi, emacs.texi (setfilename): Go up one more level.

	* Makefile.in (INFOSOURCES): Delete.
	(.SUFFIXES): Use $(TEXI2DVI) rather than texi2dvi.
	(mostlyclean): Add *.op, *.ops.  Move *.aux *.cps *.fns *.kys *.pgs
	*.vrs *.toc here...
	(maintainer-clean): ...from here.

2007-09-05  Glenn Morris  <rgm@gnu.org>

	* custom.texi (Safe File Variables): Clarify `!' and risky variables.

2007-08-29  Glenn Morris  <rgm@gnu.org>

	* emacs.texi (EMACSVER): Increase to 23.0.50.

2007-08-27  Richard Stallman  <rms@gnu.org>

	* emacs.texi (Top): Clarify menu item for Glossary.

	* display.texi (Faces): Change secn title.
	Clarify not all fonts come from Font Lock.

2007-08-17  Eli Zaretskii  <eliz@gnu.org>

	* basic.texi (Position Info): Add index entry for face at point.
	Mention that character faces are also displayed by "C-u C-x =".

2007-08-08  Glenn Morris  <rgm@gnu.org>

	* glossary.texi (Glossary): Deprecate `iff'.

2007-08-07  Chong Yidong  <cyd@stupidchicken.com>

	* files.texi (File Conveniences): Document point motion keys in Image
	mode.

2007-07-27  Glenn Morris  <rgm@gnu.org>

	* emacs.texi (Copying): Include license text from gpl.texi, rather than
	in-line.

	* gpl.texi: New file with text of GPL.
	* Makefile.in (EMACSSOURCES): Add gpl.texi.

2007-07-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc2-xtra.texi (Customizing VC): Add GIT and HG.

	* dired.texi (Wdired): Mention C-x C-q key binding.

2007-07-28  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (GDB Graphical Interface): Qualify use of "M-x gdba".

2007-07-25  Glenn Morris  <rgm@gnu.org>

	* emacs.texi (Copying): Replace license with GPLv3.

	* Relicense all FSF files to GPLv3 or later.

2007-07-24  Glenn Morris  <rgm@gnu.org>

	* calendar.texi (Writing Calendar Files): cal-tex-diary etc only work
	for some calendars.

2007-07-23  Nick Roberts  <nickrob@snap.net.nz>

	* screen.texi (Mode Line): Describe new mode-line flag that shows if
	default-directory for the current buffer is on a remote machine.

2007-07-21  Eli Zaretskii  <eliz@gnu.org>

	* vc2-xtra.texi (Customizing VC) <vc-handled-backends>: Update the
	default value.

2007-07-21  Richard Stallman  <rms@gnu.org>

	* files.texi (Why Version Control?): Improve previous change.

2007-07-18  Eric S. Raymond  <esr@snark.thyrsus.com>

	* files.texi (Why Version Control?): New node.

2007-07-12  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Starting GUD): Add xref to this anchor.

2007-06-24  Karl Berry  <karl@gnu.org>

	* emacs.texi: New Back-Cover Text.

2007-06-07  Alan Mackenzie  <acm@muc.de>

	* display.texi (Optional Mode Line): Document the new form of
	line+column numbers, "(561,2)".

2007-06-06  Juanma Barranquero  <lekktu@gmail.com>

	* maintaining.texi (Create Tags Table): Fix typos.

2007-06-02  Chong Yidong  <cyd@stupidchicken.com>

	* Version 22.1 released.

2007-05-07  Karl Berry  <karl@gnu.org>

	* emacs.texi (EMACSVER): Back to 22.

2007-05-06  Richard Stallman  <rms@gnu.org>

	* maintaining.texi (Create Tags Table): Clean up previous change.

2007-05-05  Francesco Potortì  <pot@gnu.org>

	* maintaining.texi (Create Tags Table): Add text about the dangers of
	making symbolic links to tags files.

2007-05-04  Karl Berry  <karl@gnu.org>

	* emacs.texi (EMACSVER) [smallbook]: 22.1 for printed version, not 22.

2007-05-03  Karl Berry  <karl@gnu.org>

	* emacs.texi (EMACSVER) [smallbook]: 22 for printed version.

	* .cvsignore (*.pdf): New entry.

	* emacs.texi (\urlcolor, \linkcolor) [smallbook]: \let to \Black
	for printing.

2007-05-01  Richard Stallman  <rms@gnu.org>

	* cmdargs.texi (Initial Options): Under --batch, mention --eval.

2007-04-28  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments):
	* anti.texi (Antinews):
	* programs.texi (Program Modes): Restore mention of python.el pending
	consideration of legal status.

2007-04-28  Richard Stallman  <rms@gnu.org>

	* files.texi (File Names): Fixes to ~ description on MS systems.

2007-04-26  Glenn Morris  <rgm@gnu.org>

	* emacs.texi (EMACSVER): Increase to 22.1.50.

2007-04-25  Karl Berry  <karl@gnu.org>

	* emacs.texi: Improve line breaks on copyright page,
	similar layout to lispref, 8.5x11 by default.

	* dired.texi (Image-Dired): Improve line break, fix typo.

2007-04-24  Chong Yidong  <cyd@stupidchicken.com>

	* programs.texi (Program Modes):
	* anti.texi (Antinews):
	* ack.texi (Acknowledgments): python.el removed.

2007-04-23  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Highlight Interactively): Correct description of
	hi-lock-file-patterns-policy.

	* files.texi (File Archives): Mention self-extracting executables.

2007-04-23  Eli Zaretskii  <eliz@gnu.org>

	* search.texi (Unconditional Replace, Query Replace): Add xref to
	"Replacement and Case".

2007-04-22  Chong Yidong  <cyd@stupidchicken.com>

	* dired.texi (Image-Dired): Move from Thumbnails node.
	* misc.texi (Thumbnails): Node deleted.
	* emacs.texi (Top): Update node listing.

	* files.texi (File Conveniences):
	* ack.texi (Acknowledgments): Rename "tumme" to "image-dired".

2007-04-21  Richard Stallman  <rms@gnu.org>

	* display.texi (Highlight Interactively): Correct previous change.
	Clarify doc of hi-lock-find-patterns, and move new features into it.

2007-04-20  David Koppelman  <koppel@ece.lsu.edu>

	* display.texi (Highlight Interactively):
	Document hi-lock-file-patterns-policy.

2007-04-20  Martin Rudalics  <rudalics@gmx.at>

	* display.texi (Scrolling): Fix typo.

2007-04-15  Chong Yidong  <cyd@stupidchicken.com>

	* doclicense.texi: Remove node heading, so that it can be included by
	other files.

	* emacs.texi: Insert node heading for GFDL.

2007-04-14  Eli Zaretskii  <eliz@gnu.org>

	* cmdargs.texi (Colors): Qualify "color of window" index entry by
	"command line".

	* display.texi (Faces): Refer to "Creating Frames" for face
	and other frame customizations in .emacs.

	* frames.texi (Creating Frames): Mention that face customizations can
	be put in .emacs.  Add index entries.

2007-04-12  Richard Stallman  <rms@gnu.org>

	* glossary.texi (Glossary): Explain `iff'.

2007-04-11  Karl Berry  <karl@gnu.org>

	* gnu.texi (Top),
	* macos.texi (Mac Font Specs),
	* anti.texi (Antinews),
	* xresources.texi (Resources),
	* misc.texi (Emulation),
	* calendar.texi (Daylight Saving),
	* dired.texi (Dired and Find),
	* rmail.texi (Remote Mailboxes),
	* sending.texi (Mail Headers),
	* programs.texi (Which Function),
	* files.texi (Recover),
	* buffers.texi (Uniquify),
	* frames.texi (Wheeled Mice),
	* killing.texi (Rectangles): Wording to improve breaks in
	8.5x11 format.
	* mule.texi (Language Environments): \hbadness=10000 since there's
	no way to reword.
	* emacs.texi (smallbook): New @set to more easily switch between
	smallbook and 8.5x11.

2007-04-11  Richard Stallman  <rms@gnu.org>

	* files.texi (File Conveniences): Add xref to Tumme.
	Delete text about Thumbnail mode.

2007-04-09  Alan Mackenzie  <acm@muc.de>

	* cmdargs.texi (Initial Options): Call "inhibit-splash-screen" by its
	new name.  Insert concept index entries.

2007-04-08  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Standard Faces): Document prefix arg for
	list-faces-display.

	* rmail.texi (Rmail Scrolling): Document rmail-end-of-message.

2007-04-07  Chong Yidong  <cyd@stupidchicken.com>

	* killing.texi (Deletion): Rewrite description of M-\ prefix argument.

	* files.texi (Misc File Ops): Rewrite description of
	insert-file-literally.

2007-03-31  Eli Zaretskii  <eliz@gnu.org>

	* misc.texi (Printing): Postscript -> PostScript.

	* ack.texi (Acknowledgments): Postscript -> PostScript.

	* custom.texi (Init File, Init Non-ASCII): Fix last change.

	* emacs.texi (Top): Fix the menu due to the change in custom.texi
	below.

2007-03-30  Chong Yidong  <cyd@stupidchicken.com>

	* custom.texi (Non-ASCII Rebinding): Node deleted.  Material moved to
	Init Non-ASCII.
	(Init Rebinding, Init Syntax): Link to Init Non-ASCII instead.
	(Init Non-ASCII): New node.

2007-03-28  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* macos.texi (Mac Font Specs): Mention AppleAntiAliasingThreshold.

2007-03-12  Glenn Morris  <rgm@gnu.org>

	* calendar.texi, emacs.texi (Daylight Saving): Rename node from
	"Daylight Savings".

	* calendar.texi: Replace "daylight savings" with "daylight
	saving" in text throughout.

2007-03-04  Richard Stallman  <rms@gnu.org>

	* custom.texi (Safe File Variables): Minor correction.

2007-02-28  Thien-Thi Nguyen  <ttn@gnu.org>

	* rmail.texi (Movemail): Add internal ref.
	Don't indent the intro for the PROTO table.
	Format PROTO table items with @code.

2007-02-26  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi: Remove references to bashdb.

2007-02-19  Juanma Barranquero  <lekktu@gmail.com>

	* mule.texi (Language Environments): Update list of supported language
	environments.

2007-02-14  Kim F. Storm  <storm@cua.dk>

	* building.texi (Grep Searching): Fix lgrep doc.

2007-02-12  Chong Yidong  <cyd@stupidchicken.com>

	* back.texi: Remove unused file.

2007-02-05  Francesco Potortì  <pot@gnu.org>

	* maintaining.texi (Tag Syntax): Now --members is the default for
	etags, not for ctags yet.

2007-02-03  Eli Zaretskii  <eliz@gnu.org>

	* emacs.texi (Top): Update the top-level menus.  Make the detailed menu
	headers compliant with Texinfo guidelines and with what texnfo-upd.el
	expects.  Add comments to prevent people from inadvertently modifying
	the key parts needed by `texinfo-multiple-files-update'.

2007-01-29  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Secondary Selection): Window clicked does not matter
	when mouse-yank-at-point is non-nil.

2007-01-27  Eli Zaretskii  <eliz@gnu.org>

	* msdog.texi (ls in Lisp): Document ls-lisp-format-time-list and
	ls-lisp-use-localized-time-format.

2007-01-16  Glenn Morris  <rgm@gnu.org>

	* abbrevs.texi (Editing Abbrevs): Describe how to disable a
	system abbrev.

2007-01-11  Richard Stallman  <rms@gnu.org>

	* msdog.texi (Windows Keyboard): Another small cleanup.

2007-01-10  Richard Stallman  <rms@gnu.org>

	* msdog.texi (Windows Keyboard): Yet another try to make
	everyone happy with that passage.

2007-01-05  Richard Stallman  <rms@gnu.org>

	* anti.texi (Antinews): Mention M-x shell scrolling.

2007-01-05  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Watch Expressions): Describe gdb-max-children.

2007-01-04  Richard Stallman  <rms@gnu.org>

	* msdog.texi (Windows Keyboard): Clarify previous change.

2007-01-02  Richard Stallman  <rms@gnu.org>

	* custom.texi (Changing a Variable): Minor clarification.
	(Specific Customization): customize-customized => customize-unsaved.

	* entering.texi (Entering Emacs): Clean up text about restarting
	Emacs for each file.

	* misc.texi (Shell Options): Minor cleanup.

	* msdog.texi (Windows Keyboard): Explain that Windows was incompatible
	with Emacs, not vice versa.

	* programs.texi (Symbol Completion): Recommend customizing
	window manager.

	* xresources.texi (Resources): Minor fix.

2007-01-01  Jan Djärv  <jan.h.d@swipnet.se>

	* xresources.texi (Table of Resources): Add scrollBarWidth resource.

2007-01-01  Richard Stallman  <rms@gnu.org>

	* commands.texi (User Input): Document keys stolen by window mangers.

2006-12-31  Richard Stallman  <rms@gnu.org>

	* custom.texi (Specific Customization): Document customize-option
	instead of customize-variable.

2006-12-31  Kim F. Storm  <storm@cua.dk>

	* major.texi (Choosing Modes): Document auto-mode-case-fold.

2006-12-30  Kim F. Storm  <storm@cua.dk>

	* killing.texi (CUA Bindings): Fix typo.

	* xresources.texi (Table of Resources): Mention grow-only value for
	auto-resize-tool-bars.

2006-12-27  Eli Zaretskii  <eliz@gnu.org>

	* msdog.texi (Windows Keyboard): Mention widespread Windows bindings,
	and how to get them back.

2006-12-26  Richard Stallman  <rms@gnu.org>

	* calendar.texi (Holidays): Holiday listing is based on current
	practice, but DST is not.

2006-12-25  Richard Stallman  <rms@gnu.org>

	* emacs.texi (Top): Update subnode menus.

	* mark.texi (Transient Mark): Fix xref.

	* killing.texi (Graphical Kill): Node deleted.
	(Killing): Add xref to Cut and Paste.
	(CUA Bindings): Update xref.

	* frames.texi (Cut and Paste): New section to hold other nodes.
	(Mouse Commands): Node demoted.
	(Cut/Paste Other App): Split out from Mouse Commands.
	(Word and Line Mouse): Likewise.
	(Secondary Selection, Clipboard): Nodes demoted.

2006-12-24  Kevin Ryde  <user42@zip.com.au>

	* calendar.texi (Holidays): US daylight saving begins second Sunday
	in March for 2007 onwards.
	(Daylight Savings): Show new US default daylight saving rules, 2nd
	Sun in Mar to 1st Sun in Nov, now in cal-dst.el.

2006-12-23  Chong Yidong  <cyd@stupidchicken.com>

	* calendar.texi (Scroll Calendar): < and > are switched.

2006-12-23  Kevin Rodgers  <ihs_4664@yahoo.com>

	* killing.texi (Deletion): Describe M-\ prefix argument.

2006-12-23  Richard Stallman  <rms@gnu.org>

	* search.texi (Regexp Search): Explain why forward and reverse regexp
	search are not mirror images.

2006-12-19  Kim F. Storm  <storm@cua.dk>

	* major.texi (Choosing Modes): Describe match-function elements for
	magic-mode-alist.

2006-12-18  Eli Zaretskii  <eliz@gnu.org>

	* msdog.texi (Windows Keyboard): Add a footnote about "Windows" keys
	peculiarities.

2006-12-18  Richard Stallman  <rms@gnu.org>

	* abbrevs.texi (Editing Abbrevs): Fix previous change.

2006-12-17  Alan Mackenzie  <acm@muc.de>

	* programs.texi (Left Margin Paren): Remove the bit which says
	that CC Mode sets open-paren-in-column-0-is-defun-start to nil.
	Discuss some of the issues of setting this option to nil.

2006-12-17  Glenn Morris  <rgm@gnu.org>

	* abbrevs.texi (Editing Abbrevs): Mention system abbrevs.

2006-12-16  Eli Zaretskii  <eliz@gnu.org>

	* msdog.texi (Windows Keyboard): Clarify `w32-recognize-altgr' effect.
	(Windows Files): `w32-get-true-file-attributes' is only relevant for
	NTFS volumes.
	(ls in Lisp): `links' in `ls-lisp-verbosity' is only relevant to NTFS
	volumes.

2006-12-15  Eli Zaretskii  <eliz@gnu.org>

	* text.texi (HTML Mode): Fix "C-c TAB".

2006-12-09  Richard Stallman  <rms@gnu.org>

	* misc.texi (Invoking emacsclient): Simplify TCP file text.

2006-12-08  Kevin Rodgers  <ihs_4664@yahoo.com>

	* files.texi (Misc File Ops): Document insert-file-literally.

2006-12-08  Eli Zaretskii  <eliz@gnu.org>

	* cmdargs.texi (Colors): Note that --color is intended for overriding
	the terminal defaults, not for normal invocation.

	* misc.texi (Emacs Server): Improve wording.  Don't mention the
	``server program''.  Add a cross-reference to "Init File" node.
	(Invoking emacsclient): Add index entries.  Document both short and
	long versions of command-line options.  Document the -f option.

2006-12-06  Richard Stallman  <rms@gnu.org>

	* text.texi (Outline Format): Say to set outline-regexp
	and outline-level with major modes and file local variables.

2006-12-05  Michaël Cadilhac  <michael.cadilhac@lrde.org>

	* anti.texi (Antinews): Mention the alternative to
	`~/.emacs_SHELLNAME', which is `~/.emacs.d/init_SHELLNAME.sh'.

	* misc.texi (Interactive Shell): Ditto.

2006-12-04  Eli Zaretskii  <eliz@gnu.org>

	* emacs.texi (Acknowledgments): Fix Arne J@o{}rgensen's name.

	* ack.texi (Acknowledgments): Fix Arne J@o{}rgensen's name.

2006-12-01  Eli Zaretskii  <eliz@gnu.org>

	* mule.texi (Enabling Multibyte): Rephrase the confusing reference to a
	colon in the mode line.

	* msdog.texi (Windows Processes) [@ifnottex]: Mention w32-shell-execute.

2006-11-26  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Watch Expressions): Mention SPC for expanding/
	contracting watch expressions.

2006-11-26  Kim F. Storm  <storm@cua.dk>

	* kmacro.texi (Basic Keyboard Macro): Mention F3/F4 more.

2006-11-26  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Debugger Operation): Define text command mode.
	Clarify how tooltips work.
	(GDB Graphical Interface): Explain how to run in text command mode
	more clearly.

2006-11-25  Juanma Barranquero  <lekktu@gmail.com>

	* mule.texi (Defining Fontsets): Fix use of `charset' and `font'.

2006-11-22  Juanma Barranquero  <lekktu@gmail.com>

	* anti.texi (Antinews): Mention --server-file and TCP sockets.

2006-11-18  Chong Yidong  <cyd@stupidchicken.com>

	* misc.texi (Interactive Shell): INSIDE_EMACS is set to t,
	and EMACS is deprecated.

2006-11-18  Juanma Barranquero  <lekktu@gmail.com>

	* makefile.w32-in (emacs.dvi): Remove xresmini.texi.

2006-11-18  Jan Djärv  <jan.h.d@swipnet.se>

	* Makefile.in (emacs.dvi): Remove xresmini.texi.

	* emacs.texi: Include xresources.texi both for info and dvi.

	* xresources.texi: Merge text from xresmini.texi.

2006-11-12  Roberto Rodríguez  <lanubeblanca@googlemail.com>  (tiny change)

	* glossary.texi: Fix typos.

2006-11-06  Richard Stallman  <rms@gnu.org>

	* emacs.texi (Acknowledgments): Fix name spelling, add Anna Bigatti.

	* ack.texi (Acknowledgments): Fix name spelling.

2006-11-01  Juri Linkov  <juri@jurta.org>

	* search.texi (Word Search): Document incremental word search.

2006-10-28  Glenn Morris  <rgm@gnu.org>

	* ack.texi (Acknowledgments): Add cal-html author.

	* calendar.texi (Writing Calendar Files): Rename section (was "LaTeX
	Calendar").  Describe new package cal-html.
	* emacs.texi (Top): Rename old node "LaTeX Calendar" to "Writing
	Calendar Files."

2006-10-23  Richard Stallman  <rms@gnu.org>

	* abbrevs.texi (Expanding Abbrevs): Expansion happens only when
	Abbrev mode is enabled.

2006-10-16  Richard Stallman  <rms@gnu.org>

	* emacs.texi: Update ISBN.

2006-10-11  Kim F. Storm  <storm@cua.dk>

	* emacs.texi (Acknowledgments): Use @dotless{i}.

2006-10-08  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Breakpoints Buffer): Mention catchpoints.

2006-10-08  Kim F. Storm  <storm@cua.dk>

	* ack.texi (Acknowledgments): Update.

	* emacs.texi (Acknowledgments): Fix bad @/ form.

2006-10-05  Kim F. Storm  <storm@cua.dk>

	* emacs.texi (Acknowledgments): Add more contributors.

2006-10-03  Richard Stallman  <rms@gnu.org>

	* emacs.texi (Acknowledgments): Update version and edition.

2006-10-01  Karl Berry  <karl@gnu.org>

	* custom.texi (Customization Groups): Page break to keep example buffer
	on one page.

2006-09-30  Karl Berry  <karl@gnu.org>

	* programs.texi (Basic Indent): @need to improve page break.
	* text.texi: Rewording to improve page breaks, and use @LaTeX{}.

2006-09-29  Glenn Morris  <rgm@gnu.org>

	* calendar.texi (Date Formats): Doc fix for european-calendar-style.

2006-09-29  Karl Berry  <karl@gnu.org>

	* windows.texi (Basic Window): Remove forced @break, no longer
	desirable.
	* frames.texi (Frame Commands),
	* mark.texi (Marking Objects): Reword to avoid bad page break.
	* display.texi (Auto Scrolling): Use @tie{} to avoid bad line break.

2006-09-19  Richard Stallman  <rms@gnu.org>

	* frames.texi (Dialog Boxes): Clean up wording: avoid passive,
	stick to present tense.

2006-09-18  Jan Djärv  <jan.h.d@swipnet.se>

	* frames.texi (Dialog Boxes): Rename x-use-old-gtk-file-dialog
	to x-gtk-use-old-file-dialog.
	(Dialog Boxes): Document x-gtk-file-dialog-help-text.

2006-09-15  Jay Belanger  <belanger@truman.edu>

	* emacs.texi (GNU GENERAL PUBLIC LICENSE):
	Change "Library Public License" to "Lesser Public License"
	throughout.  Use "yyyy" to represent year.

2006-09-12  Paul Eggert  <eggert@cs.ucla.edu>

	* misc.texi (Interactive Shell): EMACS is now set
	to Emacs's absolute file name, not to "t".

2006-09-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* files.texi (Visiting): Add index entry "open file".

2006-09-11  Richard Stallman  <rms@gnu.org>

	* building.texi (Compilation Mode): Clarification.
	(Grep Searching): Add xref to Compilation Mode.

2006-09-08  Richard Stallman  <rms@gnu.org>

	* search.texi (Search): Ref multi-file search commands here.
	(Other Repeating Search): Not here.

2006-08-28  Richard Stallman  <rms@gnu.org>

	* windows.texi (Split Window): Update xref.

	* basic.texi (Continuation Lines): Update xref.

	* indent.texi (Tab Stops): Update xref.

	* emacs.texi (Top): Update subnode menu.

	* display.texi (Line Truncation, Displaying Boundaries): New nodes,
	split out of Display Custom.

2006-08-25  Kim F. Storm  <storm@cua.dk>

	* display.texi (Display Custom): Add variables overline-margin
	and x-underline-at-descent-line.

2006-08-25  Richard Stallman  <rms@gnu.org>

	* entering.texi (Exiting): Rewrite to give graphical displays
	priority over text terminals.

	* search.texi (Incremental Search): Move index entries.

2006-08-23  Chong Yidong  <cyd@stupidchicken.com>

	* custom.texi (Init File): Reference Find Init to avoid "home
	directory" confusion.

2006-08-22  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Other GDB-UI Buffers): Describe how to edit
	a value in the locals buffer.

2006-08-21  Richard Stallman  <rms@gnu.org>

	* search.texi (Basic Isearch): Add `isearch' index entry.

2006-08-16  Richard Stallman  <rms@gnu.org>

	* misc.texi (Saving Emacs Sessions): Clean up wording.

	* mark.texi (Marking Objects): Mention term "select all".

	* emacs.texi (Top): Update subnode menu.

	* help.texi (Help Mode): Move node up in file.

2006-08-15  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Stack Buffer): Explain fringe arrow.

2006-08-12  Eli Zaretskii  <eliz@gnu.org>

	* misc.texi (Saving Emacs Sessions): Clarify when desktop is restored
	on startup.

2006-08-11  Romain Francoise  <romain@orebokech.com>

	* ack.texi (Acknowledgments): Delete mention to zone-mode.el.

2006-08-10  Sven Joachim  <svenjoac@gmx.de>  (tiny change)

	* mule.texi (Recognize Coding, Text Coding): Fix typos.

2006-08-10  Richard Stallman  <rms@gnu.org>

	* text.texi (Format Faces): Substantial rewrites to deal
	with face merging.  Empty regions don't count.
	Clarify face property inheritance.

2006-08-08  Romain Francoise  <romain@orebokech.com>

	* dired.texi (Marks vs Flags): Fix typo reported by Ari Roponen
	<arjuropo@cc.jyu.fi>.

2006-08-04  Eli Zaretskii  <eliz@gnu.org>

	* cmdargs.texi (Window Size X) <--geometry>: Only width and height
	apply to all frames.

2006-08-01  Richard Stallman  <rms@gnu.org>

	* help.texi (Name Help): Add index entries for describe-variable.

2006-08-01  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (GDB Graphical Interface): Shorten node names.
	(GDB-UI Layout): Use GDB-related.
	(Other GDB-UI Buffers): Simplify English.

2006-07-31  Richard Stallman  <rms@gnu.org>

	* search.texi (Query Replace): Add xref for Dired's Q command.

2006-07-31  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (GDB commands in Fringe): Rename to...
	(Source Buffers): ..this and move forward.  Describe hollow arrow and
	new option gdb-find-source-frame.

2006-07-29  Richard Stallman  <rms@gnu.org>

	* dired.texi (Operating on Files): Simplify previous change
	and fix Texinfo usage.

2006-07-29  Eli Zaretskii  <eliz@gnu.org>

	* dired.texi (Operating on Files): Add cross-references.  State the
	Unix commands that do similar things.

2006-07-28  Richard Stallman  <rms@gnu.org>

	* mark.texi (Transient Mark): Clarify that region never disappears
	when Transient Mark mode is off, and not when it is on.

2006-07-27  Richard Stallman  <rms@gnu.org>

	* search.texi (Non-ASCII Isearch): Clarify.  Mention C-q.

2006-07-24  Richard Stallman  <rms@gnu.org>

	* xresources.texi (GTK styles): Fix texinfo usage.

	* commands.texi (User Input): Explain why we teach keyboard cmds.

	* xresources.texi, xresmini.texi, search.texi, programs.texi:
	* misc.texi, kmacro.texi, killing.texi, glossary.texi:
	* fortran-xtra.texi, files.texi, emacs.texi, emacs-xtra.texi:
	* doclicense.texi, display.texi, dired.texi, basic.texi:
	* anti.texi, ack.texi: Move periods and commas inside quotes.

2006-07-22  Eli Zaretskii  <eliz@gnu.org>

	* cmdargs.texi (General Variables): Document EMAIL.

2006-07-21  Eli Zaretskii  <eliz@gnu.org>

	* frames.texi (Frame Commands): Mention that focus-follows-mouse
	doesn't have effect on MS-Windows.

2006-07-17  Richard Stallman  <rms@gnu.org>

	* building.texi (Grep Searching): Explain about chaining grep commands.

2006-07-10  Nick Roberts  <nickrob@snap.net.nz>

	* killing.texi, mini.texi: Fix typos.

2006-07-09  Chong Yidong  <cyd@stupidchicken.com>

	* misc.texi (Invoking emacsclient): Document behavior when emacsclient
	is invoked for multiple files.

2006-07-08  Eli Zaretskii  <eliz@gnu.org>

	* msdog.texi (Windows Keyboard) [@iftex]: Add an @inforef to the
	on-line manual for the rest of this node.
	(Windows Mouse) <w32-pass-extra-mouse-buttons-to-system>: Include
	unconditionally.
	(Windows Processes) <w32-quote-process-args>: Include unconditionally.
	Improve wording.
	(Windows Printing): Improve wording.
	(Windows Misc) [@iftex]: Add an @inforef to the on-line manual for the
	rest of this node.

2006-07-05  Thien-Thi Nguyen  <ttn@gnu.org>

	* building.texi (Lisp Eval): Throughout, replace eval-current-buffer
	with eval-buffer.

2006-07-05  Nick Roberts  <nickrob@snap.net.nz>

	* mule.texi (Coding Systems, Specify Coding): Link descriptions
	of character translation.

2006-07-04  Nick Roberts  <nickrob@snap.net.nz>

	* rmail.texi (Remote Mailboxes): Add missing @code keyword.

2006-07-03  Karl Berry  <karl@gnu.org>

	* emacs.texi (\hbadness): Set to 6000 so we aren't bothered by
	not-too-underfull hboxes in the TeX output.
	* abbrevs.texi, buffers.texi, building.texi, calendar.texi,
	* cmdargs.texi, custom.texi, dired.texi, macos.texi,
	* maintaining.texi, misc.texi, mule.texi, programs.texi, rmail.texi,
	* sending.texi, text.texi: Fix overfull/underfull boxes.

2006-07-03  Romain Francoise  <romain@orebokech.com>

	* m-x.texi (M-x): Fix.

2006-07-03  Richard Stallman  <rms@gnu.org>

	* search.texi (Other Repeating Search): filename -> file name.

	* misc.texi (Narrowing): Minor cleanups.

	* files.texi (Visiting): filename -> file name.

	* emacs.texi (Top): Update subnode menus.

	* mule.texi (Coding Systems): Move char translation stuff here.
	(Specify Coding, Output Coding): New nodes, out of Recognize Coding.
	(Recognize Coding): Substantial local rewrites.
	(International): Update menu.

	* display.texi (Auto Scrolling): New node, broken out of Scrolling.
	(Scrolling): Substantial local rewrites.
	(Display): Update menu and intro.

	* dired.texi: filename -> file name.

	* custom.texi (Safe File Variables): Texinfo usage fix.

2006-07-03  Teodor Zlatanov  <tzz@lifelogs.com>

	* help.texi, m-x.texi: Lots of cleanups.

2006-06-30  Eli Zaretskii  <eliz@gnu.org>

	* msdog.texi (ls in Lisp, Windows Keyboard, Windows Mouse)
	(Windows Processes, Windows Misc): Shorten the printed version by
	selectively conditioning less important portions by @ifnottex.

2006-06-27  Richard Stallman  <rms@gnu.org>

	* mini.texi (Minibuffer File): Minor cleanup.

2006-06-25  Nick Roberts  <nickrob@snap.net.nz>

	* frames.texi (XTerm Mouse): Rename to...
	(Text-Only Mouse): ...this.  Mention t-mouse-mode.

	* emacs.texi (Top): Use new node name.

2006-06-24  Eli Zaretskii  <eliz@gnu.org>

	* emacs.texi (Top): Update the detailed menu according to changes in
	msdog.texi.

	* msdog.texi (Windows Keyboard): New section.
	(Windows Mouse): New section.
	(Windows System Menu): Remove section (text merged with "Windows
	Keyboard").
	(Windows Misc): New section.

	* dired.texi (Dired Enter): Refer to msdog.texi for ls-lisp emulation.

	* msdog.texi (ls in Lisp): New section.

	* files.texi (Visiting): Document case-insensitive wildcard matching
	under find-file-wildcards.

2006-06-16  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* macos.texi (Mac Input): Add description of mac-function-modifier.
	Now Unicode keyboard layouts work.

2006-06-10  Richard Stallman  <rms@gnu.org>

	* mule.texi (Recognize Coding): Clarify previous change.

2006-06-09  Kenichi Handa  <handa@m17n.org>

	* mule.texi (Recognize Coding): Describe the convention of "CODING!"
	notation.

2006-06-07  Kevin Ryde  <user42@zip.com.au>

	* mule.texi (Coding Systems): Footnote xref "MS-DOS and MULE" in main
	manual for @ifnottex, but in emacs-extra for @iftex.

	* cmdargs.texi (General Variables): Fix smtpmail xref.

2006-05-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* programs.texi (Comment Commands):
	* custom.texi (Specifying File Variables):
	Use ;; instead of ;;; to better follow coding conventions.

2006-06-07  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Watch Expressions): Move node to end.
	(GDB Graphical Interface): Move description of clicks in fringe...
	(GDB commands in the Fringe): ...to here.  New node.

2006-06-05  Romain Francoise  <romain@orebokech.com>

	* xresmini.texi (GTK resources): Fix various typos.

2006-06-05  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (GDB Graphical Interface): Update bindings.
	(Commands of GUD): Add gud-print.  Remove gud-run.
	Restate availability more generally.

2006-06-03  Teodor Zlatanov  <tzz@lifelogs.com>

	* mini.texi: Lots of cleanups.

2006-06-01  Luc Teirlinck  <teirllm@auburn.edu>

	* misc.texi (Shell History Copying): Update descriptions of `C-c RET'
	and Mouse-2.

2006-06-01  Jan Djärv  <jan.h.d@swipnet.se>

	* screen.texi (Menu Bar): Change menu-bar-start to menu-bar-open.

2006-05-31  Richard Stallman  <rms@gnu.org>

	* basic.texi (Moving Point): Fix previous change.

2006-05-29  Jan Djärv  <jan.h.d@swipnet.se>

	* screen.texi (Menu Bar): F10 for Gtk+/Lesstif/Lucid menus.

2006-05-28  Teodor Zlatanov  <tzz@lifelogs.com>

	* basic.texi: Many simplifications and improvements in wording.

2006-05-26  Nick Roberts  <nickrob@snap.net.nz>

	* anti.texi (Antinews): Create a node for gdb-ui.

2006-05-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* frames.texi (Menu Bars, Tool Bars): Add index entries.

2006-05-20  Richard Stallman  <rms@gnu.org>

	* dired.texi (Dired Navigation): dired-goto-file is now j.

2006-05-20  Eli Zaretskii  <eliz@gnu.org>

	* mule.texi (Coding Systems): Mention the undecided-* coding systems
	and their aliases.

	* msdog.texi (Windows Printing): Mention non-support of plain text
	printing with some el-cheapo printers, and suggest a workaround.

2006-05-20  Kevin Ryde  <user42@zip.com.au>

	* text.texi (TeX Print): tex-dvi-view-command has a default value,
	remove the bit saying you must set it.

2006-05-19  Luc Teirlinck  <teirllm@auburn.edu>

	* trouble.texi (Checklist):
	* text.texi (Text, Auto Fill, Text Mode):
	* search.texi (Nonincremental Search):
	* rmail.texi (Rmail Labels):
	* mule.texi (Input Methods, Multibyte Conversion):
	* misc.texi (Gnus, Where to Look, PostScript):
	* maintaining.texi (Create Tags Table):
	* indent.texi (Indentation Commands):
	* fixit.texi (Spelling):
	* emacs.texi (Copying):
	* custom.texi (Init File): ifinfo -> ifnottex.

2006-05-17  Richard Stallman  <rms@gnu.org>

	* files.texi (Diff Mode): Mention C-x `.

2006-05-08  Richard Stallman  <rms@gnu.org>

	* custom.texi (Disabling): Textual cleanups.

2006-05-12  Glenn Morris  <rgm@gnu.org>

	* calendar.texi (Displaying the Diary, Format of Diary File):
	Refer to diary-view-entries, diary-list-entries,
	diary-show-all-entries rather than obsolete aliases.

2006-05-12  Eli Zaretskii  <eliz@gnu.org>

	* calendar.texi (Calendar/Diary, Holidays, Displaying the Diary)
	(Displaying the Diary, Special Diary Entries, Importing Diary):
	* building.texi (Compilation Shell):
	* buffers.texi (Several Buffers) [iftex]: Replace @xref's to
	emacs-xtra with @inforef's.

	* files.texi (Visiting): Fix wording.

	* mule.texi (Coding Systems, Text Coding): More indexing.
	Mention that C-x RET f can set eol conversion.

2006-05-07  Jan Djärv  <jan.h.d@swipnet.se>

	* xresmini.texi (GTK resources): Insert GTK description.

	* xresources.texi (GTK resources): metafont should be menufont.

2006-05-06  Michael Albinus  <michael.albinus@gmx.de>

	* mini.texi (Completion Options): Completion of remote files'
	method, user name and host name is active only in partial
	completion mode.

2006-05-06  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (emacs.dvi):
	* Makefile.in (emacs.dvi): Add xresmini.texi.

	* xresmini.texi (Table of Resources): Remove xref to non-existent
	node "LessTif Resources".

	* msdog.texi (Microsoft Windows):
	* calendar.texi (Calendar/Diary, Displaying the Diary)
	(Special Diary Entries, Importing Diary, Holidays):
	* programs.texi (Program Modes):
	* text.texi (Text):
	* buffers.texi (Several Buffers):
	* files.texi (Comparing Files): Fix cross-references to emacs-xtra.

2006-05-06  Eli Zaretskii  <eliz@gnu.org>

	The following changes merge the emacs-xtra manual into the main
	manual, but only for on-line version of the manual.

	* vc2-xtra.texi (Version Backups, Local Version Control)
	(Making Snapshots, Change Logs and VC, Version Headers)
	(Customizing VC, CVS Options) [ifnottex]: Conditional xref's for
	on-line manual.

	* vc1-xtra.texi (VC Dired Mode) [ifnottex]: Conditional xref's
	for on-line manual.

	* msdog-xtra.texi (MS-DOS, MS-DOS Keyboard, MS-DOS Mouse)
	(MS-DOS Display, MS-DOS File Names, MS-DOS Printing)
	(MS-DOS and MULE, MS-DOS Processes) [ifnottex]: Conditional xref's
	for on-line manual.

	* fortran-xtra.texi (Fortran, Fortran Autofill)
	(Fortran Autofill, Fortran Abbrev) [ifnottex]: Conditional xref's
	for on-line manual.

	* picture-xtra.texi (Basic Picture, Rectangles in Picture) [ifnottex]:
	Conditional xref's for on-line manual.

	* emerge-xtra.texi (Emerge, Overview of Emerge)
	(Fine Points of Emerge) [ifnottex]: Conditional xref's for on-line
	manual.

	* Makefile.in (INFO_TARGETS): Remove ../info/emacs-xtra.
	(EMACS_XTRA): New variable, lists the new *-xtra.texi files.
	(EMACSSOURCES): Use EMACS_XTRA.
	(../info/emacs-xtra): Remove.
	(emacs-xtra.dvi): Add EMACS_XTRA to prerequisites.

	* makefile.w32-in (INFO_TARGETS): Remove $(infodir)/emacs-xtra.
	(EMACS_XTRA): New variable, lists the new *-xtra.texi files.
	(EMACSSOURCES): Use EMACS_XTRA.
	($(infodir)/emacs-xtra): Remove.
	(emacs-xtra.dvi): Add EMACS_XTRA to prerequisites.

	* trouble.texi (Quitting):
	* text.texi (Text):
	* programs.texi (Program Modes):
	* msdog.texi (Microsoft Windows):
	* frames.texi (Frames):
	* files.texi (Backup, Version Control, VC Concepts)
	(Types of Log File, Advanced C-x v v, Log Buffer, Old Versions)
	(Registering, VC Status, VC Undo, Multi-User Branching)
	(Comparing Files):
	* calendar.texi (Calendar/Diary, Holidays, Displaying the Diary)
	(Displaying the Diary, Special Diary Entries, Importing Diary):
	* buffers.texi (Several Buffers): Replace inforef to emacs-xtra by
	conditional xref's, depending on @iftex/@ifnottex.

	* msdog.texi (Microsoft Windows) [ifnottex]: Add menu entry for
	"MS-DOS".  @include msdog-xtra.texi.

	* programs.texi (Programs) [ifnottex]: Add menu entry for "Fortran".
	<Top Level> [ifnottex]: @include fortran-xtra.texi.

	* files.texi (Secondary VC Commands) [ifnottex]: Add menu entries
	for vc-xtra.texi subsections.
	(VC Undo) [ifnottex]: @include vc1-xtra.texi and @lowersections it.
	(Multi-User Branching) [ifnottex]: @include vc2-xtra.texi.

	* sending.texi (Sending Mail): A @node line without explicit Prev,
	Next, and Up links.

	* abbrevs.texi (Abbrevs): A @node line without explicit Prev,
	Next, and Up links.

	* emacs.texi (Top) [ifnottex]: Add menu entries for "Picture Mode"
	and its sections.  @include picture-xtra.texi.

	* maintaining.texi (Maintaining) [ifnottex]: Add menu entry for
	"Emerge".
	(List Tags) [ifnottex]: @include emerge-xtra.texi.

	* cal-xtra.texi (Daylight Savings): Remove this node: it is an
	exact duplicate of its name-sake in calendar.texi.

	* calendar.texi (Calendar/Diary) [ifnottex]: Add menu item for
	"Advanced Calendar/Diary Usage".
	(Time Intervals) [ifnottex]: @include cal-xtra.texi.

	* dired.texi (Subdirectories in Dired) [ifnottex]: @include
	dired-xtra.texi.
	(Dired) [ifnottex]: Add menu entry for "Subdir Switches".

	* files.texi (Reverting) [ifnottex]: @include arevert-xtra.texi.
	(Files) [ifnottex]: Add menu entry for Autorevert.

	* emacs-xtra.texi (Introduction): Reword to make consistent with
	printed version only.
	<Top level>: Remove the body of all chapters and move them to the
	new *-xtra.texi files.  Use @raisesections and @lowersections to
	convert sections to chapters etc.

	* msdog-xtra.texi:
	* fortran-xtra.texi:
	* vc-xtra.texi:
	* vc1-xtra.texi:
	* vc2-xtra.texi:
	* emerge-xtra.texi:
	* cal-xtra.texi:
	* dired-xtra.texi:
	* arevert-xtra.texi: New files, with text from respective chapters
	of emacs-xtra.texi.  Convert each @chapter into @section, @section
	into @subsection, etc.

	* emacs-xtra.texi (MS-DOS): Rename from "MS-DOG".  All references
	updated.

	* msdog.texi (Microsoft Windows): Rename from "Emacs and Microsoft
	Windows".  All references updated.

2006-05-06  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* macos.texi (Mac Input): Mention input from Character Palette.
	(Mac Font Specs): Fix typo.

2006-05-05  Richard Stallman  <rms@gnu.org>

	* files.texi (Diff Mode): Minor cleanup.

2006-05-05  Karl Berry  <karl@gnu.org>

	* emacs.texi: Call @fonttextsize 10, inside @tex to avoid
	errors from the current release of makeinfo (4.8).
	* help.texi (Library Keywords): Change widest word in multitable
	template from `emulations' to `convenience'.  (Not sure if this is
	related to the font change.)

2006-05-05  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (File Names): Add a footnote about limited support of
	~USER on MS-Windows.

	* cmdargs.texi (Initial Options): Add a footnote about limited
	support of ~USER on MS-Windows.

2006-05-03  Richard Stallman  <rms@gnu.org>

	* files.texi (Diff Mode): Node moved here.
	(Comparing Files): Delete what duplicates new node.
	(Files): Put Diff Mode in menu.

	* misc.texi (Diff Mode): Move to files.texi.

	* emacs.texi (Top): Update menu for Diff Mode.

	* trouble.texi (Emergency Escape): Simplify.

	* emacs.texi (Top): Minor clarification.

2006-05-03  Teodor Zlatanov  <tzz@lifelogs.com>

	* commands.texi, entering.texi, screen.texi: Many simplifications.

2006-05-03  Richard Stallman  <rms@gnu.org>

	* commands.texi (Text Characters): Delete paragraph about unibyte
	non-ASCII printing chars.

	* killing.texi (Killing): Say "graphical displays".
	* display.texi: Say "graphical displays".

	* cmdargs.texi (Misc X): Say "graphical displays".

2006-05-01  Richard Stallman  <rms@gnu.org>

	* emacs.texi (Top): Add Diff Mode to menu.

2006-05-01  Aaron S. Hawley  <Aaron.Hawley@uvm.edu>

	* misc.texi (Diff Mode): New node.

2006-05-01  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* macos.texi (Mac International): Now Carbon Emacs has ATSUI support.
	(Mac Environment Variables): Shorten example line.
	(Mac Font Specs): Shorten lisp lines.  Add descriptions for ATSUI.

2006-05-01  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (GUD Customization): Describe cases %d and %c.
	Update description for %e.

2006-04-30  Glenn Morris  <rgm@gnu.org>

	* calendar.texi (LaTeX Calendar): Mention cal-tex-preamble-extra.

2006-04-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* custom.texi (Examining): Update C-h v output example.

2006-04-29  Kim F. Storm  <storm@cua.dk>

	* building.texi (Grep Searching): Add lgrep and rgrep.

2006-04-23  Richard Stallman  <rms@gnu.org>

	* emacs.texi [TeX]: Use xresmini.texi instead of xresources.texi.

	* xresmini.texi: New file.

	* xresources.texi (Face Resources): Split table into font resources
	and the rest.  Combine similar attributes for brevity.

2006-04-21  Eli Zaretskii  <eliz@gnu.org>

	* emacs-xtra.texi (MS-DOS File Names): Remove section about
	backslashes and case-insensitivity in file names (moved to the
	main manual).
	(MS-DOS Printing): Move most of the text to the main manual.

	* msdog.texi (Windows Files, Windows HOME, MS-Windows Printing):
	New nodes.
	(Windows Processes, Windows System Menu): Add index entries and
	fix wording.

2006-04-18  J.D. Smith  <jdsmith@as.arizona.edu>

	* misc.texi (Shell Ring): Add notes on saved input when
	navigating off the end of the history list.

2006-04-18  Chong Yidong  <cyd@mit.edu>

	* misc.texi (Shell Options): Correct default value of
	comint-scroll-show-maximum-output.

2006-04-18  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Watch Expressions): Update.

2006-04-12  Richard Stallman  <rms@gnu.org>

	* search.texi: Clean up previous change.

2006-04-12  Eli Zaretskii  <eliz@gnu.org>

	* search.texi (Regexp Backslash, Regexp Replace): Add index
	entries for ``back reference'' and mention the term itself in the
	text.

2006-04-11  Richard Stallman  <rms@gnu.org>

	* custom.texi (Safe File Variables):
	Document enable-local-variables = :safe.

2006-04-11  Karl Berry  <karl@gnu.org>

	* emacs-xtra.texi, emacs.texi (Dired under VC, VC Dired Commands)
	(Remote Repositories, Version Backups, Local Version Control)
	(Snapshots, Making and Using Snapshots, Snapshot Caveats)
	(Miscellaneous Commands and Features of VC, Change Logs and VC)
	(Renaming VC Work Files and Master Files)
	(Inserting Version Control Headers, Customizing VC, General Options)
	(Options for RCS and SCCS, Options specific for CVS): Move all
	these nodes to emacs-xtra.texi, for brevity.
	* cmdargs.texi, files.texi: Change cross-references.

2006-04-11  J.D. Smith  <jdsmith@as.arizona.edu>

	* files.texi (Old Versions): Update description of vc-annotate's
	use of color to indicate date ranges.

2006-04-09  Kevin Ryde  <user42@zip.com.au>

	* sending.texi (Mail Sending): In send-mail-function @pxref smtpmail,
	put info and printed manual names the right way around.

2006-04-09  Karl Berry  <karl@gnu.org>

	* msdog.texi, emacs-xtra.texi: Move all the MS-DOS material to
	emacs-xtra.texi, leaving only MS Windows information.
	* building.texi, emacs.texi, frames.texi, gnu.texi, macos.texi,
	* msdog.texi, mule.texi, trouble.texi: Change cross-references and
	node names.

	* emacs.texi: Move @summarycontents and @contents to the beginning
	of the file.

2006-04-08  Kevin Ryde  <user42@zip.com.au>

	* text.texi (Fill Commands): fill-nobreak-predicate is now a hook.

2006-04-07  Richard Stallman  <rms@gnu.org>

	* programs.texi (Comments, Comment Commands, Options for Comments)
	(Multi-Line Comments): "Align", not "indent".
	(Basic Indent): C-j deletes trailing whitespace before the newline.

2006-04-06  Richard Stallman  <rms@gnu.org>

	* programs.texi (Basic Indent): Clarify relationship of C-j to TAB.

2006-04-06  Eli Zaretskii  <eliz@gnu.org>

	* killing.texi (Rectangles): Add index entry for marking a rectangle.

2006-04-05  Richard Stallman  <rms@gnu.org>

	* emacs.texi (Top): Update subnode menu.

	* trouble.texi (Unasked-for Search): Node deleted.
	(Lossage): Delete from menu.

2006-04-04  Richard Stallman  <rms@gnu.org>

	* trouble.texi: Various cleanups.
	(Checklist): Don't bother saying how to snail a bug report.
	(Emergency Escape): Much rewriting.
	(After a Crash): Rename the core dump immediately.
	(Total Frustration): Call it a psychotherapist.
	(Bug Criteria): Avoid "illegal instruction".
	(Sending Patches): We always put the contributor's name in.

	* misc.texi (Thumbnails): Minor correction.

2006-04-03  Richard Stallman  <rms@gnu.org>

	* misc.texi (Thumbnails): Minor cleanup.

2006-04-02  Karl Berry  <karl@gnu.org>

	* sending.texi (Mail Sending): pxref to Top needs five args.

2006-03-31  Richard Stallman  <rms@gnu.org>

	* emacs.texi (Top): Update subnode menu.

	* help.texi (Help Mode): Cleanup.

	* dired.texi: Many cleanups.
	(Dired Deletion): Describe dired-recursive-deletes.
	(Operating on Files): dired-create-directory moved.
	(Misc Dired Features): Move to here.
	(Tumme): Node moved to misc.texi.

	* custom.texi: Many cleanups.
	(Minor Modes): Don't mention ISO Accents Mode.
	(Examining): Update C-h v output example.
	(Hooks): Add index and xref for add-hook.
	(Locals): Delete list of vars that are always per-buffer.  Rearrange.
	(Local Keymaps): Don't mention lisp-mode-map, c-mode-map.

	* misc.texi: Many cleanups.
	(beginning): Add to summary of topics.
	(Shell): Put eshell xref at the end.  Remove eshell from table.
	(Thumbnails): New node.

2006-03-28  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (File Name Cache): Make it clear that the cache is
	not persistent.

2006-03-25  Karl Berry  <karl@gnu.org>

	* emacs-xtra.texi, emacs.texi, gnu.texi:
	(1) use @copyright{} instead of (C) in typeset text;
	(2) do not indent copyright year list (or anything else).

2006-03-21  Juanma Barranquero  <lekktu@gmail.com>

	* files.texi (VC Dired Mode): Remove misplaced brackets.

2006-03-21  Andre Spiegel  <spiegel@gnu.org>

	* files.texi: Various updates and clarifications in the VC chapter.

2006-03-19  Luc Teirlinck  <teirllm@auburn.edu>

	* help.texi (Help Mode): Document "C-c C-c".

2006-03-16  Luc Teirlinck  <teirllm@auburn.edu>

	* emacs-xtra.texi (Top): Avoid ugly continuation line in
	menu in the standalone Info reader.

2006-03-15  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-xtra.texi (Emerge, Picture Mode, Fortran): New chapters,
	moved here from Emacs manual.

	* programs.texi (Fortran): Section moved to emacs-xtra.
	(Program Modes): Xref to Fortran in emacs-xtra.

	* maintaining.texi (Emerge): Move to emacs-xtra.
	* files.texi (Comparing Files): Xref to Emerge in emacs-xtra.

	* picture.texi: File deleted.
	* Makefile.in:
	* makefile.w32-in: Remove picture.texi.

	* text.texi (Text): Xref to Picture Mode in emacs-xtra.
	* abbrevs.texi (Abbrevs):
	* sending.texi (Sending Mail): Picture node removed.

	* emacs.texi (Top): Update node listings.

2006-03-12  Richard Stallman  <rms@gnu.org>

	* calendar.texi: Various cleanups.

2006-03-11  Luc Teirlinck  <teirllm@auburn.edu>

	* search.texi (Regexps): Use @samp for regexp that is not in Lisp
	syntax.

2006-03-08  Luc Teirlinck  <teirllm@auburn.edu>

	* search.texi (Regexps): More accurately describe which characters
	are special in which situations.  Recommend _not_ to quote `]' or
	`-' when they are not special.

2006-02-28  Andre Spiegel  <spiegel@gnu.org>

	* files.texi (Old Versions): Clarify operation of C-x v =.

2006-02-21  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Watch Expressions): Update and describe
	gdb-speedbar-auto-raise.

2006-02-19  Richard M. Stallman  <rms@gnu.org>

	* emacs.texi: Use @smallbook.
	(Top): Update ref to Emacs paper, delete ref to Cookbook.
	Update subnode menu.

	* building.texi (Lisp Interaction): Minor addition.

2006-02-18  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Watch Expressions): Update and be more precise.

2006-02-15  Francesco Potortì  <pot@gnu.org>

	* maintaining.texi (Create Tags Table): Explain why the
	exception when etags writes to files under the /dev tree.

2006-02-14  Richard M. Stallman  <rms@gnu.org>

	* custom.texi (Safe File Variables): Lots of clarification.
	Renamed from Unsafe File Variables.

2006-02-14  Chong Yidong  <cyd@stupidchicken.com>

	* custom.texi (Unsafe File Variables): File variable confirmation
	assumed denied in batch mode.

2006-02-14  Richard M. Stallman  <rms@gnu.org>

	* building.texi (GDB User Interface Layout): Don't say `inferior'
	for program being debugged.

2006-02-15  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (GDB Graphical Interface):
	Replace gdb-use-inferior-io-buffer with gdb-use-separate-io-buffer.

2006-02-13  Chong Yidong  <cyd@stupidchicken.com>

	* custom.texi (Specifying File Variables, Unsafe File Variables):
	New nodes, split from File Variables.  Document new file local
	variable behavior.

2006-02-13  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* display.texi (Standard Faces):
	* files.texi (Visiting):
	* frames.texi (Clipboard):
	* glossary.texi (Glossary) <Clipboard>:
	* xresources.texi (X Resources): Mention Mac OS port.

2006-02-12  Richard M. Stallman  <rms@gnu.org>

	* building.texi (Building): Clarify topic in intro.

	* maintaining.texi (Maintaining): Change title; clarify topic.
	Delete duplicate index entries.

	* building.texi (Other GDB User Interface Buffers): Clarifications.

	* text.texi (Cell Commands): Clarifications.

	* programs.texi (Defuns): Delete duplicate explanation of
	left-margin paren convention.
	(Hungry Delete): Minor cleanup.

2006-02-11  Mathias Dahl  <mathias.dahl@gmail.com>

	* dired.texi (Tumme): More tumme documentation.

2006-02-11  Alan Mackenzie  <acm@muc.de>

	* programs.texi ("Hungry Delete"): Correct the appellation of the
	backspace and delete keys to @kbd{DEL} and @kbd{DELETE}.

2006-02-11  Mathias Dahl  <mathias.dahl@gmail.com>

	* dired.texi (Tumme): Fix small bug.

2006-02-10  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* macos.texi (Mac International): Rename "fontset-mac" to
	"fontset-standard".

2006-02-09  Mathias Dahl  <mathias.dah@gmail.com>

	* dired.texi (Tumme): Basic documentation for Tumme added.

2006-02-07  Luc Teirlinck  <teirllm@auburn.edu>

	* mule.texi (International):
	* programs.texi (Basic Indent): Fix typos.

	* custom.texi (Minor Modes):
	* display.texi (Text Display):
	* commands.texi (Text Characters): Update xrefs.

2006-02-07  Richard M. Stallman  <rms@gnu.org>

	* emacs.texi (Top): Update subnode menu.
	Update info on old Emacs papers.
	(Intro): "Graphical display", not window system.

	* xresources.texi (GTK styles): Minor clarifications.

	* trouble.texi: "Graphical display", not window system.
	(Stuck Recursive): Minor clarification.

	* text.texi: Minor clarifications.
	(Sentences): Explain why two-space convention is better.
	Explain sentence-end-without-period here.
	(Fill Commands): Not here.
	(Refill): Node moved down.
	(Filling): Update menu.
	(Table Creation, Cell Justification, Column Commands): Clarify.

	* sending.texi: Minor clarifications.

	* search.texi (Regexp Backslash): Clarification.

	* rmail.texi: Minor cleanups.
	(Rmail): Delete digression about `rmail-mode'.
	(Rmail Inbox): Delete false advice wrt rmail-primary-inbox-list.
	(Rmail Files): Mention C-u M-x rmail.
	(Rmail Reply): Mention References.
	(Rmail Display): Mention rmail-nonignored-headers.

	* programs.texi: Minor cleanups.
	(Comment Commands): Mention momentary Transient Mark mode.
	(Matching): Be more specific about customizing show-paren-mode.
	(Info Lookup): Don't list the modes that support C-h S.
	Just say what it does in an unsupported mode.
	(Man Page): Delete excessive info on customizing woman.
	(Motion in C): Don't mention c-for/backward-into-nomenclature.

	* abbrevs.texi: Minor clarifications.
	(Dabbrev Customization): Talk about "dynamic abbrev expansion",
	not "dynamic abbrevs" as if they were a kind of abbrev.

	* picture.texi (Picture): Minor cleanup.

	* mule.texi (Communication Coding): Say "other applications".
	(Fontsets): Not specific to X.  Add xref to X Resources.
	(Unibyte Mode): Rename from Single-Byte Character Support.
	"Graphical display", not window system.
	(International): Update menu.

	* maintaining.texi (Format of ChangeLog):
	New node, split out from ChangeLog.
	(ChangeLog): Clarifications in the remaining text.
	(Create Tags Table, Etags Regexps, Select Tags Table): Cleanups.
	(Find Tag): Add @w.
	(Tags Search): Explain tag table order here.  Simplify grep ref.
	(List Tags): tags-tag-face is a variable, not a face.
	(Emerge): Cleanups.

	* kmacro.texi (Keyboard Macro Counter): Rewrite for clarity.
	(Keyboard Macros): Avoid "the user".

	* killing.texi: "Graphical display", not window system.

	* help.texi (Help Echo): "Graphical display", not window system.

	* glossary.texi: Say "you", not "the user".  Say "graphical display".

	* frames.texi: Minor cleanups.  "Graphical display", not window system.

	* files.texi (Visiting): Make drag-and-drop not X-specific.

	* custom.texi: Minor cleanups.  "Graphical display", not window system.

	* cmdargs.texi: Minor cleanups.

	* building.texi (Compilation): Move and split kill-compilation para.
	Add para about multiple compilers.
	(Compilation Mode): Commands also available in grep mode and others.
	Mention C-u C-x ` more tutorially.  Clarify C-x `.
	(Compilation Shell): Clarify.  Put Bash example first.
	(Grep Searching): Minor cleanups; add @w.
	(Debuggers): Minor cleanups.
	(Starting GUD): Make GDB xgraphical mode issue clearer.
	(Debugger Operation): Lots of clarifications including
	GDB tooltip side-effect issue.
	(Commands of GUD): Clarify.
	(GUD Customization): Add bashdb-mode-hook.
	(GDB Graphical Interface): Rewrite for clarity.
	(GDB User Interface Layout): Rewrite for clarity.
	(Stack Buffer, Watch Expressions): Likewise.
	(Other GDB User Interface Buffers): Cleanups.
	(Lisp Libraries, External Lisp): Cleanup.

	* basic.texi (Position Info): "Graphical displays", rather than
	window systems.

	* anti.texi: Minor cleanup.

2006-02-03  Eli Zaretskii  <eliz@gnu.org>

	* custom.texi (Init File, Find Init): Add cross-references to
	where $HOME is described.

2006-02-01  Luc Teirlinck  <teirllm@auburn.edu>

	* frames.texi (Frame Parameters): Remove @item for S-Mouse-1; it
	is not inside the @table.

	* emacs.texi (Top): Correct node name.

	* files.texi (File Names): Fix @xref.
	(Reverting): Fix typo.

	* mule.texi (International): Correct node name.

	* kmacro.texi (Save Keyboard Macro): Add missing @kbd to @table.

2006-02-01  Richard M. Stallman  <rms@gnu.org>

	* emacs.texi (Top): Update subnode menu.

	* mule.texi: Minor clarifications.
	Reduce the specific references to X Windows.
	Refer to "graphical" terminals, rather than window systems.
	(Text Coding): Rename from Specify Coding.
	(Communication Coding, File Name Coding, Terminal Coding):
	New nodes split out from Text Coding.

	* kmacro.texi: Minor clarifications.
	(Keyboard Macro Ring): Comment out some excessive commands.
	(Basic Keyboard Macro): Split up the table, putting part in each node.

	* major.texi: Minor clarifications.

	* misc.texi (Single Shell, Interactive Shell): Fix xrefs.

	* windows.texi: Minor clarifications.
	(Change Window): Don't describe mode-line mouse cmds here.
	Add xref to Mode Line Mouse.

	* msdog.texi (Text and Binary, MS-DOS and MULE): Fix xrefs.

	* macos.texi (Mac International): Fix xref.

	* indent.texi: Minor clarifications.

	* frames.texi: Minor clarifications.
	Reduce the specific references to X Windows.
	Refer to "graphical" terminals, rather than window systems.
	(Frame Parameters): Don't mention commands like
	set-foreground-color.  Just say to customize a face.
	(Drag and Drop): Lisp-level stuff moved to Emacs Lisp manual.

	* files.texi: Minor clarifications.
	(Numbered Backups): New node, split out from Backup Names.

	* display.texi (Font Lock): C mode no longer depends on (-in-col-0.

	* cmdargs.texi (General Variables): Fix xref.

	* buffers.texi: Minor clarifications.

2006-01-31  Richard M. Stallman  <rms@gnu.org>

	* display.texi (Scrolling, Horizontal Scrolling, Follow Mode):
	Nodes moved to top.

	* display.texi: Minor clarifications.
	(Display): Rearrange menu.
	(Standard Faces): Mention query-replace face.
	(Faces): Simplify.
	(Font Lock): Simplify face customization info.
	(Highlight Changes): Node merged into Highlight Interactively.
	(Highlight Interactively): Much rewriting and cleanup.
	(Optional Mode Line): Narrowed line number not good for goto-line.
	Simplify face customization advice.
	(Text Display): Mention use of escape-glyph face.
	Move ctl-arrow and tab-width here.
	(Display Custom): Move no-redraw-on-reenter to end of node.

	* search.texi: Minor clarifications.
	(Isearch Scroll): Simplify.
	(Other Repeating Search): Document multi-occur-in-matching-buffers.

	* regs.texi (Registers): Mention bookmarks here.

	* mark.texi: Minor clarifications.
	(Selective Undo): Node deleted.

	* m-x.texi: Minor clarifications.

	* killing.texi: Minor clarifications.
	Refer to "graphical" terminals, rather than window systems.

	* help.texi: Clarifications.
	(Help): Don't describe C-h F and C-h K here.
	(Key Help): Describe C-h K here.
	(Name Help): Mention Emacs Lisp Intro.
	Describe C-h F here.
	(Misc Help): Mention C-h F and C-h K only briefly.

	* fixit.texi (Undo): New node, mostly copied from basic.texi.
	Selective undo text merged in.
	(Spelling): Mention Aspell along with Ispell.

	* emacs.texi (Top): Update subnode menus.

	* basic.texi (Basic Undo): Rename from Undo.  Most of text
	moved to new Undo node.

2006-01-29  Chong Yidong  <cyd@stupidchicken.com>

	* basic.texi (Continuation Lines, Inserting Text):
	Mention longlines mode.

2006-01-29  Richard M. Stallman  <rms@gnu.org>

	* screen.texi: Minor cleanups.
	(Screen): Clean up the intro paragraphs.
	(Mode Line): Lots of rewriting.  Handle frame-name better.
	eol-mnemonic-... vars moved out.

	* emacs.texi (Top): Change menu item for MS-DOS node.
	Update subnode menu.

	* msdog.texi (MS-DOS): Rewrite intro to explain how this
	chapter relates to Windows.  Title changed.

	* mini.texi: Minor cleanups.

	* mark.texi (Selective Undo): New node, text moved from basic.texi.
	(Mark): Put it in the menu.

	* entering.texi: Minor cleanups.

	* emacs.texi (Top): Add xref to Mac chapter; explain Windows better.
	(Intro): Refer to "graphical" terminals, rather than X.

	* display.texi (Display Custom): Add xref to Variables.
	(Optional Mode Line): eol-mnemonic-... vars moved here.

	* commands.texi: Minor cleanups.  Refer to "graphical" terminals,
	rather than X.

	* basic.texi: Minor cleanups.
	(Undo): selective-undo moved.

2006-01-25  Luc Teirlinck  <teirllm@auburn.edu>

	* anti.texi (Antinews): Various corrections and additions.

2006-01-23  Juri Linkov  <juri@jurta.org>

	* custom.texi (Easy Customization, Customization Groups)
	(Browsing Custom): Mention links along with buttons.

2006-01-21  Eli Zaretskii  <eliz@gnu.org>

	* text.texi (TeX Print): Use @key for TAB.

	* kmacro.texi (Keyboard Macro Step-Edit): Use @key for TAB.

2006-01-15  Sven Joachim  <svenjoac@gmx.de>  (tiny change)

	* files.texi (File Aliases): Don't claim that usually separate
	buffers are created for two file names that name the same data.
	Mention additional situations where different names mean the same
	file on disk.

2006-01-19  Richard M. Stallman  <rms@gnu.org>

	* killing.texi (Deletion): Upcase @key argument.

	* custom.texi (Custom Themes): Minor cleanup.

	* programs.texi (Hungry Delete): Upcase @key argument.

2006-01-16  Juri Linkov  <juri@jurta.org>

	* display.texi (Standard Faces): Add `mode-line-buffer-id'.
	Move `mode-line-highlight' before `mode-line-buffer-id'.

2006-01-14  Richard M. Stallman  <rms@gnu.org>

	* basic.texi (Inserting Text): Minor cleanup.

2006-01-11  Luc Teirlinck  <teirllm@auburn.edu>

	* custom.texi (Changing a Variable, Face Customization):
	Update for changes in Custom menus.

2006-01-05  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* macos.texi (Mac International): Undo last change.

2006-01-02  Chong Yidong  <cyd@stupidchicken.com>

	* custom.texi (Custom Themes): Describe the new
	customize-create-theme interface.

2005-12-30  Juri Linkov  <juri@jurta.org>

	* basic.texi (Position Info): Update example.

2005-12-27  Jan Djärv  <jan.h.d@swipnet.se>

	* frames.texi (Dialog Boxes): Add x-gtk-show-hidden-files.

2005-12-24  Chong Yidong  <cyd@stupidchicken.com>

	* custom.texi (Custom Themes): `load-theme' always loads.

2005-12-23  Juri Linkov  <juri@jurta.org>

	* display.texi (Highlight Interactively): Use double space to
	separate sentences.  Replace C-p with M-p, and C-n with M-n.

2005-12-22  Richard M. Stallman  <rms@gnu.org>

	* custom.texi (Easy Customization and subnodes):
	Replace "active field" with "button".
	Use "user option" only for variables.
	Use "setting" for variable-or-face.

2005-12-22  Luc Teirlinck  <teirllm@auburn.edu>

	* buffers.texi (Select Buffer): Change order in table to make
	"Similar" refer to the correct item.
	(Indirect Buffers): Minor rewording.

2005-12-20  Juri Linkov  <juri@jurta.org>

	* files.texi (VC Status): Put P and N near p and n.

2005-12-19  Richard M. Stallman  <rms@gnu.org>

	* programs.texi (Electric C): Delete the info about newline control.
	(Other C Commands): Minor cleanup.
	(Left Margin Paren): Minor cleanup.

2005-12-19  Luc Teirlinck  <teirllm@auburn.edu>

	* custom.texi (Easy Customization): Add "Browsing Custom" to menu.
	(Customization Groups): Delete text moved to "Browsing Custom".
	(Browsing Custom): New node.
	(Specific Customization): Clarify which commands only work for
	loaded options.

2005-12-18  Bill Wohler  <wohler@newt.com>

	* frames.texi (Tool Bars): Shorten text of previous change.

2005-12-18  Aaron S. Hawley  <Aaron.Hawley@uvm.edu>

	* files.texi (VC Status): Document log-view mode.

2005-12-18  Bill Wohler  <wohler@newt.com>

	* frames.texi (Tool Bars): Mention that you can turn off tool bars
	permanently via the customize interface.

2005-12-16  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* killing.texi (Killing by Lines): Document `kill-whole-line'
	function.

2005-12-16  Lőrentey Károly  <lorentey@elte.hu>

	* buffers.texi (Select Buffer): Change `prev-buffer' to
	`previous-buffer'.  Indicate that these functions use a frame
	local buffer list.

2005-12-12  Richard M. Stallman  <rms@gnu.org>

	* custom.texi (Easy Customization): Change menu comment.
	(Prefix Keymaps): Fix spelling of Control-X-prefix.

	* help.texi (Apropos): Rewrite.  Talk about "apropos patterns".
	(Help): Among the Apropos commands, describe only C-h a here.

2005-12-11  Richard M. Stallman  <rms@gnu.org>

	* programs.texi (Options for Comments): Comment-end starts with space.

	* glossary.texi (Glossary): Minor cleanup.

	* files.texi (Old Versions): Use @table.

2005-12-10  David Koppelman  <koppel@ece.lsu.edu>

	* display.texi (Highlight Interactively): Include
	global-hi-lock-mode.  Add miscellaneous details and elaborations.

2005-12-09  Richard M. Stallman  <rms@gnu.org>

	* display.texi (Font Lock): Delete the Global FL menu item.

2005-12-09  Luc Teirlinck  <teirllm@auburn.edu>

	* custom.texi (Minibuffer Maps): Mention the maps for file name
	completion.

2005-12-09  Kim F. Storm  <storm@cua.dk>

	* killing.texi (CUA Bindings): Describe how to use C-x and C-c as
	prefix keys even when mark is active.  Describe that RET moves
	cursor to next corner in rectangle; clarify insert around rectangle.

2005-12-08  Luc Teirlinck  <teirllm@auburn.edu>

	* custom.texi (Customization): Use xref to elisp manual for
	non-TeX output.
	(Minor Modes): Update.
	(Customization Groups, Changing a Variable, Face Customization):
	Update for new appearance of Custom buffers.
	(Changing a Variable): `custom-buffer-done-function' has been
	replaced by `custom-buffer-done-kill'.
	(Specific Customization): In the `customize-group' buffer, a
	subgroup's contents are not "hidden".  They are not included at
	all.  They have no [Show] button.
	(Mouse Buttons): Add pxref to description of mouse event lists in
	Elisp manual.  Add `menu-bar' and `header-line' dummy prefix keys.
	(Find Init): Emacs now looks for ~/.emacs.d/init.el instead of
	~/.emacs.d/.emacs, if it can not find ~/.emacs(.el).

2005-12-08  Richard M. Stallman  <rms@gnu.org>

	* mini.texi (Completion Commands, Completion):
	In file name input, SPC does not do completion.

2005-12-08  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (GDB Graphical Interface): Explain screen size
	setting.
	(Other GDB User Interface Buffers): Describe features specific to
	GDB 6.4.

2005-12-01  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (GDB User Interface Layout): Describe how to
	kill associated buffers.
	(Breakpoints Buffer): Use D instead of d for gdb-delete-breakpoint.
	(Watch Expressions): Be more precise.
	(Other GDB User Interface Buffers): Describe how to change a
	register value.

2005-11-24  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* macos.texi (Mac Input): Remove description of
	mac-command-key-is-meta.  Add descriptions of
	mac-control-modifier, mac-command-modifier, and
	mac-option-modifier.
	(Mac International): Fix description of conversion of clipboard data.
	(Mac Font Specs): Add example of font customization by face attributes.

2005-11-22  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Watch Expressions): Expand description.
	(Other GDB User Interface Buffers): Describe local map for
	gud-watch.

2005-11-21  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Font Lock): Font lock is enabled by default now.

2005-11-20  Juri Linkov  <juri@jurta.org>

	* basic.texi (Position Info): Update examples of the output.
	Remove the fact that examples are produced in the TeXinfo buffer,
	because in the Info reader users will get a different output from
	`C-x ='.

	* building.texi (Compilation Mode): Remove paragraph duplicated
	from the node `Compilation'.  Add `compilation-skip-threshold'.

	* display.texi (Font Lock): Suggest more user-friendly method of
	finding all Font Lock faces (M-x customize-group RET font-lock-faces).

2005-11-18  Richard M. Stallman  <rms@gnu.org>

	* files.texi (Registering): Mention @@ in mode line.

	* mini.texi (Minibuffer File): Clarify previous change.  Add @findex.

2005-11-08  Aaron S. Hawley  <Aaron.Hawley@uvm.edu>

	* files.texi (Renaming and VC): Some back-ends don't
	handle renaming.

2005-11-17  Juri Linkov  <juri@jurta.org>

	* emacs.texi (Top):
	* display.texi (Highlight Interactively): Put this font-lock based
	mode near Font Lock node.

2005-11-16  Chong Yidong  <cyd@stupidchicken.com>

	* ack.texi (Acknowledgments): Acknowledge Andrew Zhilin for Emacs
	icons.

2005-11-12  Kim F. Storm  <storm@cua.dk>

	* help.texi (Help): Fix C-h a entry.  Add C-h d entry.
	(Help Summary): Add C-h d and C-h e.
	(Apropos): Clarify that all apropos commands may search for either
	list of words or a regexp.  Add C-h d for apropos-documentation.
	Describe apropos-documentation-sort-by-scores user option.

2005-11-09  Luc Teirlinck  <teirllm@auburn.edu>

	* killing.texi (CUA Bindings): Add @section.

2005-11-10  Kim F. Storm  <storm@cua.dk>

	* emacs.texi (Top): Add CUA Bindings entry to menu.

	* killing.texi (CUA Bindings): New node.  Moved here from
	misc.texi and extended with info on rectangle commands and
	rectangle highlighting, interface to registers, and the global
	mark feature.

	* misc.texi (Emulation): Move CUA bindings item to killing.texi.

	* regs.texi: Prev link points to CUA Bindings node.

2005-11-07  Luc Teirlinck  <teirllm@auburn.edu>

	* help.texi (Help Echo): By default, help echos are only shown on
	mouse-over, not on point-over.

2005-11-04  Jérôme Marant  <jerome@marant.org>

	* misc.texi (Shell Mode): Describe how to activate password echoing.

2005-11-04  Romain Francoise  <romain@orebokech.com>

	* mark.texi (Mark Ring): Fix typo.

2005-11-03  Richard M. Stallman  <rms@gnu.org>

	* mark.texi (Mark Ring): Mention set-mark-command-repeat-pop.

2005-11-01  Bill Wohler  <wohler@newt.com>

	* help.texi (Help Mode): Fix typo.

2005-11-01  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Other GDB User Interface Buffers):
	Describe the command gdb-use-inferior-io-buffer.

2005-10-31  Romain Francoise  <romain@orebokech.com>

	* files.texi (Compressed Files): Fix typo.

	* buffers.texi (Misc Buffer): Downcase `*shell*'.

	* windows.texi (Force Same Window): Likewise.

2005-10-30  Bill Wohler  <wohler@newt.com>

	* help.texi (Help Mode): URLs viewed with browse-url.

2005-10-31  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (GDB Graphical Interface): Don't reference
	gdb-mouse-set-clear-breakpoint.  Explain gdb-mouse-until
	must stay in same frame.

2005-10-29  Chong Yidong  <cyd@stupidchicken.com>

	* custom.texi (Init File): Document ~/.emacs.d/init.el.

	* anti.texi (Antinews): Likewise.

2005-10-28  Bill Wohler  <wohler@newt.com>

	* help.texi (Help): Help mode now creates hyperlinks for URLs.

2005-10-28  Richard M. Stallman  <rms@gnu.org>

	* files.texi (Visiting): Explain how to enter ? in a file name.

	* trouble.texi (Memory Full): Mention !MEM FULL! in mode line.

2005-10-25  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (GDB Graphical Interface):
	Describe gdb-mouse-until.

2005-10-23  Richard M. Stallman  <rms@gnu.org>

	* custom.texi (Init File): Recommend when to use site-start.el.

2005-10-21  Juri Linkov  <juri@jurta.org>

	* custom.texi (Examining): Mention accessing the old variable
	value via M-n in set-variable.

2005-10-18  Romain Francoise  <romain@orebokech.com>

	* files.texi (Version Systems): Capitalize GNU.

2005-10-18  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (Compilation Mode): Remove redundant paragraph.
	(Watch Expressions): Remove paragraph to reflect code change.

2005-10-16  Richard M. Stallman  <rms@gnu.org>

	* building.texi (Compilation Mode, Compilation): Clarified.

2005-10-15  Richard M. Stallman  <rms@gnu.org>

	* misc.texi (Saving Emacs Sessions): Mention savehist library.

2005-10-13  Kenichi Handa  <handa@m17n.org>

	* basic.texi (Position Info): Fix previous change.

2005-10-12  Jan Djärv  <jan.h.d@swipnet.se>

	* cmdargs.texi (Icons X): Fix typo.

2005-10-12  Kenichi Handa  <handa@m17n.org>

	* basic.texi (Position Info): Describe the case that Emacs shows
	"part of display ...".

2005-10-10  Jan Djärv  <jan.h.d@swipnet.se>

	* cmdargs.texi (Icons X): -nb => -nbi.

2005-10-10  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Speedbar): A couple more clarifications.

2005-10-11  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (GDB User Interface Layout): Improve diagram.
	(Watch Expressions): Explain how to make speedbar global.
	(Other GDB User Interface Buffers): Make references more precise.

2005-10-09  Richard M. Stallman  <rms@gnu.org>

	* frames.texi (Speedbar): Clarify the text.

2005-10-09  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Speedbar): Add information on keybindings,
	dismissing the speedbar, and buffer display mode.  Link to
	speedbar manual.

2005-10-09  Jan Djärv  <jan.h.d@swipnet.se>

	* cmdargs.texi (Icons X): Remove options -i, -itype, --icon-type,
	added -nb, --no-bitmap-icon.

2005-10-07  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (GDB Graphical Interface): Add variables and
	functions to indices.  Be more precise.

2005-10-03  Jan Djärv  <jan.h.d@swipnet.se>

	* frames.texi (Drag and Drop): Remove the x- from
	x-dnd-open-file-other-window and xdnd-protocol-alist.

2005-09-30  Romain Francoise  <romain@orebokech.com>

	* mini.texi (Minibuffer): The default value now appears before the
	colon in minibuffer prompts.

2005-09-25  Richard M. Stallman  <rms@gnu.org>

	* search.texi (Regexp Search): Doc search-whitespace-regexp.

2005-09-20  Emanuele Giaquinta  <emanuele.giaquinta@gmail.com>  (tiny change)

	* text.texi (Paragraphs): Correction about Paragraph-Indent Text mode.

2005-09-21  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* emacs.texi (Top): Update submenus from macos.texi.

	* macos.texi: Change `Mac OS 8 or 9' to `Mac OS Classic'.
	(Mac OS): Update feature support status.
	(Mac Input): List supported input scripts.  Remove description
	about `mac-keyboard-text-encoding'.  Mention mouse button
	emulation and related variables.
	(Mac International): Mention Central European and Cyrillic
	support.  Now `keyboard-coding-system' is dynamically changed.
	Add description about coding system for selection.
	Add description about language environment.
	(Mac Environment Variables):
	Mention `~/.MacOSX/environment.plist'.  Give example of command line
	arguments.  Add Preferences support.
	(Mac Directories): Explicitly state that this node is for Mac OS
	Classic only.
	(Mac Font Specs): Mention specification for scalable fonts.
	List supported charsets.  Add preferred way of creating fontsets.
	Add description about `mac-allow-anti-aliasing'.
	(Mac Functions): Add descriptions about `mac-set-file-creator',
	`mac-get-file-creator', `mac-set-file-type', `mac-get-file-type',
	and `mac-get-preference'.

2005-09-16  Romain Francoise  <romain@orebokech.com>

	Update all files to specify GFDL version 1.2.

	* doclicense.texi (GNU Free Documentation License): Update to
	version 1.2.

2005-09-15  Richard M. Stallman  <rms@gnu.org>

	* buffers.texi (List Buffers): Fix xref.

	* rmail.texi (Rmail Basics): Fix xref.

	* emacs.texi (Top): Update subnode menus.

	* files.texi (Saving Commands): New node, broken out of Saving.
	(Customize Save): New node, broken out of Saving.
	Clarify effect of write-region-inhibit-fsync.
	(Misc File Ops): Say write-region-inhibit-fsync affects write-region.

2005-09-14  Romain Francoise  <romain@orebokech.com>

	* files.texi (Saving): Mention write-region-inhibit-fsync.

2005-09-05  Chong Yidong  <cyd@stupidchicken.com>

	* custom.texi (Custom Themes): New node.

2005-09-03  Richard M. Stallman  <rms@gnu.org>

	* search.texi (Search Case): Mention vars that control
	case-fold-search for various operations.

2005-08-22  Juri Linkov  <juri@jurta.org>

	* display.texi (Standard Faces): Merge the text from
	`(elisp)Standard Faces' into this node.

2005-08-18  Luc Teirlinck  <teirllm@auburn.edu>

	* emacs.texi (Top): Delete menu item for deleted node
	Keyboard Translations.

2005-08-18  Richard M. Stallman  <rms@gnu.org>

	* trouble.texi (Unasked-for Search):
	Delete xref to Keyboard Translations.

	* glossary.texi (Glossary): Delete xref.

	* custom.texi (Minor Modes): Say that the list here is not complete.
	(Keyboard Translations): Node deleted.
	(Disabling): Delete xref to it.
	(Customization Groups): Fix Custom buffer example.
	(Hooks): Mention remove-hooks.

2005-08-17  Luc Teirlinck  <teirllm@auburn.edu>

	* building.texi (GDB Graphical Interface): Improve filling of menu
	item.

2005-08-18  Nick Roberts  <nickrob@snap.net.nz>

	* building.texi (GDB Graphical Interface): Use better node names.

2005-08-14  Richard M. Stallman  <rms@gnu.org>

	* text.texi (Sentences): Fix xref.

2005-08-14  Juri Linkov  <juri@jurta.org>

	* building.texi (Compilation, Grep Searching): Move grep command
	headings from `Compilation' to `Grep Searching'.

	* dired.texi (Dired and Find):
